2009-10-06  Michael Meeks  <michael.meeks@novell.com>

	* bonobo-activation/bonobo-activation-mime.c
	(gnome_vfs_mime_get_short_list_components): fix memory
	corruption identified by Vuntz - thanks.

================================ 2.24.1 ============================

2009-01-27  Tor Lillqvist  <tml@novell.com>

	* activation-server/Makefile.am: Link as a "GUI" exe file on
	Windows to avoid console windows.

	* activation-server/activation-server-main.c (main): Use the verb
	"started" instead of "forked" in error message.

	On Windows, if the BONOBO_ACTIVATION_DEBUG_OUTPUT environment
	variable is set, do ensure that stdout and stderr goes
	somewhere. If necessary open a new console. If somebody attempts
	to run bonobo-activation-server directly, always ensure the
	ensuing error message is visible.

	(ensure_output_visible) (wait_console_key): New functions used on
	Windows to ensure output goes somewhere even if the executable is
	a "GUI" one.

2008-01-14  Fridrich Strba  <fridrich.strba@bluewin.ch>

	* configure.in: allow override the check for ORBIT_IDL from 
	environmental variable + prevent AC_TRY_RUN from bailing out
	when we are cross-compiling.

2008-12-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Require glib 2.14.0.

2008-12-11  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-generic-factory.c: (last_unref_cb): Don't
	do this one as that might be explicitly set.

2008-12-11  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/server.h:
	* bonobo-activation/bonobo-activation-private.h:
	* bonobo/bonobo-generic-factory.c:
	And remember to adjust the timeout constants accordingly.

2008-12-11  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_postinit): Fix typo.

2008-12-11  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-corba.c: (check_quit):
	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_postinit):
	* bonobo/bonobo-generic-factory.c: (last_unref_cb),
	(bonobo_generic_factory_main_timeout):
	Use g_timeout_add_seconds and friends in a few places.

2008-12-09  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Don't use <glib/gthread.h> here either.

2008-12-09  Kjartan Maraas  <kmaraas@gnome.org>
	* activation-server/activation-server-main.c
	* bonobo-activation/bonobo-activation-shlib.c
	* test-activation/bonobo-activation-test.c
	* test-activation/empty-client.c
	Remove some #if 0'ed out code.

2008-12-09  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-load.c:
	glib include fix. Patch from Przemysław Grzegorczyk
	Closes bug #563712.

2008-10-17  Cosimo Cecchi  <cosimoc@gnome.org>

	* bonobo-activation/Makefile.am:
	* bonobo-activation/bonobo-activation-client.h:
	* bonobo/Makefile.am:
	* bonobo/bonobo-main.c:
	* bonobo/bonobo-running-context.c:
	* configure.in:
	* monikers/Makefile.am:
	* tests/Makefile.am:
	* tests/test-activation/Makefile.am:
	Use and enforce single GLib includes.

2008-09-22  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump.

========================= 2.24.0 ======================

2008-09-22  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: Release 2.24.0

2008-09-11  Tor Lillqvist  <tml@novell.com>

	* activation-server/activation-server-main.c (main)
	* bonobo/bonobo-generic-factory.h (BONOBO_ACTIVATION_FACTORY)
	(BONOBO_ACTIVATION_FACTORY_TIMEOUT)
	* tests/test-activation/bonobo-activation-test.c (main)
	* tests/test-activation/empty-server.c (main)
	* tests/*.c (main): Call g_thread_init(NULL) here. It is the right
	thing to do, and in the future ORBit2 might enforce this, see bug
	#547885.

========================= 2.23.1 =====================

2008-08-19  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update for release.
	* activation-server/activation-context-corba.c: (ac_query_get_var):
	  s/strcasecmp/g_ascii_strcasecmp.
	* bonobo/bonobo-object.c: (bonobo_object_class_init): Notify
	the user about initializing bonobo with a warning and not a g_error.

2008-08-11  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* bonobo/bonobo-object.c (bonobo_object_class_init):
	Checks for bonobo being initialized in
	bonobo_object_class_init, else notify the user.
	Fixes bug 543735.

2008-07-25  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* bonobo/bonobo-main.c (bonobo_init):
	Extend documentation to reflect the fact that it accepts
	NULL. Fixes bug 543733.

2008-07-07  Michael Meeks  <michael.meeks@novell.com>

	* activation-server/activation-context-corba.c (ac_rescan),
	* activation-server/object-directory-corba.c (as_rescan): 
	fix identical bug in cut/paste code (urgh): we should reset
	idle_id in the idle handler, so we can cope with the race
	more than once. Switch to a 100ms timeout from idle too: to
	cope with lots of app death on Zap more efficiently.

2008-06-16  Ray Strode <halfline@gnome.org>

	* configure.in: Post-release bump

============================ 2.23.0 ============================

2008-06-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Look for dbus only on Unix and define HAVE_DBUS in
	config.h in that case.

	* activation-server/activation-server-main.c
	* bonobo-activation/bonobo-activation-base-service.c
	(get_session_guid): Bypass dbus code unless HAVE_DBUS.

2008-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-server-main.c:
	Add a comment for a global var.
	* configure.in: Bump version to 2.23.0

2008-05-29  Christian Persch  <chpe@gnome.org>

	* bonobo-activation/bonobo-activation-init.h:
	* bonobo/bonobo-macros.h:
	* bonobo/bonobo-types.h: Include <glib.h> instead of single headers.
	Bug #535475.

2008-05-07  Ray Strode  <rstrode@redhat.com>

	* activation-server/activation-server-main.c:
	(cleanup_ior_and_lock_files), (main):
	remove ior and lock files on exit path

2008-05-07  Ray Strode  <rstrode@redhat.com>

	Make bonobo-activation-server exit when dbus session exits

	* configure.in: Require dbus and dbus-glib
	* activation-server/activation-server-main.c:
	(bus_message_handler): Check for "Disconnected" signal and
	quit mainloop upon getting it.
	(main): Get on session bus and filter for messages.

2008-05-07  Ray Strode  <rstrode@redhat.com>

	Key ior and lock filenames of dbus session guid

	* bonobo-activation/bonobo-activation-base-service.c
	(get_session_guid): New function to extract guid from
	$DBUS_SESSION_BUS_ADDRESS
	(_bonobo_activation_lock_fname_get),
	(_bonobo_activation_ior_fname_get): encode result of
	of get_session_guid () into returned filenames

2008-05-07  Ray Strode  <rstrode@redhat.com>

	Consolidate ior and lock name getter logic to one
	place to facilitate changing that logic

	* bonobo-activation/bonobo-activation-private.h:
	* bonobo-activation/bonobo-activation-base-service.c:
	(get_lock_fname), (get_ior_fname),
	(_bonobo_activation_lock_fname_get),
	(_bonobo_activation_ior_fname_get): Rename and export
	get_lock_fname and get_ior_fname.
	(rloc_file_lock), (rloc_file_check), (rloc_file_register),
	(rloc_file_unregister): adapt for renamed functions
	* activation-server/activation-server-main.c
	(dump_ior): get ior name from libbonobo-activation instead
	of hardcoding it to "bonobo-activation-server-ior"

============================ 2.22.0 ============================

2008-02-01  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-exception.h: Fix warnings from gcc 4.3.

============================ 2.21.90 ============================

2008-01-29  Christian Persch  <chpe@gnome.org>

	* bonobo/bonobo-exception.h:
	* bonobo/bonobo-object.h:
	* bonobo/bonobo-running-context.h: Use G_STRFUNC.
	* configure.in: Update for 2.21.90.

2008-01-28  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Bump version.
	* doc/api/tmpl/bonobo-application.sgml: Flush change.

============================ 2.20.4 ============================

2008-01-28  Michael Meeks  <michael.meeks@novell.com>

	* activation-server/object-directory-corba.c
	(od_get_active_server): fix #512520

2008-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* DEPENDS: Fix some.
	* NEWS: Update
	* bonobo-activation/bonobo-activation-init.c: Mark som stuff static
	* configure.in: Remove obsolete check for unneeded parts of popt.
	<dmacks at netspace org>

2008-01-21  Tor Lillqvist  <tml@novell.com>

	* libbonobo-zip.in: Look for catalogs in share/locale first, as
	that is where they will be with a properly built GNU gettext.

2007-01-07  Brian Cameron  <brian.cameron@sun.com>

	* bonobo/bonobo-arg.h: Change non-GCC version of the 
	  BONOBO_ARG_SET_STRING macro to remove the parens that surround
	  the braces.  This syntax is a GCC extension that does not work
	  with other compilers, such as Sun Studio.  FIxes bug #507129.
	  Reviewed by Michael Meeks.

2007-12-22  Olav Vitters  <olav@bkor.dhs.org>

	* configure.in: Bump version.

============================= 2.20.3 ===========================

2007-12-22  Olav Vitters  <olav@bkor.dhs.org>

	* NEWS: Update.

2007-12-13  Jens Granseuer  <jensgr@gmx.net>

	* bonobo-activation/bonobo-activation-activate.c:
	(bonobo_activation_init_activation_env): fix C99ism
	(bug #503280)

2007-12-12  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-arg.h: Fix some gcc'isms that were
	uncovered by the g_assert -> g_warn_if_fail changes
	in the current glib. Fixes build problems. Thanks
	to Tim Janik for help finding the problem.

2007-12-12  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* configure.in: Bump version.

============================= 2.20.2 ===========================

2007-12-12  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* NEWS: Update.

	* bonobo-activation/bonobo-activation-activate.c:
	(bonobo_activation_init_activation_env): Fix a regression
	introduced in 2.20.0 (bug #427992).
	Patch by gnome-bugzilla@dm.cobite.com.

2007-11-12  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-base-service.c:
	Remove redundant include.

2007-10-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump

============================= 2.20.1 ===========================

2007-10-15  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-server-main.c: (build_src_dir),
	(log_handler): Plug a leak.

2007-09-18  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-context-corba.c:
	(activation_clients_cache_notify), (ac_do_activation):
	Plug a leak. Patch from Matthias Clasen. Closes bug #476448.

2007-09-18  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-load.c: (od_end_element):
	Plug a leak. Patch from Matthias Clasen. Closes bug #476398.
	* bonobo-activation/bonobo-activation-activate.c:
	(_bonobo_activation_get_activation_env_value): Return a value.

============================== 2.20.0 ==========================

2007-09-08  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo-activation/bonobo-activation-activate.c:
	(_bonobo_activation_get_activation_env_value):
	* bonobo-activation/bonobo-activation-private.h:
	* tests/test-activation/Makefile.am:
	* tests/test-activation/bonobo-activation-env-test.c: (main):
	Add unit test to check for possible bug introduced by fix to
	bug #427992.

2007-08-19  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* configure.in: use AC_HELP_STRING to align configure switches

=============================== 2.19.5 ========================

2007-07-30  Christian Persch  <chpe@gnome.org>

	* autogen.sh:
	* bonobo/Makefile.am:
	* configure.in:
	* monikers/Makefile.am: Fix the build with automake 1.10.

2007-07-03  Tor Lillqvist  <tml@novell.com>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): In trunk GLib pipe() is no
	longer a macro in gwin32.h, so call _pipe() explicitly.

2007-06-23  Christian Persch  <chpe@gnome.org>

	* bonobo/libbonobo-2.0-uninstalled.pc.in:
	* bonobo/libbonobo-2.0.pc.in: Use gmodule-no-export-2.0 instead of
	gmodule-2.0. Bug #449841.

2007-06-19  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Post-release version bump.

=============================== 2.19.4 ========================
2007-06-19  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Bump version to 2.19.4 to match the GNOME release.

	* NEWS: Update NEWS.

2007-04-19  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo-activation/bonobo-activation-activate.c: Rewrite
	bonobo_activation_set_activation_env_value to make use
	ORBit_sequnce_* APIs, to simplify code and eliminate memory
	errors.  Closes #427992.

2007-04-10  Matthias Clasen  <mclasen@redhat.com>

	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_set_activation_env_value): Don't leak
	old key-value pairs when copying to a larger array.  (#427992)

2007-03-23  Christian Persch  <chpe@gnome.org>

	* bonobo/bonobo-i18n.h: Deprecate bonobo-i18n.h. Bug #419533.

2007-03-23  Christian Persch  <chpe@gnome.org>

	* activation-server/activation-context-corba.c:
	* activation-server/activation-server-corba-extensions.c:
	* activation-server/activation-server-main.c:
	* activation-server/object-directory-activate.c:
	* activation-server/object-directory-config-file.c:
	* activation-server/object-directory-corba.c:
	* activation-server/object-directory-load.c:
	* bonobo-activation/Makefile.am:
	* bonobo-activation/bonobo-activation-activate.c:
	* bonobo-activation/bonobo-activation-base-service.c:
	* bonobo-activation/bonobo-activation-fork-server.c:
	* bonobo-activation/bonobo-activation-get-language-list.c:
	* bonobo-activation/bonobo-activation-i18n.h:
	* bonobo-activation/bonobo-activation-init.c:
	* bonobo-activation/bonobo-activation-shlib.c:
	* bonobo/Makefile.am:
	* bonobo/bonobo-application.c:
	* bonobo/bonobo-debug.c: (bonobo_debug_print):
	* bonobo/bonobo-debug.h:
	* bonobo/bonobo-exception.c:
	* bonobo/bonobo-generic-factory.h:
	* bonobo/bonobo-moniker-util.c:
	* bonobo/bonobo-moniker.c:
	* bonobo/bonobo-object.c:
	* bonobo/bonobo-running-context.c:
	(bonobo_running_context_trace_objects_T):
	* monikers/bonobo-moniker-oaf.c:
	* samples/echo/echo-client.c:
	* utils/bonobo-activation-sysconf.c: (main): Use glib/gi18n[-lib].h
	instead of bonobo-i18n.h. Bug #419535.

2007-03-09  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* activation-server/object-directory-corba.c
	(od_merge_client_environment): Don't crash if a ClientContext for
	a client isn't available (maybe because it's a legacy client).
	Fixes bug #416393.

2007-02-28  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-mime.h:
	Fix header guard.
	* configure.in: Fix link flags with -z defs ldflags.
	Patch from Loïc Minier. Closes bug #409065.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-server-main.c:
	* bonobo-activation/bonobo-activation-init.c:
	* bonobo/bonobo-generic-factory.c:
	Remove unneeded duplicated includes.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-client.c:
	* bonobo/bonobo-app-client.c: (bonobo_app_client_get_type):
	* bonobo/bonobo-debug.c: (bonobo_debug_init):
	* bonobo/bonobo-types.c:
	(bonobo_corba_object_type_register_static): Remove unneeded
	trailing commas.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* tests/test-activation/bonobo-activation-test-async.c:
	(test_activate), (test_activate_from_id): Fix return
	values to be consistent.

=============================== 2.17.92 ========================

2007-02-26  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update.
	* bonobo/bonobo-context.c: (context_add), (bonobo_context_init):
	Revert the patch from bug 403143 since it breaks make check.
	* doc/api/tmpl/bonobo-i18n.sgml: Updated.

2007-02-26  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-context-corba.c:
	* activation-server/activation-server-main.c:
	* bonobo/bonobo-i18n.h:
	* bonobo/bonobo-object.c:
	More fixes for bug #363033. This should make nautilus
	compile again hopefully.

2007-02-24  Christian Persch  <chpe@svn.gnome.org>

	* bonobo/bonobo-debug.c: (bonobo_debug_init):
	* bonobo/bonobo-running-context.c:
	(bonobo_running_context_trace_objects_T): Reduce relocations.

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* MAINTAINERS: Add myself.
	* Makefile.am: Dist the above.
	* bonobo/bonobo-context.c: (context_take), (bonobo_context_init):
	* bonobo/bonobo-i18n.h: Fix redefining of _ causing compiler
	warnings. Closes bug #363033.

============================== 2.17.91 ==========================

2007-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-context.c: (context_take), (bonobo_context_init):
	Plug a leak. Patch from Chris Wilson. Closes bug #403143.
	* bonobo/libbonobo-2.0.pc.in: Add gmodule-2.0 here. Bug #409065.

2007-01-30  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-fork-server.c:
	(bonobo_activation_server_by_forking):
	* bonobo-activation/bonobo-activation-mime.c:
	(bonobo_activation_get_default_component_for_mime_type):
	Remove a couple unused variables.

2007-01-26  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_get_goption_group):
	* bonobo-activation/bonobo-activation-init.h:
	Factor out some more popt remains. Reported by dmacks at
	netspace org. Patch from Christian Persch. Closes bug #357145.

2007-01-22  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/test-activation/test.sh: Add "ulimit -c 0" to disable core
	dumps with a note for future work to investigate it :-P

========================= 2.17.90 ============================

2007-01-21  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo/bonobo-application.c (set_property): Go back to Kjartan's
	version using g_value_dup_string in this file because it is
	the correct one after all.  Fixes #398059.

2007-01-19  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* bonobo/bonobo-application.c (set_property),
	* bonobo/bonobo-arg.c (bonobo_arg_from_gvalue): Revert the
	g_value_dup_string change on 2007-01-15, which is not correct.
	Fixes #398059.

2007-01-15  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-load.c: (od_load_file):
	* bonobo-activation/bonobo-activation-base-service.c:
	(bonobo_activation_existing_set):
	* bonobo-activation/bonobo-activation-register.c:
	(bonobo_activation_registration_env_set):
	* bonobo/bonobo-application.c: (bonobo_application_finalize),
	(set_property):
	* bonobo/bonobo-item-handler.c: (bonobo_item_options_free):
	* bonobo/bonobo-listener.c: (bonobo_listener_finalize):
	* bonobo/bonobo-property-bag.c:
	(bonobo_property_bag_foreach_remove_prop):
	* bonobo/bonobo-running-context.c:
	(impl_Bonobo_RunningContext_removeKey):
	* bonobo/bonobo-storage-memory.c: (smem_list_contents_impl):
	* bonobo/bonobo-stream-memory.c: (mem_finalize):
	Remove unneeded checks for null before calling g_free/g_strdup.
	Closes bug #396796.

2007-01-15  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-application.c: (set_property):
	* bonobo/bonobo-arg.c: (bonobo_arg_from_gvalue):
	Use g_value_dup_string instead of g_strdup (g_value_get_string())

2006-12-26  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/test-activation/empty-server.c (main): Automatically
	unregister the 'Empty' component after a couple of seconds in
	order to let the test b-a-s quit.  Makes unit tests slightly more
	reliable and fixes #112837.

	* tests/test-activation/bonobo-activation-test-async.c:  Use
	g_message instead of printf.  Use g_main_loop_* and g_timeout_add
	instead of busy waiting for detecting callback time outs.

2006-12-17  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo/bonobo-arg.c (bonobo_arg_new): Greatly simplify this
	function by using CORBA_any__alloc and ORBit_small_alloc.  Also
	fixes the memory leak reported in bug #358504 (thanks Chris Heath).

2006-12-15  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-activate.c:
	(bonobo_activation_set_activation_env_value):
	Revert the patch for bug #353959 since it caused
	problems with nautilus not starting.

2006-12-14  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Go to 2.17.0.

2006-12-14  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-activate.c:
	(bonobo_activation_set_activation_env_value):
	Fix a memory leak. Patch from Chris Wilson. Closes
	bug #353959.

2006-12-12  Christian Persch  <chpe@cvs.gnome.org>

	* bonobo/bonobo-app-client.c: (bonobo_app_client_get_type):
	* bonobo/bonobo-types.c:
	(bonobo_corba_object_type_register_static):
	No need to make GTYpeInfo static. Bug #382329.

2006-12-06  Christian Persch  <chpe@cvs.gnome.org>

	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_get_goption_group):
	Add ":" to option group description. Bug #350227.

2006-12-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* Makefile.am: Uninstall bonobo-activation-config.xml.
	Patch by Matthew Barnes, slightly improved by me.
	Closes #381044.

2006-11-19  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Up requirement on ORBit2 to 2.11.2. Noticed by
	Mark Johnson. Closes bug #376211.

2006-11-15  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-init.h:
	Put the popt include and struct inside #ifndef BONOBO_DISABLE_DEPRECATED
	guards. We should still conditionalize the checks for popt in configure.in
	Bug #357145.

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-server-main.c:
	Fix a string. Reported by David Lodge, patch from Gustavo
	Carneiro. Closes bug #355159.

2006-10-22  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/Makefile.am:
	* activation-server/activation-context-query.c:
	(qexp_func_has_one), (qexp_func_has_all), (qexp_func_has),
	(qexp_func_prefer_by_list_order), (qexp_evaluate_variable),
	(qexp_evaluate_id), (qexp_evaluate_binop), (qexp_evaluate_unop):
	* activation-server/activation-server-main.c: (main):
	* bonobo-activation/bonobo-activation-init.c:
	* idl/Makefile.am:
	* samples/echo/Makefile.am:
	* samples/echo/echo-client.c: (main):
	* tests/test-activation/Makefile.am:
	* tests/test-activation/bonobo-activation-run-query.c: (main):
	* tests/test-object.c: (main):
	* utils/Makefile.am:
	- Add $(WARN_CFLAGS) to some makefiles
	- Fix a bunch of misspellings of 'occurred', bug #360360
	- Fix some compiler warnings

2006-10-08  Matthew Barnes  <mbarnes@redhat.com>

	* doc/api/libbonobo-docs.sgml: Add an index to the API docs.

2006-09-16  Ernani Azevedo  <ernaniaz@gmail.com>

	reviewed by: Gustavo Carneiro.

	* bonobo-activation/bonobo-activation-activate.c: Fix typos in
	error messages.  Closes bug #354341.

2006-09-16  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Remove the message that says this is the
	development branch.  Fixes bug #355244.

2006-09-05  Tor Lillqvist  <tml@novell.com>

	* configure.in: Define Automake conditional OS_WIN32.

	* monikers/Makefile.am: Use relative path to the moniker DLL on
	Win32. Odd that I haven't noticed this until now.

	* bonobo-activation/bonobo-activation-fork-server.c (child_setup):
	#define child_setup as NULL on Win32, instead of having it as a
	real but empty function, to avoid runtime warning from GLib.

======================== 2.16.0 ===========================

2006-08-16  Alexander Larsson  <alexl@redhat.com>

	* bonobo-activation/bonobo-activation-mime.c:
	Add Since markers to docs for new functions

2006-08-16  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* doc/activation-api/bonobo-activation-sections.txt: Enable output
	of documentation for
	bonobo_activation_get_default_component_for_mime_type and
	bonobo_activation_get_all_components_for_mime_type.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove checks for dladdr and xrdb.

============================= 2.15.3 ======================

2006-08-14  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_unregister)
	(impl_Bonobo_ObjectDirectory_register_new_full): Pass NULL ev
	instead of creating our own temp.

2006-08-14  Alexander Larsson  <alexl@redhat.com>

	* bonobo-activation/bonobo-activation-fork-server.c: (child_setup),
	(bonobo_activation_server_by_forking):
	Don't inherit any open fds but stdin/out/err and b-a-s pipe in child.

2006-08-12  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_register_new_full): Use a temporary
	CORBA_Environment when calling
	bonobo_event_source_notify_listeners, otherwise exceptions in
	bonobo_event_source_notify_listeners propagate to
	Bonobo::ObjectDirectory::register_new_full, causing strange
	activate server registration errors.
	(impl_Bonobo_ObjectDirectory_unregister): Idem.

2006-08-10  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix gthread configure test when building
	uninstalled (Brian Cameron). Closes bug #316530.

2006-08-09  Michael Meeks  <michael.meeks@novell.com>

	* bonobo-activation/bonobo-activation-base-service.c
	(local_re_check_fn): use tmp. local ev.

	* bonobo-activation/bonobo-activation-private.h: remove
	CORBA ev. from BonoboForkReCheckFn.

	* activation-server/object-directory-corba.c
	(bonobo_object_directory_re_check_fn): don't go setting
	exceptions that don't need setting.

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): don't leak
	various bits on g_spawn failure; also broadcast signal.

============================= 2.15.2 ======================

2006-08-08  Kjartan Maraas  <kmaraas@gnome.org>

	* Revert the fix for coverity #2705. It caused
	segfaults during make check.

2006-08-07  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-exception.h:
	* bonobo/bonobo-property-bag-client.h:
	* bonobo/bonobo-stream-client.h:
	Sentinel markup patch from Marcus Meissner.
	Closes bug #338443.
	* monikers/bonobo-moniker-extender-stream.c:
	(bonobo_stream_extender_resolve): Fix a warning.

2006-07-21  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-stream-client.c: (bonobo_stream_client_read):
	Fix possible NULL dereference. Coverity #1190.

2006-07-21  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/test-performance.c: (test_server_info_load):
	Fix a leak. (Coverity #2684)
	* bonobo/bonobo-moniker-extender.c: (bonobo_moniker_find_extender):
	Another leak fix (Coverity #2824)

2006-07-18  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-context-corba.c: (ac_do_activation):
	Another null deref found by Coverity.

2006-07-15  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-storage-memory.c: (smem_rename_impl): Init
	filename so we don't pass uninitialized memory to g_free()
	Coverity #2841.

2006-07-14  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-storage-memory.c: (smem_rename_impl): Free
	the entry as well. Coverity #2705.

2006-07-14  Kjartan Maraas  <kmaraas@gnome.org>

	* monikers/bonobo-moniker-extender-stream.c:
	(bonobo_stream_extender_resolve): Free mime_type here.
	Coverity #2707.

2006-07-14  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-app-client.c: (bonobo_app_client_msg_send_argv),
	(bonobo_app_client_get_msgdescs), (bonobo_app_client_new_instance):
	* bonobo/bonobo-event-source.c:
	(bonobo_event_source_client_remove_listener),
	(bonobo_event_source_client_add_listener_full):
	* bonobo/bonobo-foreign-object.c: (bonobo_foreign_object_new):
	Fix more leaks.
	Reported by Coverity as CID #2681, #2682, #2685, #2686, #2687 and #2690.
	Closes bug #347522.

2006-07-14  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-exception.h: Fix previous commit.
	Thanks to Paolo Borelli.

2006-07-14  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-exception.h: Fix leak. Coverity #2717 and
	a whole bunch of others. Closes bug #347501.
	* bonobo/bonobo-object.c: (do_corba_setup_T): Another leak.
	Coverity #2683. Closes bug #347511.

2006-07-11  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/activation-context-corba.c:
	(ac_context_to_string_array): Fix some leaks in an error
	case. Closes bug #346346 and Coverity #2823.

2006-07-07  Alexander Larsson  <alexl@redhat.com>

	* bonobo-activation/Makefile.am:
	* bonobo-activation/bonobo-activation-mime.[ch]:
	Add new public functions
	bonobo_activation_get_default_component_for_mime_type and
	bonobo_activation_get_all_components_for_mime_type. Also
	implement all the gnome-vfs mime symbols so that gnome-vfs
	can be independent of bonobo.

2006-06-20  Tor Lillqvist  <tml@novell.com>

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_postinit): Make bonobo_activation_ior_fd
	non-inherited on Win32, too.

2006-06-17  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/Bonobo_CosNaming_NamingContext.server.in.in:
	Add blank line to the end of the file to please Solaris sed.
	From Damien Carbery. Closes bug #329762.

2006-06-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in:
	* po/LINGUAS: More po/LINGUAS work by Przemysław Grzegorczyk.
	Closes bug #338543.

2006-06-16  Tor Lillqvist  <tml@novell.com>

	* libbonobo-zip.in: Include also bonobo-activation-sysconf.exe in
	the zipfile distribution. (From $prefix/bin; it is assumed that on
	Win32 one runs the configure script with --sbindir pointing to
	$prefix/bin, as it isn't really common to use a "sbin" directory
	on Win32, just putting all executables in "bin" is enough.)

2006-06-14  Tor Lillqvist  <tml@novell.com>

	Win32 portability fixes for problems that turn up when installing
	into pathnames with spaces (like C:\Program Files) and when the
	username has non-ASCII characters in it. Reviewed by Michael.
	
	* activation-server/object-directory-activate.c
	(od_server_activate_exe): Deprecate the feature that we can have
	command line arguments in the location_info. Give a warning if
	that happens.

	Don't even try to split the location_info into an argv on Win32,
	as the pathname of the executable already might well contain
	spaces.

	* bonobo-activation/bonobo-activation-client.c
	(bonobo_activation_register_client)
	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): Use g_listenv() and
	g_getenv() instead of peeking into environ directly. On Win32, the
	strings in the environ array are in system codepage, while we want
	the UTF-8 that g_listenv() and g_getenv() provide.

2006-05-23  Michael Meeks  <michael.meeks@novell.com>

	* bonobo/Makefile.am (libbonobo_2_la_LIBADD): use
	$(top_builddir)

	* activation-server/Makefile.am (LDADD): link to
	libb-a as well.

2006-05-18  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-stream-client.c (bonobo_stream_client_read):
	Make a var signed since it's checked for negative values.

2006-05-18  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_init): Don't return garbage.
	* doc/FAQ: Typos
	* doc/api/faq.xml: Same
	* doc/api/monikers-overview.xml: Same

2006-05-03  Christian Persch  <chpe@cvs.gnome.org>

	* bonobo-activation/bonobo-activation-init.c: (init_gettext),
	(bonobo_activation_get_goption_group), (bonobo_activation_preinit),
	(bonobo_activation_get_popt_table_name): Make sure to initialise
	the textdomain codeset if we're using goption. Bug #335159.

2006-05-02  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo-activation/bonobo-activation-register.c:
	(bonobo_activation_registration_env_set_global): Fix
	polarity of the test before setting global_reg_env.
	Closes bug #338177.
	
2006-04-30  Gora Mohanty  <gmohanty@cvs.gnome.org>

        * configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-04-28  Tor Lillqvist  <tml@novell.com>

	Cygwin patch by "Cygwin Ports maintainer" (#339976):

	* configure.in: Set SOPREFIX to "cyg" on Cygwin, otherwise
	"lib". Set IF_CYGWIN_PS to "#" on non-Cygwin. AC_SUBST them.

	* monikers/Bonobo_Moniker_std.server.in.in: Use SOPREFIX.

	* monikers/Makefile.am: Expand SOPREFIX.

	* utils/bonobo-slay.in: Add the Cygwin-specific command, use
	IF_CYGWIN_PS for it.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-10 Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-04-03  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/client.c: #include <stdlib.h> for exit(3).
	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_orb_init): Remove ignored const qualifier.

2006-04-03  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-corba.c: (as_rescan):
	Add missing return value.
	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_postinit): Adjust for the below.
	* bonobo-activation/bonobo-activation-private.h: Rename
	BONOBO_ACTIVATION_FACTORY_TIMEOUT to BONOBO_ACTIVATION_PRIVATE_TIMEOUT.
	* bonobo/bonobo-debug.c: (bonobo_debug_init): Constify
	* bonobo/bonobo-main.c: Make some vars static.
	* bonobo/bonobo-moniker-util.c: Make a struct static and constify.
	* bonobo/bonobo-moniker.c: (bonobo_moniker_get_parent): Axe some
	unneeded code.
	* bonobo/bonobo-property-bag-client.c: (bonobo_pbclient_setv),
	(bonobo_pbclient_getv): Fix format specifiers.
	* bonobo/bonobo-running-context.c: Make some vars static and put an
	otherwise unused function inside #ifdef G_ENABLE_DEBUG.
	* bonobo/bonobo-stream-client.c: (bonobo_stream_client_read):
	More format specifiers.
	* tests/test-main-loop.c: (run_tests): Again.
	* tests/test-properties-client.c: Make some vars static.
	* tests/test-properties-server.c: (simple_prop_to_string),
	(print_props): More of the same.
	* tests/test-thread.c: (get_fn): Again.

2006-03-31  Michael Terry  <mterry@cvs.gnome.org>

	* activation-server/activation-server-main.c (main):
	Convert from popt to GOption.  Closes bug #336610.
	* activation-server/client.c (main): Same
	* tests/test-activation/empty-server.c (main): Same
	* utils/bonobo-activation-sysconf.c (main): Same
	
	* bonobo-activation/bonobo-activation-init.c: Remove
	popt.h include.
	
	* activation-server/Makefile.am: Remove POPT_LIBS.
	* tests/test-activation/Makefile.am: Same
	* utils/Makefile.am: Same
	
	* utils/bonobo-activate.c: Removed; unused

2006-03-21  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-load.c: Plug a
	leak. Closes bug #335322.

2006-03-16  Michael Meeks  <michael.meeks@novell.com>

	* activation-server/object-directory-load.c
	(bonobo_parse_server_info_memory, od_load_file),
	(od_error, od_end_element, od_start_element, etc.):
	re-write parser to use GMarkup instead: 110m -> 40m
	cycles on load.

	* bonobo-activation/bonobo-activation-fork-server.c
	(scan_list): kill race.

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_register_new_full):
	treat a dupliate registration of an already active
	server as a success.

	* activation-server/activation-server-main.c
	(log_handler, redirect_output): dump more console
	output when using --register-server for debugging.

2006-03-15  Michael Meeks  <michael.meeks@novell.com>

	* activation-server/object-directory-corba.c
	(active_server_cnx_broken, client_cnx_broken),
	(add_active_server): use listen_for_broken instead
	of (ORBit internal only) 'broken' signal with
	threading implications. Take & release the
	server lock in the 'broken' callback.
	(as_rescan): deal with re-enterancy once at idle.

	* activation-server/activation-context-corba.c
	(impl_Bonobo_ActivationContext_addClient),
	(active_client_cnx_broken): same 'broken' fix.
	(activation_clients_is_empty_scan): iterate over
	a copy of the list, with simple re-enterancy
	optimization.
	(ac_rescan): real with re-enterancy once at idle.

2006-03-13  Michael Meeks  <michael.meeks@novell.com>

	* activation-server/object-directory-activate.c
	(od_server_activate_factory): drop the lock as we
	call out to create an instance (thanks Federico),
	further improves parallelism & fixes theoretical
	deadlock.

2006-03-10  Michael Meeks  <michael.meeks@novell.com>

	* doc/b-a-s-threading.txt: notes on b-a-s threading.
	* activation-server/README: notes on debugging.

	* bonobo-activation/bonobo-activation-fork-server.c
	(scan_list): fix list scan & debug to fix crash.

	* activation-server/object-directory-corba.c
	(bonobo_object_directory_re_check_fn): remember to
	take lock for this callback.

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_fork_init): add

	* activation-server/activation-context-corba.c
	(impl_Bonobo_ActivationContext_activateMatchingFull),
	(ac_do_activation): hold refs, generate aid earlier,
	use g_strdup_printf.

	* activation-server/README: add blurb.

	* activation-server/activation-server-main.c
	(server_get_poa, server_lock, server_unlock, main): impl.
	threaded POA & locking methods.
	* activation-server/*-corba.c: take/release
	lock at entry / exit of CORBA impls.

	* activation-server/activation-context-corba.c
	(activation_context_setup): use the poa.
	
	* activation-server/object-directory-corba.c
	(bonobo_object_directory_init): use the poa.

	* activation-server/activation-server-main.c:
	enable --register-server in non debugging builds,
	just too useful.

	* configure.in: bump to 2.15.0, add chatty blurb.

	* Branch for gnome-2-14

=== 2.13.93 ===
2006-03-07  Rodrigo Moya <rodrigo@novell.com>

	* NEWS:
	* configure.in: released 2.13.93.

2006-03-07  Michael Meeks <michael.meeks@novell.com>

	* activation-server/object-directory-activate.c
	(od_server_activate_factory): keep private copy of data we need,
	since it can be freed due to re-enterancy.
	(od_server_activate_exe): ditto.

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_activate): added comment to explain
	new situation.

2006-02-07  Michael Meeks  <michael.meeks@novell.com>

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_init): accumulate arguments over
	multiple inits, to elide effect of early dummy inits.

	* bonobo/bonobo-main.c (bonobo_init_full): always
	pass args to bonobo_activation_init.

=== 2.13.1 ===
2006-01-16  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* configure.in: Bump version to 2.13.1.

2006-01-16  Christian Persch  <chpe@cvs.gnome.org>

	* bonobo-activation/bonobo-activation-init.c: Fix typo in the
	GOptionGroup description; it's "bonobo" not "bonbo".

2006-01-13  Michael Meeks  <michael.meeks@novell.com>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): fixup mis-use of
	'cmd' before it's initialized.

2006-01-12  Michael Meeks  <michael.meeks@novell.com>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): fix vicious corruptor
	of the (static) cmd array, dating back 5+ years to the oaf days.

2005-12-22  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* activation-server/object-directory-corba.c
	(object_directory_init): Change hash table value type to the new
	structure ClientContext, with a new destructor function.
	(object_directory_finalize): Change to new name client_contexts.
	(impl_Bonobo_ObjectDirectory_addClientEnv): Add a ClientContext to
	hash table, instead of an environment.
	(client_cnx_broken): Remove any iid definitions registered by the
	client at runtime when the client disconnects.
	(od_register_runtime_server_info): Take note of which iid's are
	defined by which clients, to unregister them later as the clients
	disconnect.  Also, fix return value, that should be new_serverinfo
	instead of old_serverinfo.
	(od_merge_client_environment): Changes regarding environment->context.

	* activation-server/object-directory.h: Change name of client_envs
	to client_contexts to reflect new role.

	Fixes Bug 149908: b-a-s doesn't allow updating runtime-defined
	ServerInfo's

=== 2.13.0 ===
2005-10-28  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2005-10-28  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/object-directory-load.c: (od_load_context):
	* bonobo/bonobo-item-container.c:
	(impl_Bonobo_ItemContainer_enumObjects):
	* bonobo/bonobo-moniker-simple.c:
	* bonobo/bonobo-moniker-util.c: (resolve_async_cb):
	* bonobo/bonobo-object.c: (bonobo_object_query_local_interface):
	* bonobo/bonobo-property-bag-client.c:
	* bonobo/bonobo-shlib-factory.c:
	* bonobo/bonobo-types.c: (corba_object_proxy_value_free),
	(corba_object_proxy_value_copy), (corba_object_proxy_lcopy_value):
	* monikers/bonobo-moniker-std.c: Merge cleanups from stable.

2005-09-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in: Bump version to 2.13.0, and require glib 2.8.0.
	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_get_goption_group):
	* bonobo-activation/bonobo-activation-init.h: Add
	bonobo_activation_get_goption_group() for use by the GOption
	argument parsing in libgnome.
	Patch by Pawel Sliwowski <open.list@gmail.com>, bug #307312.

2005-09-16  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo/bonobo-app-client.c (_typecode_to_gtype):
	s/__inline__/inline/.  Fixes bug #315145: "libbonobo 2.10.1 fails
	to build on solaris 10 with sun studio 10."

2005-09-12  Tor Lillqvist  <tml@novell.com>

	* activation-server/object-directory-load.c (ParseInfo): Add a
	filename field.
	(parse_info_free): Free the filename field.
	(parse_oaf_server_attrs): On Win32, if the path to a shlib or exe
	starts with ../, expand it relative to the directory where the
	.server file is.
	(od_load_context): Take also filename parameter, initialize
	filename field in ParseInfo.
	(od_load_file): Pass filename to od_load_context().
	(bonobo_parser_server_info_memory): Pass NULL as filename to
	od_load_context().

2005-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-item-handler.c: Don't use deprecated functions.
	(bonobo_marshal_BOXED__STRING_BOOLEAN_DUMMY_BOXED): 
	* bonobo/bonobo-moniker-simple.c: Same
	(bonobo_marshal_BOXED__RESOLVEOPTIONS_STRING_BOXED):
	* bonobo/bonobo-property-bag.c: Same
	(bonobo_marshal_ANY__TYPECODE_UINT_EXCEPTION):
	* doc/activation-api/tmpl/query.sgml: These seem to have changed...
	* doc/activation-api/tmpl/registration.sgml:
	* doc/activation-api/tmpl/utilities.sgml:

2005-08-22  Tor Lillqvist  <tml@novell.com>

	* activation-server/object-directory-config-file.c (object_directory_load_xml_file)
	* activation-server/object-directory-load.c (od_load_file)
	* utils/bonobo-activation-sysconf.c (open_file): On Win32, read
	XML file into memory and parse from there, so that we don't pass a
	GLib UTF-8 file name to libxml which expects system codepage file
	names.

	* activation-server/activation-server-main.c (main)
	* bonobo-activation/bonobo-activation-i18n.h
	* utils/bonobo-activation-sysconf.c (main): Use GETTEXT_PACKAGE
	instead of PACKAGE to get more translated messages.

2005-08-22  Tor Lillqvist  <tml@novell.com>

	Rework the end-user installation location independence code for
	Win32. Have all that code in the libbonobo-activation DLL
	only. The libbonobo DLL and bonobo-activation-server.exe are
	installed in the same prefix as libbonobo-activation anyway, so
	it's enough if they call functions in libbonobo-activation to get
	the runtime paths.

	* activation-server/activation-server-main.c
	* activation-server/object-directory-config-file.c
	* activation-server/object-directory-load.c
	* bonobo/bonobo-main.c
	* bonobo-activation/bonobo-activation-base-service.c
	* util/bonobo-activation-sysconf.c: Include
	bonobo-activation-private.h and use the run-time path lookup
	functions on Windows instead of compile-time paths.

	* bonobo-activation/Makefile.am: Pass also SERVERINFODIR and
	SERVER_CONFDIR defines, as in ../activation-server.
	
	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): Plug small memory leak:
	Free the fd_arg string also if the spawn fails.

	* bonobo-activation/bonobo-activation-init.c (DllMain): Use a very
	minimal DllMain(), as is the recommended best practice.
	(_bonobo_activation_win32_replace_prefix): Rename and make
	non-static, as now used in other files.
	(setup_runtime_paths): New function, do the DLL path lookup and
	installation prefix logic here instead of in DllMain().
	(_bonobo_activation_win32_get_prefix,
	_bonobo_activation_win32_get_server_libexecdir,
	_bonobo_activation_win32_get_serverinfodir,
	_bonobo_activation_win32_get_server_confdir,
	_bonobo_activation_win32_get_localedir): New functions to get the
	run-time paths, instead of variables.
	
	* bonobo-activation/bonobo-activation-private.h: Declare
	_bonobo_activation_win32_replace_prefix() and the new functions
	above.

2005-08-19  Kjartan Maraas  <kmaraas@gnome.org>

	* Version 2.10.1 to fix confusion with previously unannounced
	release.
	* bonobo/bonobo-main.c: Fix function name in api docs
	* USERS: Remove some dead users and some that don't use bonobo.

2005-08-17  Michael Meeks  <michael.meeks@novell.com>

	* Version 2.10.0

2005-08-16  Stepan Kasal  <kasal@ucw.cz>

	* bonobo/libbonobo-2.0.pc.in, bonobo/libbonobo-2.0-uninstalled.pc.in:
	* bonobo-activation/bonobo-activation-2.0-uninstalled.pc.in:
	* bonobo-activation/bonobo-activation-2.0.pc.in: Add datarootdir
	variable, for compatibility with future Autoconf releases.

2005-07-20  Loïc Minier  <lool+gnome@via.ecp.fr>

	* activation-server/bonobo-activation-server.1: misc. fixes,
	thanks to Dan Jacobson.

2005-07-20  Shreyas Srinivasan  <sshreyas@novell.com>

	* bonobo/bonobo-activation-fork-server.c: Fix #310152, Resolve environ to 
	NSGetEnviron on a mac os x. 
	
2005-07-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Remove check for getaddrinfo() as it is not used
	in libbonobo any longer. No sense keeping unused stuff in
	configure.in.

2005-07-05  Jan Kratochvil  <web-bugzilla.gnome.org@jankratochvil.net>

	* bonobo/bonobo-activation-init.c,
	* bonobo/bonobo-private.h,
	* bonobo/bonobo-main.c,
	* configure.in: conditionalise thread usage with
	HAVE_GTHREADS macro, & add configure parameter.

2005-05-16  Alexander Larsson  <alexl@redhat.com>

	* activation-server/object-directory-load.c:
	* bonobo-activation/bonobo-activation-client.c:
	Use g_get_language_list instead of
	bonobo_activation_i18n_get_language_list.
	
	* bonobo-activation/bonobo-activation-get-language-list.c:
	* bonobo-activation/bonobo-activation-private.h:
	Use g_get_language_list to implement
	bonobo_activation_i18n_get_language_list, this is for
	use by gnome-vfs and libgnome. Add a comment about this.

	This fixes bug 168948 (make bonobo use 100k less of memory per application)

2005-04-16  Tor Lillqvist  <tml@novell.com>

	* bonobo/bonobo-main.c (DllMain): Use wide-character API to get
	the installation folder on NT-based Windows. Then, as the locale
	directory is passed to the non-UTF8ified gettext library, get the
	short form of the name which I assume is guaranteed to have only
	characters in the system codepage. All this so that libbonobo will
	find its message catalogs also if installed in a path with
	characters not representable in the system codepage, which
	presumably happens mainly in CJK locales.

	Actually, I think it is not quite safe to have this much code that
	calls GLib, even, in a DllMain() function. Will have to change the
	logic later.

	* bonobo/bonobo-main.h: Add prototype for bonobo_main_level to
	silence gcc.

2005-04-15  Tor Lillqvist  <tml@novell.com>

	* configure.in: Since we de facto require GLib 2.6, spell it out.

	* activation-server/activation-server-main.c 
	* activation-server/object-directory-corba.c
	* activation-server/object-directory-load.c (od_load_directory)
	* bonobo-activation/bonobo-activation-base-service.c
	* bonobo/bonobo-debug.c: Use GDir API and the gstdio wrappers for
	better localized pathname support on Windows. Use
	g_build_filename() where applicable instead of g_strconcat().

	* bonobo-activation/bonobo-activation-base-service.c
	(rloc_file_lock): On Win32, convert the UTF-8 lock file name to
	wide chars and use the wide char _wsopen() to open it, since
	there is no gstdio wrapper for _sopen().

	* tests/test-activation/test.sh: Set USER to `id -un` if not set.

2005-04-12  Mark McLoughlin  <mark@skynet.ie>

	* bonobo-activation/bonobo-activation-2.0-uninstalled.pc.in,
	  bonobo-activation/bonobo-activation-2.0.pc.in: require
	gmodule-no-export-2.0 rather than gmodule-2.0 so we don't
	get -export-dynamic on our link line.

2005-03-30  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-27  Tor Lillqvist  <tml@novell.com>

	* configure.in: Apparently AC_LIBTOOL_WIN32_DLL isn't deprecated
	after all, and in fact necessary with HEAD libtool.

2005-03-11  Tor Lillqvist  <tml@novell.com>

	* configure.in: Call AC_CANONICAL_HOST before looking at $host.

	* bonobo/Makefile.am (libbonobo_2_la_LIBADD)
	* bonobo-activation/Makefile.am (libbonobo_activation_la_LIBADD)
	* monikers/Makefile.am (libmoniker_std_2_la_LIBADD): Add $(INTLLIBS).

2005-02-25  Tor Lillqvist  <tml@novell.com>

	Further improvements to Windows port. Make it independent of
	installation location, i.e. don't use any hardcoded paths in the
	binaries.

	* configure.in: Set SEARCHPATHSEP to ";" on Win32, ":" on
	Unix. AC_SUBST it.

	* libbonobo-zip.in: Refinements.

	* activation-server/Makefile.am
	* bonobo/Makefile.am
	* bonobo-activation/Makefile.am: Pass the configure-time
	installation prefix to the compilations.

	* */*.c: Use G_SEARCHPATH_SEPARATOR instead of hardcoded colon.

	* activation-server/activation-server-main.c
	(server_win32_replace_prefix, whereami): New functions. Look up
	the executable's pathname at runtime, deduce end-user installation
	prefix from that, form run-time strings corresponding to
	SERVERINFODIR, SERVER_LOCALEDIR and SERVER_CONFDIR from that.
	(main): Call whereami().

	* activation-server/object-directory-load.c (parse_oaf_server_attrs):
	If the prefix of the pathname to an exe or shlib file matches our
	configure-time prefix, replace it with the actual end-user
	installation prefix, so that .server files don't have to be edited
	at end-user installation time.

	* activation-server/server.h: Declare server_win32_replace_prefix().

	* activation-server/test-performance.c
	(server_win32_replace_prefix): Dummy implementation. This function
	is needed in test-performance, too, but as test-performance isn't
	installed, we cannot know the run-time prefix. On the other hand,
	this is a test program that will be run only on the build machine
	anyway, so we can use the configure-time paths.

	* bonobo/bonobo-main.c (replace_prefix, DllMain): New
	functions. Automatically deduce installation location on end-user
	machine. Form run-time BONOBO_LOCALEDIR.

	* bonobo-activation/bonobo-activation-base-service.c
	(bonobo_activation_base_service_init): Use run-time
	SERVER_LIBEXECDIR.

	* bonobo-activation/bonobo-activation-fork-server.c: Print debug
	message only if BONOBO_ACTIVATION_DEBUG_EXERUN.

	* bonobo-activation/bonobo-activation-get-language-list.c
	(unalias_lang): Use run-time path to locale.alias on
	Windows. Don't use Unix-specific fixed pathnames.

	* bonobo-activation/bonobo-activation-init.c (replace_prefix,
	DllMain): As above.

	* samples/echo/echo.c (impl_demo_echo_echo): freopen stdout to the
	controlling terminal as the activation server has redirected it to
	/dev/null.

	* tests/Makefile.am
	* tests/test-activation/Makefile.am: Use SEARCHPATHSEP when
	setting BONOBO_ACTIVATION_PATH.
	
2005-02-22  Tor Lillqvist  <tml@novell.com>

	Port to Windows:
	
	* libbonobo-zip.in: New file, used to build zipfile distribution
	on Windows.

	* configure.in: Force shared library build (only) on Win32. Check
	for sigaction() and setsid(). Check for <sys/wait.h> and
	<syslog.h>. Remove duplicate AC_ISC_POSIX. Remove obsolete
	AC_LIBTOOL_WIN32_DLL. Expand libbonobo-zip.

	* Makefile.am (EXTRA_DIST): Distribute libbonobo-zip.in.

	* activation-server/activation-server-main.c (log_handler): If we
	don't HAVE_SYSLOG_H, print to stderr instead.
	(redirect_output): On Win32 the bit bucket is called NUL:.
	(main): Conditionalize on HAVE_SETSID and HAVE_SYSLOG_H. If we
	don't HAVE_SIGACTION, use signal() instead. Conditionalize use of
	SIGPIPE that doesn't exist in the Microsoft C library. (Signals
	are a C library concept on Windows, the underlying OS uses a
	different abstraction.)

	* activation-server/object-directory-activate.c: Remove
	unnecessary inclusion of <sys/wait.h>.

	* bonobo/bonobo-debug.c (bonobo_debug_init): Use stderr instead of
	stdout.

	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_init_activation_env): Don't bother with Unix
	environment variables like DISPLAY and SESSION_MANAGER on
	Windows. (Do try LANG, though, although it isn't use by "normal"
	Windows software either, but potentially by GLib-using software.)

	* bonobo-activation/bonobo-activation-base-service.c
	(wait_for_lock): Use g_usleep() if we don't have usleep() or
	nanosleep().
	(rloc_file_lock, rloc_file_unlock): Use _sopen() (open() with
	"share mode") on Win32.
	(STRMATCH): Remove duplicate definition.

	* bonobo-activation/bonobo-activation-client.c: Include <stdlib.h>
	for environ on Win32.

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): Cross-platform
	implementation using g_spawn_async() and GIOChannel.

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_postinit): Conditionalize use of F_SETFD and
	FD_CLOEXEC.
	(do_barrier): If don't HAVE_SIGACTION, re-arm signal.
	(bonobo_activation_orb_init): Use signal() if not HAVE_SIGACTION.

	* tests/Makefile.am: Add .libs to PATH, too. On Windows shared
	libraries are searched for in PATH. Append EXEEXT to test program
	names.

	* tests/test-generic-factory.sh: Filter out CRs from the test
	program output to avoid false differences.

	* tests/test-activation/bonobo-activation-test.c (main): Use
	g_usleep() instead of sleep().

	* tests/test-activation/empty-server.c (main): Don't register
	Unix-only environment variables on Win32.

	* tests/test-activation/test.sh: Add .libs to PATH, too, for Win32.

2005-02-20  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* doc/api/libbonobo.types: Remove bonobo_running_context_get_type,
	it is private.
	
	* libbonobo.h: Add missing includes for bonobo-moniker-extender.h,
	bonobo-item-handler.h, and bonobo-shlib-factory.h.  Fixes #167:
	documentation's build segfault on ia64.  Based on patch by
	Sebastien Bacher.

2005-02-08  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "xh" to ALL_LINGUAS.

=== 2.8.1 ===
2005-02-05  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* NEWS: Update.

	* configure.in: Version 2.8.1.

2005-02-03  Mark McLoughlin  <mark@skynet.ie>

	Fix problem with locale env variables getting cocked up.
	Based on patch from Ryan Lortie <desrt@desrt.ca> in
	bug #164303

	* bonobo-activation/bonobo-activation-activate.c:
	(bonobo_activation_init_activation_env): treat LC_* just
	the same as all other environment variables rather than
	trying to be clever with selocale().

2005-02-02  Hans Petter Jansson  <hpj@novell.com>

	* configure.in: Add checks for Apple Darwin's way of getting
	the environment from within a shared library. The results of these
	tests are already used in the code, but seemingly, the tests themselves
	were never added.

2005-02-02  Michael Meeks  <michael.meeks@novell.com>

	* README: update a little.

2005-01-30  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server_ext): Just in case, add
	fallback code to print warning and initialize retval when a
	unexpected exception occurs.

2005-01-29  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* bonobo/bonobo-arg.c (bonobo_arg_from_gvalue_alloc): Take
	precautions against NULL string GValue.

2005-01-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* doc/activation-api/server-xml-reference.sgml: Document .server
	property 'bonobo:environment'.

2005-01-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in:
	  Fix autoheader warnings

2004-12-13  Padraig O'Briain <padraig.obriain@sun.com>

	* activation-server/object-directory-corba.c (od_get_active_server):
	Add break call to avoid further searcing when server if found.

	Bug #150538.

2004-09-28  Mark McLoughlin  <mark@skynet.ie>

	Fixes problem with running epiphany immediately after
	install it - bug #145169.

	* activation-server/object-directory-corba.c:
	(od_register_runtime_server_info): re-scan the server info
	directories when registering a server rather than only
	when activating a server.

2004-09-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.8.0.

2004-08-24  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_new_generic)
	(last_unref_cb): Ignore "last-unref" if it happens during the
	object creation callback and an object is actually created in the
	end.  Fixes bug #139140 (Can't get bonobo objects in _init method
	of bonobo object)

2004-08-23  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* Makefile.am (DISTCLEANFILES): Only clean intltool-* in make
	distclean, not make clean, since there is no rule to regenerate
	them from the makefile.  Fixes #144541.
	
2004-08-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* doc/api/tmpl/bonobo-application.sgml
	(bonobo_application_register_message): Add a longer description
	and some examples.

	* bonobo/bonobo-application.c
	(bonobo_application_register_message): Remove example program from
	inline documentation (moved to the gtk-doc template file).

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-13  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-object.c (bonobo_object_finalize_servant): Call
	object's poa_fini_fn.  Patch by Michael Meeks.  Fixes #118117.

2004-08-12  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-activation/Makefile.am (TESTS_ENVIRONMENT): Set
	BONOBO_ACTIVATION_DEBUG, since some tests use relative server
	paths, thus fail if the b-a-s changes dir on startup.

	* activation-server/activation-server-main.c (main): Declare
	debug_output_env as const, to suppress compiler warning.
	(main): Unless env. var. BONOBO_ACTIVATION_DEBUG is set,
	chdir("/") before entering main loop.

	* bonobo/bonobo-running-context.c
	(bonobo_running_context_trace_objects_T): Add
	ri->emitted_last_unref = FALSE, missing in debug version of
	addObject, but present in the non-debug version.
	(bonobo_running_context_trace_objects_T): Complement the
	information of the number of alive objects with a list of the
	interfaces of the alive objects.

2004-08-11  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* activation-server/object-directory-corba.c
	(od_register_runtime_server_info): We should be returning
	new_serverinfo instead of old_serverinfo.

2004-08-11  Alexander Larsson  <alexl@redhat.com>

	* bonobo-activation/bonobo-activation-get-language-list.c (read_aliases):
	Import some fixes from gnome-vfs copy.

2004-08-11  Alexander Larsson  <alexl@redhat.com>

	* bonobo-activation/bonobo-activation-get-language-list.c (read_aliases):
	Use less memory for alias tables.

2004-08-11  Kjartan Maraas  <kmaraas@gnome.org>

	* activation-server/client.c: (add_load_path), (remove_load_path),
	(register_activate_server), (do_query_server_info),
	(do_activating): Correctly use ANSI argument list.
	* bonobo-activation/bonobo-activation-base-service.c:
	(bonobo_activation_registration_iterate): Same..
	* bonobo-activation/bonobo-activation-fork-server.c:
	(bonobo_activation_server_by_forking): Use NULL in place of 0
	* bonobo/bonobo-debug.c: (bonobo_debug_init): ANSI arguments
	* bonobo/bonobo-generic-factory.c:
	(bonobo_generic_factory_destroy): NULL vs 0
	* bonobo/bonobo-item-handler.c: (bonobo_item_handler_finalize):
	* bonobo/bonobo-listener.c: (bonobo_listener_finalize),
	(bonobo_listener_init): NULL vs 0
	* bonobo/bonobo-persist-client.c: (bonobo_object_save_to_stream),
	(bonobo_object_from_stream): NULL vs 0
	* bonobo/bonobo-persist.c: (bonobo_persist_finalize): NULL vs 0
	* bonobo/bonobo-storage-memory.c: (bonobo_storage_mem_create):
	NULL vs 0.
	* configure.in: Added nb to ALL_LINGUAS.

2004-08-10  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-activation/Makefile.am (TESTS_ENVIRONMENT): Add
	$(top_srcdir)/activation-server to BONOBO_ACTIVATION_PATH, so that
	event source test doesn't fail.

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_make_registration_id): g_message instead of
	g_warning.

2004-08-09  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-activation/Makefile.am: Don't install $(serverfiles).
	They are not required to be installed for make check. Fixes #145056.

2004-08-08  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* idl/Bonobo_Control.idl: Prepend 'action' parameter name with
	underscore to avoid clash with type Action, in
	PropertyControl::notifyAction(). Fixes #118078.
	
	* idl/Bonobo_Property.idl: Escape PropertyBag::ReadOnly and
	ConfigDatabase::DBFlags::DEFAULT with a leading underscore because
	of clashes with IDL keywords. Fixes #118078.

	* bonobo-activation/Makefile.am (INCLUDES): Define
	G_LOG_DOMAIN=Bonobo-Activation.

	* bonobo-activation/bonobo-activation-activate.c,
	* bonobo-activation/bonobo-activation-base-service.c,
	* bonobo-activation/bonobo-activation-client.c,
	* bonobo-activation/bonobo-activation-fork-server.c,
	* bonobo-activation/bonobo-activation-register.c: Turn g_warnings
	that contain only informational debug messages into g_message, so
	that we can abort with --g-fatal-warnings in the real strange
	stituations.
	
	* bonobo-activation/bonobo-activation-register.c
	(registration_result_to_string): Give a g_warning on invalid code
	instead of aborting.  This is an error, but not fatal by any means.

2004-08-07  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-activation/Makefile.am: Don't install $(serverfiles).
	They are not required to be installed for make check.

2004-08-04  Greg Hudson  <hudson@mit.edu>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): reset signal mask
	removing SIGCHLD block for forked child.

2004-07-21  Antonio Xu  <antonio.xu@sun.com>

	* activation-server/object-directory-corba.c
	(remove_active_server): add judgement to make sure the count
	of active server is right.

2004-07-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bonobo/bonobo-app-client.c
	(bonobo_app_client_get_msgdescs): fix array bound
	checking & Fix API docs.

2004-06-26  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added "ne" Nepali in ALL_LINGUAS

2004-05-29  Michael Meeks  <michael@ximian.com>

	* Version 2.6.2

2004-05-28  Michael Meeks  <michael@ximian.com>

	* activation-server/activation-server-main.c
	(main): turn output debug on if we use
	--register-server

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_hostname_get): always return
	localhost - so we don't barf when the hostname
	changes (DHCP). Slightly bad, but a) this method is
	deprecated anyway, b) only fools would use it
	to return the current hostname and c) localhost is
	often the local host name anyway.

2004-05-26  Michael Meeks  <michael@ximian.com>

	* Version 2.6.1

2004-05-26  Arvind Samptur  <arvind.samptur@wipro.com>

	* activation-server/object-directroy.h : Add
	od_finished_internal_registration () helper function.
	* activation-server/object-directroy-corba.c
	(add_active_server): Don't add our internal servers count
	to n_active_servers.
	* activation-server/activation-server-main.c (main):  Use
	od_finished_internal_registration () to indicate that we
	are done with our internal server registeration.
	Fixes #139500
	
2004-05-14  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-init.c:
	move sys/types.h include upwards for bsd.

2004-05-06  Michael Wilson  <Michael.Wilson@bull.net>

	* bonobo/bonobo-application.c (message_desc_copy) 
	(_gtype_to_typecode): bin bogus gnuism: __inline__

2004-05-05  Michael Wilson  <Michael.Wilson@bull.net>

	* bonobo/bonobo-application.c: bin bogus trailing
	',' and ';' - fix AIX build.

2004-04-16  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-15  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* activation-server/object-directory-corba.c
	(od_register_runtime_server_info): Do not ever try to update a
	ServerInfo if there's already another ServerInfo registered for
	the given IID.  This both improves performance and avoids a
	possible memory error that I have been unable to track down after
	much debugging.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-06  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* ChangeLog: converted to UTF-8

2004-03-30  Adam Weinberger <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-17  Tony Arnold  <tonyarnold@users.sourceforge.net>

	* bonobo-activation/bonobo-activation-client.c: ugly hack
	for Darwin's whacked-out 'environ.

2004-03-16  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-15  Julio M. Merino Vidal  <jmmv@menta.net>

	* bonobo-activation/bonobo-activation-get-language-list.c
	(unalias_lang): read aliases from the prefix first (NetBSD)

2004-03-08  Michael Meeks  <michael@ximian.com>

	* Version 2.6.0

2004-03-07  Glynn Foster  <glynn.foster@sun.com>

	* bonobo-activation/Makefile.am, bonobo-activation/bonobo-activation-2.0-uninstalled.pc.in:
	* bonobo/Makefile.am, bonobo/libbonobo-2.0-uninstalled.pc.in, configure.in:
	Add uninstalled pkg-config files, so that we can link the library without
	needing to install it.

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-03  Tomasz Kłoczko <kloczek@pld.org.pl>

	* configure.in: Trival cleanup: remove AC_SUBST(CFLAGS),
	  AC_SUBST(CPPFLAGS) and AC_SUBST(LDFLAGS). This variables are substed
	  by default.

2004-02-02  Michael Meeks  <michael@ximian.com>

	* Version 2.5.4

2004-02-02  David Hawthorne  <david.hawthorne@sun.com>

	* autogen.sh: require automake 1.7

2004-02-01  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-app-client.c,
	* bonobo/bonobo-application.c, 
	* doc/api/libbonobo-docs.sgml, 
	* doc/api/libbonobo-sections.txt, 
	* doc/api/tmpl/bonobo-application.sgml, 
	* doc/api/tmpl/bonobo-app-client.sgml: Initial
	BonoboApplication/BonoboAppClient documentation.  Only
	introductory text is missing.

	* configure.in: Explicitly require GLib >= 2.3.2.

	* tests/test-uniqapp.c (message_quit_cb): Quit after a timeout, so
	that remote BonoboAppClient has time to unref our
	BonoboApplication reference.

	* bonobo/bonobo-application.c, bonobo/bonobo-application.h:
	s/BONOBO_TYPE_APPLICATION_ARGV/G_TYPE_STRV/ (new type available
	since glib 2.3.2).

	* bonobo/bonobo-app-client.c (bonobo_app_client_finalize):
	release_unref() the app_server remote object.

	* bonobo/bonobo-application.c
	(bonobo_application_register_unique): Ref() the application server
	object returned by b-a-s. Loop a few times trying to register as
	server, for as long as the ref() operation raises an exception.
	It should be noted that this situation is very unlikely to happen,
	though.

2004-01-30  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server_ext): only
	be cautious about displaying if not in debugging mode,
	fix failure to compile.

2004-01-27  Rodrigo Moya <rodrigo@ximian.com>

	* activation-server/object-directory-corba.c
	(object_directory_class_init): removed repeated line.

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server_ext): display warning
	message if there's an exception.

2004-01-26  Michael Meeks  <michael@ximian.com>

	* activation-server/activation-server-main.c
	(build_src_dir): re-order compile-time prefix so it
	doesn't screw people (ta. Chris, Dave et. al.).

2004-01-21  Anders Carlsson  <andersca@gnome.org>

	* bonobo-activation/bonobo-activation-init.c:
	(bonobo_activation_preinit):
	Fix translation of program arguments. 
	(#106549, patch by Hidetoshi Tajima).

2004-01-15  Michael Meeks  <michael@ximian.com>

	* Version 2.5.3

2004-01-15  Michael Meeks  <michael@ximian.com>

	* activation-server/activation-server-main.c (main): 
	beef up the --register-server case for debugging.

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_timeout_reg_check): add env. check for
	BONOBO_ACTIVATION_NO_TIMEOUT to disable the timeout.

2004-01-12  Michael Terry  <mterry@fastmail.fm>

	* activation-server/Makefile.am: Define G_LOG_DOMAIN.

	* activation-server/activation-server-main.c (log_handler): New
	function to handle g_log family calls which sends the message to
	syslog.  Inspired by Havoc Pennington's GEdit debug code.
	(redirect_output): Change to use new output_debug global setting.
	(main): Setup syslog and g_log handler.  Initialize output_debug
	based on environment variable BONOBO_ACTIVATION_DEBUG_OUTPUT.  Parts
	of bug 131045.

	* activation-server/object-directory-corba.c
	(bonobo_object_directory_reload): Fix a debug output to use g_log.

	* activation-server/object-directory-load.c (parse_oaf_server_attrs),
	(parse_oaf_attribute), (od_load_context), (od_load_directory): Fix up
	some output calls to use g_log family correctly.

2004-01-14  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/generic-factory.c (generic_factory_cb): take some
	additional precautions against possible reentrancy.

	* tests/test-generic-factory.sh: unset
	BONOBO_ACTIVATION_DEBUG_OUTPUT env var to suppress b-a-s errors,
	instead of filtering the factory output through grep.

2004-01-14  Albert Chin-A-Young  <china@thewrittenword.com>

	* bonobo/bonobo-moniker-util.c (async_activation_cb) 
	(bonobo_moniker_resolve_async): fix for AIX.

2004-01-09  Michael Meeks  <michael@ximian.com>

	* Version 2.5.2

2004-01-09  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-activate.c
	(query_cache_lookup): fix undefined 'active' issue.

2004-01-08  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag.c
	(flags_gparam_to_bonobo): fix logic bug, thanks
	to Dave Jones

2004-01-06  Michael Meeks  <michael@ximian.com>

	* configure.in: require a decent/recent ORBit2.

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server_ext),
	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_activate_from_id),
	(bonobo_activation_activate): check for BAD_OPERATION not
	NO_IMPLEMENT for backwards compatibility #129841, thanks
	Crispin.

2004-01-06  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* activation-server/object-directory-load.c (parse_oaf_attribute)
	(od_EndElement): Allocate all serverinfo members with CORBA typed
	allocators, so that we can use Bonobo_ServerInfo__freekids to free
	the serverinfo.
	(bonobo_server_info_load): Set servers->_maximum equal to
	servers->_length, so that ORBit_sequence_append works correctly.
	Removed FIXME comment, since it is already fixed.
	
	* activation-server/object-directory-corba.c (od_dump_list): Use
	-> instead of . to dereference od->attr_servers pointer.
	(update_registry): CORBA_free old od->attr_servers before creating
	new one with CORBA dynamic allocation.
	(impl_Bonobo_ObjectDirectory__get_servers): Dereference
	od->attr_servers pointer.
	(od_register_runtime_server_info): Avoid calling
	update_registry(od, TRUE), which rescans/parses all XML .server
	files.  Instead, just add/replace new serverinfo in
	od->attr_servers, od->attr_runtime_servers, and od->by_iid, then
	notify clients the serverinfo list has changed.
	(impl_Bonobo_ObjectDirectory_addClientEnv): Use
	ORBit_small_listen_for_broken instead of (deprecated)
	ORBit_small_get_connection.

	* activation-server/activation-context-corba.c (ac_update_list):
	Make a deep copy of the Bonobo_ServerInfoList, instead of keeping
	a pointer to it.

	* activation-server/object-directory.h (struct _ObjectDirectory):
	Change attr_servers to a pointer to structure instead of a direct
	structure, since we need to dynamically allocate it now (in order
	to be able to use ORBit_sequence_append).

2004-01-04  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* doc/activation-api/server-xml-reference.sgml: l10n fix (see also
	Bug #122798).

2004-01-01  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* activation-server/object-directory-corba.c (client_cnx_broken)
	(impl_Bonobo_ObjectDirectory_addClientEnv): Free client
	environment when client disconnects.

2003-12-31  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-app-client.c (bonobo_app_client_new_instance): Add
	optional CORBA_Environment parameter, for better error handling.
	(bonobo_app_client_msg_send): Add CORBA_Environment; Declare a
	mandatory GType argument, for better compile-time checking, since
	the function needs at least one GType.
	(bonobo_app_client_msg_send_valist): idem.
	(bonobo_app_client_msg_send_argv): idem.
	(bonobo_app_client_new_instance): Add CORBA_Environment.

	* bonobo/bonobo-application.c
	(bonobo_application_register_unique): now returns
	Bonobo_RegistrationResult, receives serverinfo raw description and
	client interface is returned in an output parameter.
	(bonobo_application_create_serverinfo): New convenience method to
	build a XML server description for the app, including a list of
	cared-for environment variables.

	* bonobo/bonobo-application.h, bonobo/bonobo-app-client.h,
	* tests/test-uniqapp.c: Update to API changes.

2003-12-25  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-marshal.list, bonobo/bonobo-application.c
	(bonobo_application_class_init): Changed new-instance signal argv
	type to BONOBO_TYPE_APPLICATION_ARGV instead of G_TYPE_POINTER, to
	make it easiear to wrap in language bindings.

	* bonobo/bonobo-application.h, bonobo/bonobo-application.c: Define
	a BONOBO_TYPE_APPLICATION_ARGV boxed type for a NULL-terminated
	string array, gchar**.

	* bonobo/bonobo-application.c
	(bonobo_application_new_instance): Create temporary
	NULL-terminated string array to pass as signal argument.

	* tests/test-uniqapp.c, bonobo/bonobo-marshal.list: Use the double
	type instead of float, for interoperability with python.

2003-12-24  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-uniqapp.c (message_cb, main): Add a string argument
	to the test message.

	* bonobo/bonobo-arg.c (bonobo_arg_from_gvalue_alloc): Add missing
	initialization of arg->_type and arg->_value for the G_TYPE_STRING case.

2003-12-18  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* activation-server/object-directory-corba.c
	(od_merge_client_environment): Make the 'server' parameter const.
	(impl_Bonobo_ObjectDirectory_register_new_full): Register
	ServerInfo from description before merging environments, since
	merging requires the ServerInfo in the first place.
	(od_merge_client_environment): Tolerate NULL ServerInfo.

2003-12-09  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-client.c
	(bonobo_activation_register_client): switch to using
	environ instead - with our own extern for Solaris.

2003-12-08  Michael Meeks  <michael@ximian.com>

	* Version 2.5.1

	* activation-server/activation-context-corba.c
	(impl_Bonobo_ActivationContext__get_servers): prune.

2003-12-08  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_query): fix daft snafu.

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server_ext):
	register the full version.

	* bonobo-activation/bonobo-activation-client.c
	(bonobo_activation_client_get): export internally.
	(bonobo_activation_register_client): pass the environment.

	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_activate_from_id),
	(bonobo_activation_activate): use new APIs and fallback
	on exception.
	(setup_methods): update.
	(bonobo_activation_activate_from_id_async),
	(bonobo_activation_activate_async): pass client - no
	fallbacks though (yet).

	* activation-server/object-directory-corba.c
	(object_directory_init): upd.
	(od_merge_client_environment): impl.
	(impl_Bonobo_ObjectDirectory_activate): add client handle
	(impl_Bonobo_ObjectDirectory_register_new_full): split/add
	(impl_Bonobo_ObjectDirectory_register_new),
	(impl_Bonobo_ObjectDirectory_activate): update.
	(od_register_runtime_server_info): return the right value.
	(impl_Bonobo_ObjectDirectory_addClientEnv): add envs.
	(object_directory_finalize): cleanup envs.

	* activation-server/object-directory-activate.c
	(od_server_activate_factory): propagate client context.

	* activation-server/client.c (do_activating): do a
	'Full' activation.

	* activation-server/activation-context-corba.c
	(activation_context_class_init): expand vtable.
	(impl_Bonobo_ActivationContext_activateMatchingFull),
	(impl_Bonobo_ActivationContext_activateFromAidFull): split/add
	(impl_Bonobo_ActivationContext_activateMatching),
	(impl_Bonobo_ActivationContext_activateFromAid): update.

2003-12-09  Shmyrev  <nshmyrev@yandex.ru>

	* activation-server/activation-server-main.c (main):
	create / register the event source.

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_register_new),
	(impl_Bonobo_ObjectDirectory_unregister): emit
	notifications.

	* tests/test-activation/Makefile.am: use libbonobo
	
	* tests/test-activation/bonobo-activation-test.c (main):
	add activation notification tests.

	* activation-server/Bonobo_CosNaming_NamingContext.server.in.in:
	describe the activation event source.

2003-12-08  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-activate.c
	(query_cache_lookup): grok for _active, don't use
	the cache if we're querying on live state.
	(bonobo_activation_query): don't insert into the
	cache if _active used.

2003-12-07  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-application.c, bonobo/bonobo-application.h
	(bonobo_application_register_message_v): new function, like
	bonobo_application_register_message_va, but takes a vector of
	GType's instead of va_list, useful for language bindings.
	(bonobo_application_register_message_va): Calls
	bonobo_application_register_message_v after collecting arguments.

	* bonobo/bonobo-app-client.c, bonobo/bonobo-app-client.h
	(bonobo_app_client_msg_send_argv): New message sending function
	that receives a GValue* vector.  This is mainly for language
	bindings.
	(bonobo_app_client_msg_send_valist): Now calls
	bonobo_app_client_msg_send_argv after collecting values.

2003-12-01  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo-activation/bonobo-activation-client.c
	(impl_Bonobo_ActivationClient_getVersion):
	implement Bonobo::ActivationClient::getVersion().

	* activation-server/activation-context-corba.c
	(impl_Bonobo_ActivationContext_getVersion)
	(activation_context_class_init):
	implement Bonobo::ActivationContext::getVersion().
	
	* idl/Bonobo_ActivationContext.idl: Added getVersion() method to
	both ActivationClient and ActivationContext.

2003-11-24  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-application.c
	(bonobo_application_register_unique): Build a <oaf_info> XML
	fragment to pass as description of the server being registered.

	* activation-server/test-performance.c (test_server_info_load):
	Pass new required parameter to bonobo_server_info_load.

	* activation-server/object-directory.h: New attribute
	attr_runtime_servers, for servers without .server file, completely
	defined at run-time.

	* activation-server/object-directory-corba.c (update_registry):
	Pass in new 'runtime_servers' argument to bonobo_server_info_load.
	(od_register_runtime_server_info): new function to register new
	ServerInfo from XML string description.
	(impl_Bonobo_ObjectDirectory_register_new): Call
	od_register_runtime_server_info, instead of directly doing
	hashtable lookup to register ServerInfo from description and at
	the same time find out if ServerInfo is available (description
	could be empty).
	(object_directory_init): Initialize runtime_servers array here.

	* activation-server/server.h: Declare
	bonobo_parse_server_info_memory; update signature of
	bonobo_server_info_load.

	* activation-server/object-directory-load.c
	(bonobo_server_info_load): Add argument 'runtime_servers'; Append
	elements from runtime_servers to list of servers.
	(od_load_context): common code from file and string parsing
	functions.
	(od_load_file): moved most call to od_load_context; call it here.
	(bonobo_parse_server_info_memory): like od_load_file, but parses a
	memory string instead of a file.

2003-11-22  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-app-client.c, bonobo/bonobo-application.c:
	s/bonobo_arg_from_gvalue_copy/bonobo_arg_from_gvalue_alloc/
	s/bonobo_arg_to_gvalue_copy/bonobo_arg_to_gvalue_alloc/

	* bonobo/bonobo-arg.h, bonobo/bonobo-arg.c: Rename
	bonobo_arg_(to|from)_gvalue_copy to
	bonobo_arg_(to|from)_gvalue_alloc, in order to confuse less
	programmers.

2003-11-17  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-marshal.list: Add a few required marshalers.

	* idl/Makefile.am (idl_DATA): Add Bonobo_Application.idl.

	* bonobo/Makefile.am: Add bonobo-application.h and bonobo-application.c

	* tests/test-uniqapp.c: BonoboApplication test program.

	* tests/Makefile.am (check_PROGRAMS): Add BonoboApplication test.

	* bonobo/bonobo-main.c (bonobo_init_full): Call bonobo_arg_init here.

	* bonobo/bonobo-arg.c (bonobo_arg_to_gvalue_copy): like
	bonobo_arg_to_gvalue, but initializes/allocates return value.
	(bonobo_arg_from_gvalue_copy): like bonobo_arg_from_gvalue, but
	initializes/allocates return value.
	(__bonobo_arg_from_CORBA_ANY, __TC_CORBA_any_to_gvalue): specific
	functions to convert to/from CORBA_any.
	(bonobo_arg_register_from_gvalue_converter)
	(bonobo_arg_register_to_gvalue_converter): argument convertion
	registration API.
	(bonobo_arg_init): Function that needs to be called upon bonobo
	initialization to setup argument converters.

	* bonobo/bonobo-arg.h: declare new argument conversion functions.

	* bonobo/bonobo-app-client.c, bonobo/bonobo-app-client.h:
	BonoboAppClient -- client interface to BonoboApplication.

	* bonobo/bonobo-application.c, bonobo/bonobo-application.h:
	BonoboApplication initial implementation.

	* idl/Bonobo.idl: Include Bonobo_Application.idl.

	* idl/Bonobo_Application.idl: IDL Interface for GEP 12 Bonobo
	Unique Application.

2003-11-10  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* bonobo/bonobo-main.c (bonobo_main_level): Implement.

	* tests/test-main-loop.c, tests/Makefile.am: Test the above.

	* doc/api/libbonobo-sections.txt: Document it.

2003-10-31  Michael Meeks  <michael@ximian.com>

	* Version 2.4.2

2003-11-03  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-base-service.c
	(bonobo_activation_service_get): print out the exception
	if build with debugging.

	* tests/test-moniker.c (main): activate before
	doing misc. calls.

	* activation-server/activation-server-main.c
	(main): activate the POA manager before we call
	in-proc methods that can generate transient errors.

2003-10-31  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_init_activation_env): add XAUTHORITY
	to the list of uniqueness keys - causing grief for
	many: #124707

2003-10-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-context.c (bonobo_context_shutdown): check
	that people didn't shut down the ORB before we got called.

2003-10-29  Sebastien Bacher  <seb128@debian.org>

	* utils/bonobo-slay.in: Add --help support, so 'bonobo-slay --help'
	doesn't slay the processes.
	Add a '-i' option to ask before slaying.	

2003-10-25  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-main.c (bonobo_poa_get_threadedv): Add support for
	ORBIT_THREAD_HINT_ON_CONTEXT.

2003-10-10  Michael Meeks  <michael@ximian.com>

	* Version 2.4.1

2003-10-08  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-item-handler.c:
	(bonobo_item_handler_finalize): don't leak the get_object
	closure - we only freed it if the enum_object closure
	wasn't NULL. Nailed down using valgrind info from Kjartan.

2003-10-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-generic-factory.c: include
	bonobo-debug.h; thanks to Paolo Maggi.

2003-09-28  Gediminas Paulauskas  <menesis@delfi.lt>

	* configure.in: Added lt to ALL_LINGUAS.

2003-09-24  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_construct): If the env.var BONOBO_DEBUG
	includes 'lifecycle' and bonobo is configured with --enable-debug,
	then give a warning when registration fails saying why.

2003-09-23  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/Makefile.am (EXTRA_DIST): Added Test_Generic_Factory.server.

	* tests/test-generic-factory.c (timeout2, run_tests): Use
	bonobo_activation_query() to activate the server instead of
	bonobo_get_object(), since during make distcheck the OAFIID moniker
	is not installed yet when the tests are run.

	* bonobo/bonobo-arg.c (MAKE_FROM_GVALUE, MAKE_TO_GVALUE): Revert
	the changes of 2003-04-22, since they introduce memory leaks.  It
	turns out I misunderstood the API.

2003-09-19  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-running-context.c:
	(bonobo_running_context_trace_objects_T): Fix compiler warnings.

2003-09-12  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/Makefile.am (EXTRA_DIST): Removed non-existent file
	clean-warnings.sed.

	* doc/activation-api/tutorial.sgml: In the section "The need for a
	replacement" we should be talking about replacing gnorba, not
	bonobo activation.

2003-08-28  Michael Meeks  <michael@ximian.com>

	* tests/models/generic-factory.output: bin the 
	duff stuff from here too.

	* tests/test-generic-factory.sh: add a funky
	sed script to bin the duplicated / uninteresting
	bits.

	* tests/models/Makefile.am: add.
	* tests/Makefile.am (SUBDIRS): upd.
	* configure.in: add tests/models/Makefile -
	we wern't distributing the test output.

2003-08-26  Michael Meeks  <michael@ximian.com>

	* Version 2.4.0

	* activation-server/object-directory-corba.c
	(remove_active_server): don't spew a warning.

2003-08-22  SamÃºel JÃ³n Gunnarsson  <sammi@techattack.nu>

	* configure.in:  Added "is" to ALL_LINGUAS.
	
2003-08-10  Chris Toshok  <toshok@ximian.com>

	* bonobo-activation/bonobo-activation-base-service.c
	(bonobo_activation_internal_service_get_extended): fix typo -
	UNLOCK instead of LOCK.

2003-08-04  Christophe Fergeau  <teuf@gnome.org>

	* doc/activation-api/query-langage.sgml:
	* doc/api/tmpl/bonobo-generic-factory.sgml:
	* doc/api/tmpl/bonobo-property-bag.sgml: fixed small inaccuracies
	  in the doc

2003-08-04  Steve Chaplin  <stevech1097@yahoo.com.au>

	* bonobo-activation/Makefile.am: use AM_LDFLAGS.

2003-07-31  Michael Meeks  <michael@ximian.com>

	* Version 2.3.6
	
	* configure.in: require ORBit2 >= 2.7.5 for the is_a fix.

	* bonobo/bonobo-foreign-object.c
	(bonobo_foreign_object_new): add the CORBA_Object_is_a
	check back in.

	* bonobo/bonobo-object.c (do_corba_setup_T):
	move inheritance trap here, where we have a valid
	object reference.

2003-07-30  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_instance_init):
	add an inheritance trap.

2003-07-26  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/faq.xml: Added link to the C language mapping spec.

2003-07-17  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-activation/Makefile.am (TESTS_ENVIRONMENT): Define
	BONOBO_ACTIVATION_PATH here instead, dependent on $(srcdir).

	* tests/test-activation/test.sh (BONOBO_ACTIVATION_PATH): Don't
	define here.

	* tests/test-activation/Makefile.am: s/noinst_PROGRAMS/check_PROGRAMS/

	* tests/Makefile.am: s/noinst_SCRIPTS/check_SCRIPTS/;
	s/noinst_PROGRAMS/check_PROGRAMS/; Add check_SCRIPTS to
	EXTRA_DIST.

2003-07-17  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): fix leak thanks
	to Morten.

2003-07-17  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/Makefile.am (TESTS_ENVIRONMENT): Define MODELS_DIR...

	* tests/test-generic-factory.sh: ... and use it here.

	* tests/test-generic-factory.sh (BONOBO_ACTIVATION_PATH): Don't
	define it here.

	* tests/Makefile.am (noinst_PROGRAMS): Added generic-factory.
	(TESTS_ENVIRONMENT): Define BONOBO_ACTIVATION_PATH here, to make
	it dependent on srcdir.

2003-07-15  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-generic-factory.sh: Set TMPDIR to a private
	directory, to force a private b-a-s.

	* tests/models/generic-factory.output: Reference model changed a bit.

	* tests/Makefile.am: Added back a simplified version of the
	generic factory test.

	* tests/Test_Generic_Factory.server,
	* tests/test-generic-factory.sh: added.
	
	* tests/Test_Generic_Factory.server.in,
	* tests/test-generic-factory.sh.in: removed.

2003-07-15  Michael Meeks  <michael@ximian.com>

	* Version 2.3.5

	* tests/test-activation/Makefile.am,
	* activation-server/Makefile.am,
	* bonobo/Makefile.am,
	* idl/Makefile.am,
	* Makefile.am: clean up misc. mess new autotools
	doesn't like.

	* tests/Makefile.am: disable test-generic-foo*

2003-07-13  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-object.c (bonobo_object_finalize_internal_T): Call
	bonobo_running_context_remove_object_T if it is foreign object,
	since bonobo_object_corba_deactivate_T isn't called in such case.

	* bonobo/bonobo-foreign-object.c (bonobo_foreign_object_new): Call
	bonobo_running_context_add_object_T() here, since do_corba_setup()
	is never called for foreign objects.
	(bonobo_foreign_object_new): Instantiate with g_object_new instead
	of g_type_create_instance, otherwise bonobo_object_constructor
	never gets called and the object isn't completely initialized.

	* bonobo/bonobo-generic-factory.c (startup_timeout)
	(last_unref_timeout): Clear timeout handle IDs before
	returning FALSE from the callbacks.

2003-07-09  Antonio Xu <antonio.xu@sun.com>

	* activation-server/client.c: (do_activating): Add the output
	of Activation ID.
	(main): Add the output of Query spec.

2003-07-08  Michael Meeks  <michael@ximian.com>

	* tests/test-activation/Makefile.am: disable
	persistantly failing async tests - bad library
	location issue rather than anything serious I
	hope.

	* configure.in: add popt check / POPT_LIBS.

	* tests/test-activation/Makefile.am,
	* activation-server/Makefile.am,
	* utils/Makefile.am: link explicitely to popt,
	thanks to Damien Carbery <damien.carbery@sun.com>

2003-07-04  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Version 2.3.4

2003-06-24  Michael Meeks  <michael@ximian.com>

	* test/test-activation/Makefile.am: resolve linking snafu
	with bonobo-activation-run-query

	* test/test-activation/test.sh: remove export A=b bash-ism

2003-06-16  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-06-12  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* bonobo/bonobo-main.c: (bonobo_poa_new_from):
	* bonobo/bonobo-main.h: don't use C++ keyword.

2003-06-10  Michael Meeks  <michael@ximian.com>

	* Version 2.3.3

2003-06-10  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Canvas.idl: use the Gdk::WindowId instead
	of a long window_id; upgrading the deprecated interface /
	add more padding.

2003-06-10  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_destroy): Cancel any pending timeouts,
	just in case.

2003-06-10  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_set_boolean): un-roll & sync.
	with prototype.

2003-06-09  Dan Winship  <danw@ximian.com>

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_set_boolean): another gboolean
	vs CORBA_boolean bug.

2003-06-09  Michael Meeks  <michael@ximian.com>

	* Version 2.3.2

2003-06-09  Michael Meeks  <michael@ximian.com>

	* tests/Makefile.am (EXTRA_DIST): fix.

	* bonobo/bonobo-running-context.c (impl_Bonobo_RunningContext_removeKey) 
	Rename several methods to _T suffix.
	(check_empty_T): don't hold the lock over event emissions.
	Add a slew of guards.

	* bonobo/bonobo-object.c (bonobo_object_init): bin it.
	(bonobo_object_instance_init, bonobo_object_finalize_internal):
	hold the guard on total_aggregates arithmetic.
	(bonobo_object_bag_get_ref, bonobo_object_bag_remove) 
	(bag_collect_ref_list_cb, bonobo_object_bag_list_ref) 
	(bag_collect_key_list_cb, bonobo_object_bag_destroy) 
	(bonobo_object_bag_cleanup_T): impl.
	(bonobo_object_trace_refs, bonobo_object_ref) 
	(bonobo_object_unref): hold guards over ref/unref etc.
	(bonobo_object_ref_T): impl.

	* bonobo/bonobo-main.c (bonobo_init_full): create _bonobo_lock.

	* bonobo/bonobo-shutdown.h: rename to
	* bonobo/bonobo-private.h: this to better reflect it's role.

2003-06-09  Rodrigo Moya <rodrigo@ximian.com>

	* doc/activation-api/*.sgml: replaced references to OAF
	with "Bonobo Activation".

2003-06-09  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Activation_types.idl: make 'unset' a flags
	field instead; just as efficient and more expandable.

	* bonobo-activation/bonobo-activation-register.c
	(Bonobo_ActivationEnvValue_copy, Bonobo_ActivationEnvValue_set):
	switch to new unset scheme with flag.

	* bonobo-activation/bonobo-activation-shlib.c
	(bonobo_activation_activate_shlib_server),
	(gnome_plugin_unload): hold guard.

	* bonobo-activation/bonobo-activation-get-language-list.c
	(bonobo_activation_i18n_get_language_list): add guard.

	* bonobo-activation/bonobo-activation-client.c
	(bonobo_activation_add_reset_notify, reset_caches):
	guard reset_caches list.
	(get_lang_list): guard lang list.

	* bonobo-activation/bonobo-activation-base-service.c
	(bonobo_activation_internal_service_get_extended):
	guard the activator list - the only real entry
	point here.

	* bonobo-activation/bonobo-activation-activate.c
	(query_cache_lookup): guard the cache.

	* activation-server/activation-context-corba.c,
	* bonobo-activation/bonobo-activation.h,
	* bonobo-activation/Makefile.am: don't include
	or install the (deprecated) -base-service.h,
	or -activation-id.h headers.

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_orb_init): always initialize
	the thread safe ORB.
	(orb_handle_connection, orb_add_connection) 
	(orb_remove_connection, bonobo_activation_orb_init): 
	bin ancient, stale USES_GLIB cruft.

	* tests/test-thread.c (main): bin the special
	case for thread-safe init.

2003-06-09  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-running-context.c
	(bonobo_running_context_add_object): Set emitted_last_unref =
	FALSE, just in case.

	* doc/api/tmpl/bonobo-generic-factory.sgm: Documented
	BONOBO_ACTIVATION_FACTORY_TIMEOUT.

	* doc/api/libbonobo-sections.txt: Added
	bonobo_generic_factory_main_timeout and
	BONOBO_ACTIVATION_FACTORY_TIMEOUT.

	* tests/Makefile.am: Build and declare generic factory regression
	test.

	* tests/models/generic-factory.output: generic factory client
	model output.

	* tests/models/generic-factory.output: generic factory server
	model output.
	
	* tests/test-generic-factory.sh.in: Regression test script for
	generic factory.

	* tests/generic-factory.c: generic factory regression test
	server.

	* tests/test-generic-factory.c: generic factory regression test
	client.

	* tests/Test_Generic_Factory.server.in: .server file for
	regression test of generic factory.

	* bonobo/bonobo-generic-factory.h (BONOBO_ACTIVATION_FACTORY_TIMEOUT):
	New generic factory macro that accepts an extra quit_timeout argument.

	* bonobo/bonobo-generic-factory.c (bonobo_generic_factory_main):
	Call bonobo_generic_factory_main_timeout with default 2 seconds
	timeout.
	(bonobo_generic_factory_main_timeout): New generic factory main
	mainloop with startup timeout (if somehow the server "forgets" to
	request an object after one minute) and quit timeout, to avoid
	quitting immediately after all objects have been released.
	(bonobo_generic_factory_init): Initialize
	factory->priv->last_unref_timeout to the default value.
	(impl_Bonobo_ObjectFactory_createObject): Cancel any pending
	timeouts.

2003-06-09  Michael Meeks  <michael@ximian.com>

	* configure.in: bump required bits, version.

	* bonobo/bonobo-main.c (bonobo_poa_get_threaded):
	don't leak a policy (thanks to NotZed).
	(bonobo_poa_get_threaded, bonobo_poa_get_threadedv):
	add argv arg.

2003-06-06  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c
	(bonobo_object_set_poa): stub.

	* tests/test-thread.c (main): upd.

	* bonobo/bonobo-main.c (bonobo_poa_new_from): impl.
	helper for creating new poas.
	(bonobo_poa_get_threaded): use ORBitThreadHint
	instead & re-hash.
	
2003-06-06  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): use
	g_main_context_default not erroneous NULL thing.

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_hostname_get): yet more
	simplification.

2003-06-05  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added li to ALL_LINGUAS.
	
2003-06-05  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_hostname_get): bin the unnecessary
	& slow hostname lookup, this causes acute grief on
	badly configured machines.

2003-06-04  Michael Meeks  <michael@ximian.com>

	* activation-server/server.h: turn off
	BONOBO_ACTIVATION_DEBUG - it's spewing reams of cruft.

2003-06-02  Shailesh Mittal  <shailesh.mittal@wipro.com>

	* configure.in: Added checks for getaddrinfo().

	* acconfig.h: Added HAVE_GETADDRINFO.

	* bonobo-activation/bonobo-activation-init.c
	(bonobo_activation_hostname_get): If getaddrinfo is defined on
	the system, it is used for hostname resolution, otherwise old
	gethostbyname is used for the purpose.

2003-06-02  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/figures/running-context.png,
	* doc/api/figures/running-context.dia: Added.
	
	* doc/api/figures/Makefile.am (diagrams): Added running-context.dia.

	* doc/api/Makefile.am (HTML_IMAGES): Added figures/running-context.png.

	* doc/api/tmpl/bonobo-running-context.sgml: Added a bit of
	documentation about this.

	* bonobo/bonobo-item-container.h: Removed the no longer used
	BonoboClientSiteList typedef.

	* doc/api/libbonobo-docs.sgml: Removed the bonobo-macros and
	bonobo-xobject sections.

	* doc/api/tmpl/bonobo-macros.sgml,
	* doc/api/tmpl/bonobo-unused.sgml,
	* doc/api/tmpl/libbonobo-unused.sgml,
	* doc/api/tmpl/bonobo-async.sgml,
	* doc/api/tmpl/bonobo-audio-ulaw.sgml,
	* doc/api/tmpl/bonobo-object-client.sgml,
	* doc/api/tmpl/bonobo-selector.sgml,
	* doc/api/tmpl/bonobo-property-bag-xml.sgml,
	* doc/api/tmpl/bonobo-wrapper.sgml,
	* doc/api/tmpl/bonobo-x-object.sgml: removed.

	* doc/api/Makefile.am: ignore bonobo-macros.h, bonobo-x-object.h
	and bonobo-stream.h.

	* doc/api/libbonobo-docs.sgml,
	* doc/api/libbonobo-sections.txt,
	* doc/api/tmpl/bonobo-arg.sgml,
	* doc/api/tmpl/bonobo-event-source.sgml,
	* doc/api/tmpl/bonobo-exception.sgml,
	* doc/api/tmpl/bonobo-generic-factory.sgml,
	* doc/api/tmpl/bonobo-item-container.sgml,
	* doc/api/tmpl/bonobo-item-handler.sgml,
	* doc/api/tmpl/bonobo-listener.sgml,
	* doc/api/tmpl/bonobo-main.sgml,
	* doc/api/tmpl/bonobo-moniker-context.sgml,
	* doc/api/tmpl/bonobo-moniker-extender.sgml,
	* doc/api/tmpl/bonobo-moniker-simple.sgml,
	* doc/api/tmpl/bonobo-moniker-util.sgml,
	* doc/api/tmpl/bonobo-moniker.sgml,
	* doc/api/tmpl/bonobo-object.sgml,
	* doc/api/tmpl/bonobo-persist-file.sgml,
	* doc/api/tmpl/bonobo-persist-stream.sgml,
	* doc/api/tmpl/bonobo-persist.sgml,
	* doc/api/tmpl/bonobo-property-bag-client.sgml,
	* doc/api/tmpl/bonobo-property-bag.sgml,
	* doc/api/tmpl/bonobo-running-context.sgml,
	* doc/api/tmpl/bonobo-shlib-factory.sgml,
	* doc/api/tmpl/bonobo-storage-memory.sgml,
	* doc/api/tmpl/bonobo-storage.sgml,
	* doc/api/tmpl/bonobo-stream-memory.sgml,
	* doc/api/tmpl/bonobo-stream.sgml,
	* doc/api/tmpl/bonobo-types.sgml: documention update and cleanup.

2003-05-30  Michael Meeks  <michael@ximian.com>

	* activation-server/object-directory.h: add
	headers for time_t.

	* activation-server/object-directory-activate.c
	(od_server_activate_exe): use the glib mainloop to
	poll through.

	* bonobo-activation/bonobo-activation-base-service.c
	(get_tmpdir): use ORBit_get_temp_dir, and fail noisly
	if we can't get a secure place to poke.
	(local_activator): force a local loop.

	* bonobo/bonobo-object.c: add linc locking dummies.

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): add 'use_new_loop'
	argument; create either an inferior loop, or use the
	glib mainloop - as suits. Only scan with the mainloop.
	(scan_list): use the mainloop here too.
	
	* tests/test-activation/bonobo-activation-test.c
	(race_empty): use g_main_iteration.

2003-05-29  Michael Meeks  <michael@ximian.com>

	* tests/test-thread.c (test_threads): add a
	timeout to the glib mainloop for loop graunching.

	* bonobo/bonobo-main.c
	(bonobo_poa_get_threaded): set the ORB_CTRL_MODEL
	policy without which this is mostly useless, also
	activate the poa.

	* tests/test-thread.c: add.

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_get_boolean): fix a nasty with
	CORBA_boolean vs. 'gboolean'.

2003-05-27  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/figures/Makefile.am: Indicate the need to use dia 0.91
	instead of 0.90.

	* doc/api/figures/*.{dia,png}: Open all dia files with dia 0.91,
	tune the class fonts, and export as png.  Figures now look nicer.

2003-05-24  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* doc/activation-api/server-xml-reference.sgml: added markup,
	updated .server snippets for GNOME2, s/OAF/Bonobo Activation in
	text, went into nautilus code and came back with information about
	oaf_attributes for nautilus views, written down here
	
2003-05-22  Michael Meeks  <michael@ximian.com>

	* bonobo-activation/bonobo-activation-fork-server.c
	(bonobo_activation_server_by_forking): add a nasty hack
	to handle force_threaded mode; spew FIXMEs.

2003-05-20  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added cy (Welsh) to ALL_LINGUAS

2003-05-19  Michael Meeks  <michael@ximian.com>

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_register_new): update sig.

	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server_ext): add a
	description parameter.

2003-05-13  Michael Meeks  <michael@ximian.com>

	* activation-server/Makefile.am: add object-directory.h

2003-05-12  Michael Meeks  <michael@ximian.com>

	* activation-server/client.c (remove_load_path, add_load_path):
	handle unknown error cases.
	(register_activate_server): initialize r_obj always.

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory__get_username),
	(impl_Bonobo_ObjectDirectory__get_hostID): bin.
	(object_directory_class_init, object_directory_init) 
	(object_directory_finalize): add.
	(bonobo_object_directory_init, bonobo_object_directory_shutdown): 
	substantial update.
	Large scale re-factoring action towards BonoboObject, and
	final removal.

2003-05-12  Michael Meeks  <michael@ximian.com>

	* tests/test-activation/Makefile.am: don't install
	bonobo-activation-emtpy-server, it's a test program.
	bin NULL bits.

2003-05-12  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* MAINTAINERS: Declare myself as documentation maintainer.

2003-05-11  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* doc/activation-api/configuring.sgml: update for GNOME2

	* doc/activation-api/bonobo-activation.sgml: changed license blurb
	to say that there are no Invariant Sections, with permission of the
	original author, Mathieu Lacage, see 
	http://mail.gnome.org/archives/gnome-components-list/2003-May/msg00015.html

	* doc/activation-api/bonobo-activation-docs.sgml: ditto

	* bonobo-activation-config.xml: made examples GNOME2-ish 

2003-05-10  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>
                                                                                
        * bonobo-activation-config.xml: Added an example configuration as
        xml comments.
                                                                                
2003-05-09  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* configure.in: require ORBit2 >= 2.7.1

2003-05-09  Antonio Xu  <antonio.xu@sun.com>
	
	* activation-server/client.c (poptOption): add some options
	for handle add/remove search path in runtime and register
	server with command line.
	(add_load_path): add a new function to handle add search
	path in runtime.
	(remove_load_path): add a new function to handle remove
	search patch in runtime.
	(register_activate_server): add a new function to handle
	register bonobo server with command line.
	(do_query_server_info): add a new function to handle query
	server info with command line.
	(do_activating): add a new function to handle activating
	server with command line.
	(main): clean code.
	
	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_add_path): add a new function to
	implement the new method of interface.
	(impl_Bonobo_ObjectDirectory_remove_path): add a new function
	to implement the new method of interface.
	
	* activation-server/object-directory-load.c
	(bonobo_server_info_load): add FIXME, servers->_buffer should
	be freed.
	
	* bonobo-activation/bonobo-activation-activate.c
	(bonobo_activation_dynamic_add_path): add a new function to
	handle add search path in runtime.
	(bonobo_activation_dynamic_remove_path): add a new function
	to handle remove search path in runtime.
	
	* bonobo-activation/bonobo-activation-activate.h:
	(bonobo_activation_dynamic_add_path)
	(bonobo_activation_dynamic_remove_path): add two new function
	to handle add and remove search path in runtime.
	
	* idl/Bonobo_Activation_types.idl (DynamicPathLoadResult):
	add new enum for define the result of dynamic path load.
	
	* idl/Bonobo_ObjectDirectory.idl (dynamic_add_path)
	(dynamic_remove_path): add two new function to handle add and
	remove search path in runtime.

2003-05-08  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/activation-api/Makefile.am: Replace common gtk-doc makefile
	code with an include.
	(DOC_SOURCE_DIR): Fixed bonobo-activation directory location.

	* doc/Makefile.am (SUBDIRS): Added activation and activation-api.

	* configure.in: AC_OUTPUT doc/activation/Makefile and
	doc/activation-api/Makefile.

2003-05-08  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am (install-data-local): use DESTDIR.

2003-05-06  Michael Meeks  <michael@ximian.com>

	* Version 2.3.1

2003-05-06  Michael Meeks  <michael@ximian.com>

	* Makefile.am (install-data-local): fix manual install

	* tests/test-properties.sh: remove the iorfile before run.

	* tests/test-properties-client.c (main): set the orb
	before using it.

	* tests/test-activation/test.sh: set BONOBO_ACTIVATION_SERVER.

	* bonobo-activation/bonobo-activation-base-service.c: bin od_cmd.
	(bonobo_activation_base_service_init): clobber the activation
	server exe, so the tests can run on a non-installed b-a-s.

	* activation-server/Makefile.am
	(bonobo_activation_server_SOURCES): add activation-context.h

	* Makefile.am (SUBDIRS): add 'util'

	* utils/bonobo-activation-sysconf.c: fixup.

2003-05-05  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sr and sr@Latn to ALL_LINGUAS.

2003-04-28  Michael Meeks  <michael@ximian.com>

	* doc/activation-api/tmpl/registration.sgml:
	fix Bonobo_Plugin_info.

2003-04-23  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/Makefile.am (IGNORE_HFILES): Ignore Bonobo.h and
	bonobo-marshal.h.

	* doc/api/libbonobo-sections.txt: Added missing symbols from
	libbonobo-unused.txt.

	* bonobo/bonobo-arg.c, bonobo/bonobo-generic-factory.h,
	* bonobo/bonobo-item-handler.c, bonobo/bonobo-listener.c,
	* bonobo/bonobo-main.c, bonobo/bonobo-main.h,
	* bonobo/bonobo-moniker.c, bonobo/bonobo-moniker.h,
	* bonobo/bonobo-object.c, bonobo/bonobo-persist-file.c,
	* bonobo/bonobo-persist-stream.h, bonobo/bonobo-persist.c,
	* bonobo/bonobo-property-bag-client.h, bonobo/bonobo-property-bag.c,
	* bonobo/bonobo-property-bag.h, bonobo/bonobo-shlib-factory.c,
	* bonobo/bonobo-shlib-factory.h, bonobo/bonobo-stream-client.c,
	* bonobo/bonobo-types.c, doc/api/libbonobo-sections.txt: Minor
	changes (documentation comments, mismatch between parameter names
	in header files and in the C files) to fix most gtk-doc scanning
	warnings.

2003-04-22  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* Makefile.am (EXTRA_DIST): Include bonobo-activation-config.xml,
	not bonobo-activation-config.xml.in.
	(install-data-local): Override default
	bonobo-activation-config.xml installation procedure so that it is
	not overwritten if it already exists.

2003-04-22  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/libbonobo.args, doc/api/libbonobo.prerequisistes,
	doc/api/libbonobo.interfaces: Removed (purely-generated files).
	
	* doc/api/libbonobo-sections.txt: Added bonobo_poa_get_threaded
	and BonoboThreadHint.

	* doc/api/tmpl/bonobo-object.sgml: Added an example of using the
	"poa" proterty.

	* doc/api/bonobo-api.sgml, doc/api/bonobo.hierarchy,
	* doc/api/bonobo.signals, doc/api/bonobo.args,
	* doc/api/bonobo-sections-bad.txt, doc/api/bonobo.types,
	* doc/api/bonobo-decl.txt, doc/api/bonobo-sections.txt: Removed
	these unused files (the real files are named libbonobo*)

	* bonobo/bonobo-shutdown.h: Removed one '*' to prevent gtk-doc
	from trying to parse this as a documentation header.

2003-04-22  Michael Meeks  <michael@ximian.com>

	* tests/test-activation/Makefile.am: do most
	of the tests

	* tests/test-activation/test.sh: from here.

	* activation-server/activation-context-corba.c
	(child_od_info_new, child_od_info_free): bin
	hostname/username bits.
	(child_od_info_new): bin it.
	(child_od_info_free): rename to
	(directory_info_free): this.
	(child_od_exception): bin.
	(child_od_update_active): rename to
	(ac_update_active): this.
	(child_od_update_list): rename to
	(ac_update_list, ac_update_list): upd.

2003-04-22  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/bonobo-sections.txt: Added bonobo_poa_get_threaded to
	the bonobo-main section.

	* bonobo/bonobo-main.c (bonobo_poa_get_threaded): New function to
	get a predefined POA for a given threading policy/hint:
	one-way-at-idle, all-at-idle, and thread-per-request.

	* bonobo/bonobo-main.h: Declare bonobo_poa_get_threaded.  Added
	G_BEGIN_DECLS/G_END_DECLS.

	* bonobo-activation/bonobo-activation-register.h,
	* bonobo-activation/bonobo-activation-register.c
	(bonobo_activation_register_active_server): Renamed to
	bonobo_activation_register_active_server_ext while updating to the
	new Bonobo::ObjectDirectory::register_new signature, and
	reimplemented bonobo_activation_register_active_server as an
	adaptor to avoid breaking existing apps (and also to avoid
	exposing internal implementation details).

	* bonobo/bonobo-arg.c (MAKE_FROM_GVALUE): Use ORBit_alloc_tcval to
	allocate space for the value; also initilize the _type and _release
	fields of the CORBA::any.
	(MAKE_TO_GVALUE): g_value_init before setting the value.

	* activation-server/object-directory-corba.c
	(impl_Bonobo_ObjectDirectory_register_new): Update to the new API:
	return existing object, and honor the
	Bonobo_REGISTRATION_FLAG_NO_SERVERINFO registration flag.

	* activation-server/activation-server-main.c (main): Update to the
	new Bonobo_ObjectDirectory_register_new signature.

	* idl/Bonobo_ObjectDirectory.idl
	(Bonobo::ObjectDirectory::register_new): Added and output variable
	to return the existing object in case the client tries to register
	an object which is has already been registered.

	* idl/Bonobo_Activation_types.idl: Define RegistrationFlags with
	the single value REGISTRATION_FLAG_NO_SERVERINFO.

2003-04-17  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-object.c (main): Removed the foreign object test,
	since it was broken anyway.

2003-04-17  Michael Meeks  <michael@ximian.com>

	* tests/test-activation/Makefile.am (TESTS_ENVIRONMENT):
	update test path.

	* bonobo/bonobo-object.c (bonobo_object_get_property) 
	(bonobo_object_set_property): impl.
	(bonobo_object_instance_init): chop out do_corba_setup
	bits and move them into
	(bonobo_object_constructor): here, where we are sure that
	we have the poa property in hand.
	(bonobo_object_get_poa): impl.
	(bonobo_object_corba_deactivate, do_corba_setup): use it.
	(bonobo_object_finalize_internal): fix deactivation issue.

2003-04-17  Michael Meeks  <michael@ximian.com>

	* doc/activation-api/server-xml-reference.sgml:
	update docs.

	* tests/test-activation/plugin.server: ditto.

	* monikers/Bonobo_Moniker_std.server.in.in: bin the
	.so library suffix.

2003-04-17  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_LIBTOOL_WIN32_DLL.

	* bonobo/Makefile.am, bonobo-activation/Makefile.am, idl/Makefile.am,
	monikers/Makefile.am, tests/test-activation/Makefile.am:
	append -no-undefined to each library's LDFLAGS.

	* monikers/Makefile.am (libmoniker_std_2_la_LIBADD): write dependency
	libraries explicitly in it.

	* tests/test-activation/Makefile.am (libtest_plugin_la_LIBADD): ditto.

	* activation-server/Makefile.am (LDADD): move -lname-server-2 before
	$(SERVER_LIBS). because it depends on $(SERVER_LIBS).
	
	* samples/echo/Makefile.am (bonobo_echo_2_LDADD, echo_client_2_LDADD):
	move libEcho.a to the first. because it depends on other libraries.

2003-04-16  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo-object.c (bonobo_object_finalize_internal): Fix
	stupid bug: compare object type with BONOBO_TYPE_FOREIGN_OBJECT
	instead of BONOBO_TYPE_OBJECT when deciding if we should call
	bonobo_object_corba_deactivate.

2003-04-16  Michael Meeks  <michael@ximian.com>

	* configure.in: add activation debug flags, and the
	crucial flex / LEX check ( thanks to Ali Akcaagac)

2003-04-15  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* tests/test-object.c (main): A very lame excuse of a test of
	BonoboForeignObject.

	* bonobo/bonobo-foreign-object.h, bonobo/bonobo-foreign-object.c:
	Implement BonoboForeignObject, which GObject-derives from
	BonoboObject, and allows one to wrap an existing plain
	CORBA_Object as a BonoboObject, as long as that object implements
	the interface Bonobo::Unknown.

	* bonobo/bonobo-object.c (bonobo_object_finalize_internal): Don't
	call bonobo_object_corba_deactivate for BonoboForeignObject
	instances.
	(bonobo_object_instance_init): Don't call do_corba_setup for
	BonoboForeignObject instances.

2003-04-14  Michael Meeks  <michael@ximian.com>

	* idl/Makefile.am (idl_flags): fix.

	* bonobo/Makefile.am (idl_flags): fix.

	* bonobo/libbonobo-2.0.pc.in (idlinclude): fix.

	* configure.in: remove IDL path check from split module.
	
	Many thanks to Havoc Pennington <hp@redhat.com> for
	digging this out.

2003-04-11  Padraig O'Briain <padraig.obriain@sun.com>

	* activation-server/activation-contect-corba.c,
	bonobo/bonobo-event-source.c, bonobo/bonobo-generic-factory.c,
	bonobo/bonobo-item-factory.c, bonobo/bonobo-item-handler.c, 
	bonobo/bonobo-listener.c, bonobo/bonobo-moniker-context.c,
	bonobo/bonobo-moniker-extender.c, bonobo/bonobo-monikeri.c,
	bonobo/bonobo-persist-file.c, bonobo/bonobo-persist-stream.c,
	bonobo/bonobo-persist.c, bonobo/bonobo-property-bag.c,
	bonobo/bonobo-running-context.c, bonobo/bonobo-storage-memory.c,
	samples/echo/echo.c:
	Remove semicolon after macro BONOBO_TYPE_FUNC_FULL; this fixes
	compiler warning when using FORTE compiler.

2003-04-08  Michael Meeks  <michael@ximian.com>

	* tests/test-activation/Makefile.am:
	don't link objects into both binaries and
	libraries in the same directory.

	* autogen.sh, bonobo/Makefile.am, doc/api/Makefile.am:
	switch back to automake-1.6

2003-04-07  Carlos PerellÃ³ MarÃ­n <carlos@gome.org>

	* configure.in (ALL_LINGUAS): Added ga, hi, wa and yi from
	bonobo-activation.

2003-04-07  Michael Meeks  <michael@ximian.com>

	* Makefile.am: install / carry b-a-config.xml

	* activation-server/activation-context-corba.c
	(activation_context_finalize): trash the multi-directory
	capability - a horrificly complex non-working feature.

2003-04-07  Michael Meeks  <michael@ximian.com>

	* activation-server/activation-server-main.c
	(main): upd.

	* activation-server/activation-context-corba.c
	(activation_context_init): use BonoboObject for a major
	clean. Much internal cleaning ...

	* activation-server/activation-server-main.c (main):
	init / shutdown libbonobo.
	(dump_ior): split from main.

	* tests/test-activation/Makefile.am
	(TESTS_ENVIRONMENT): run tests in an isolated (by TMPDIR)
	environment, update path for b-a-s activation.

2003-04-07  Michael Meeks  <michael@ximian.com>

	* Makefile.am: disable doc until we can work with a
	newer automake that can do conditionals inside an include.

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): revert to
	automake-1.4 which doesn't screw-up with IDL compilation.
	* bonobo/Makefile.am (LDFLAGS): use just LDFLAGS.
	* doc/api/Makefile.am (AUTOMAKE_OPTIONS): set to 1.4

	* configure.in: merge in bonobo-slay bits, update dirs.

	* docs/activation: Merge from bonobo-activation/docs
	* docs/activation-api: Merge from bonobo-activation/api-docs
	* utils:  Merge from bonobo-activation/utils

2003-04-07  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am (AM_LDFLAGS): upd version info.

	* bonobo-activation/bonobo-activation-version.h.in: upd.

	* idl/Makefile.am: add activation IDL bits.

	* Makefile.am (SUBDIRS): upd.

	* configure.in (SERVER_CFLAGS): add.

	* bonobo-activation/Makefile.am: upd. particularly
	LT_VERSION_INFO.

	* configure.in (ENABLE_ORBIT2): bin; unused anyway.

	* bonobo-activation: Merge from bonobo-activation/bonobo-activation
	* activation-server: Merge from bonobo-activation/server

2003-03-24  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Pass --enable-gtk-doc
	to configure when making distcheck, otherwise it fails.
	(EXTRA_DIST): Include gtk-doc.make in the distribution.

	* doc/api/figures/Makefile.am: Don't delete the png files when
	doing make maintainer-clean.

	* bonobo/Makefile.am (AM_LDFLAGS): Define AM_LDFLAGS instead of
	LDFLAGS to please automake 1.7.

	* doc/api/Makefile.am: Require automake 1.6.  Replaced the generic
	code with a generic gtk-doc makefile template include.

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): Require automake >= 1.6.

	* configure.in: Use the macro GTK_DOC_CHECK to check for gtk-doc.

2003-03-21  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" in ALL_LINGUAS

2003-03-11  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* bonobo/bonobo-macros.h (BONOBO_BOILERPLATE): insert explicit
	casts in class_init_trampoline for C++ compatibility

	* bonobo/bonobo-arg.h (BONOBO_ARG_GET_STRING)
	(BONOBO_ARG_SET_STRING): disable typechecks for
	__STRICT_ANSI__ and C++

2003-03-08  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-03-07  Bill Haneman <bill.haneman@sun.com>
	
	* idl/Bonobo_Property.idl:
	* idl/Bonobo.idl:
	Replaced #if !defined(FOO) with #ifndef(FOO), etc. for
	better compatibility with IDL parsers like idlj.

2003-03-04  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-arg.h: update macros.

2003-02-28  Hidetoshi Tajima <hidetoshi.tajima@sun.com>

	* bonobo/bonobo-exception.c (BONOBO_EXPLICIT_TRANSLATION_DOMAIN):
	* bonobo/bonobo-moniker.c (BONOBO_EXPLICIT_TRANSLATION_DOMAIN):
	* bonobo/bonobo-moniker-util.c (BONOBO_EXPLICIT_TRANSLATION_DOMAIN):
	use GETTEXT_PACKAGE instead of PACKAGE (#107228).

2003-02-19  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* monikers/bonobo-moniker-std.c (bonobo_std_moniker_factory): idem.

	* monikers/bonobo-moniker-oaf.c (bonobo_moniker_oaf_resolve): idem.

	* monikers/bonobo-moniker-new.c (bonobo_moniker_new_resolve): idem.

	* monikers/bonobo-moniker-item.c (bonobo_moniker_item_resolve): idem.

	* monikers/bonobo-moniker-query.c (bonobo_moniker_query_resolve): idem.

	* monikers/bonobo-moniker-extender-stream.c (bonobo_stream_extender_resolve):
	Wrap g_warnings and g_messages in #ifdef G_ENABLE_DEBUG / #endif.

2003-02-18  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/tmpl/bonobo-item-handler.sgml: Corrected the
	BonoboItemHandler example to ref() the object being returned.

	* monikers/bonobo-moniker-extender-stream.c (bonobo_stream_extender_resolve):
	Replace a couple of invalid uses of g_warning with g_message.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-02-05  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/libbonobo-docs.sgml: Include monikers-overview.xml. This
	file is a simple conversion of doc/Monikers from bonobo-1.x
	distribution. It was written quite some time ago, but most of it
	still applies and provides fascinating insight on bonobo moniker
	architecture.

	* doc/api/Makefile.am (content_files): Added monikers-overview.xml.

2003-02-03  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/libbonobo.hierarchy: Removed from version control, since
	it is a purely generated file.

	* doc/api/libbonobo.signals: Removed from version control, since
	it is a purely generated file.

	* doc/api/tmpl/bonobo-object.sgml: Removed the comment "if you are
	looking to implement a CORBA interface you want to see
	#BonoboXObject"; It doesn't make much sense since libbonobo 2.0.

	* doc/api/libbonobo-sections.txt: Removed the 'bonobo-transient'
	section.

	* doc/api/Makefile.am (HTML_IMAGES): Added unknown.png.

	* doc/api/tmpl/bonobo-object.sgml: Include figure with the
	Bonobo::Unknown interface.

	* doc/api/figures/Makefile.am (diagrams): Added unknown.dia.

2003-01-23  Thomas Vander Stichele <thomas@apestaart.org>

 	* configure.in: fix aclocal maintainer mode 

2003-01-22  Marius Andreiana <marius galuna.ro>

	* configure.in: added 'ro' to ALL_LINGUAS

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-21  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/Makefile.am (SCAN_OPTIONS): Changed --deprecated-guards
	option value to BONOBO_DISABLE_DEPRECATED, as it should be.

2003-01-20  Michael Meeks  <michael@ximian.com>

	* Version 2.2.0

	* doc/Makefile.am (EXTRA_DIST): ship NAMESPACE

	* doc/api/Makefile.am (content_files): add misc. xml files.

2003-01-20  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added German (de), Farsi (fa),
	Macedonian (mk) and Dutch (nl) to ALL_LINGUAS

2003-01-18  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/libbonobo.types: Declare list of types of GObjecs to be
	scanned.

	* doc/api/Makefile.am: Enable scanning of GObjects for signals,
	parameters, and object hierarchy.

	* bonobo/bonobo-persist.h, bonobo/bonobo-storage-memory.h,
	  bonobo/bonobo-item-container.h, bonobo/bonobo-moniker.h,
	  bonobo/bonobo-listener.h, bonobo/bonobo-event-source.h,
	  bonobo/bonobo-object.h, bonobo/bonobo-running-context.h: Split
	  struct declaration from typedef, otherwise gtkdoc gets confused.

2003-01-16  Daniel Yacob <locales@geez.org>

	* configure.in: added am to ALL_LINGUAS
	
2003-01-07  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/figures/*.png: Added the dia generated png files for
	those who don't have dia installed.

	* doc/api/figures/Makefile.am (%.png): Don't fail if dia is not
	installed.

	* doc/api/Makefile.am (EXTRA_DIST): Don't include $(HTML_IMAGES)
	in EXTRA_DIST, because they are already included in
	doc/api/figures/Makefile.am's EXTRA_DIST.
	(html-build.stamp): Don't fail when copying images to the html dir
	if the image files were not built.

2003-01-06  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/Makefile.am (dist-hook): Replace the 'sgml' directory
	with 'xml'.

2003-01-06  Julio Merino  <jmmv@hispabsd.org>

	* doc/api/Makefile.am (all-local): Add fall-back
	in case of no gtk-doc.

2003-01-06  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* samples/echo/Makefile.am:
	use $(libdir) instead of $(prefix)/lib, for x86-64

2003-01-06  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-arg.h (BONOBO_ARG_GET_GENERAL):
	make these conditional on __STRICT_ANSI__, and
	C++ thanks to James H.

2003-01-02  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* doc/api/tmpl/bonobo-property-bag.sgml: Added a couple of
	<title>'s to some examples.

	* bonobo/bonobo-types.c (bonobo_closure_invoke): Just added a
	space between '&' and 'retval', because libxml2 (invoked by
	xsltproc, invoked by gtk-doc) doesn't like &amp; followed by
	letters followed by ';' very much. I think this is fixed by now,
	but I'm not sure...

	* configure.in: Require gtk-doc >= 0.10; Added
	doc/api/figures/Makefile to list of processed makefiles.

	* doc/api/libbonobo-docs.sgml: Changed SGML declaration to XML,
	with DocBook 4.1.2. Indented the whole file with xml-lite mode of
	Emacs (4 spaces basic offset). Created the following toplevel
	sections: General; Objects, Factories, Reference Counting;
	Property Bags, Events, Listeners; Monikers; Storages and Streams;
	Persistency; Miscellaneous. Moved the old sections into the
	appropriate toplevel section, based on topic. Also, added the new
	xml files and added the figures at appropriate places.
	
	* doc/simple-moniker-arguments.txt, api/tmpl/bonobo-item-handler.sgml:
	Included this documentation in api/tmpl/bonobo-item-handler.sgml.

	* doc/properties.txt, api/propertis.xml: Moved this
	documentation to api/properties.xml and converted to DocBook.

	* doc/refcounting.txt, api/refcounting.xml: Moved this
	documentation to api/refcounting.xml and converted to DocBook.

	* doc/debugging.txt, api/debugging.xml: Moved this documentation
	to api/debugging.xml and converted to DocBook.

	* doc/FAQ, api/faq.xml: Moved to api/faq.xml and converted to DocBook.

	* doc/api/Makefile.am: Everything below the comment '# Everything
	below here is generic #' has been replaced by that same section in
	the gtk-doc template Makefile.am. Also changed the MKDB_OPTIONS to
	generate xml instead of sgml, so gtk-doc uses the xslt-proc mode
	to generate html instead of jade, which makes this whole process a
	*lot* faster; In addition, declare 'figures' in SUBDIRS.

2002-12-31  Abel Cheung  <maddog@linux.org.hk>

	* monikers/bonobo-moniker-oaf.c: Just 2 typo in
	  translation string; nothing more.

2002-12-17  Gustavo J. A. M. Carneiro <gjc@inescporto.pt>

	* bonobo/bonobo-storage.h,
	* bonobo/bonobo-stream.h: add blurb on why these
	headers are deprecated, and how to do things now.

2002-11-28  Michael Meeks  <michael@ximian.com>

	* Version 2.1.1

2002-11-28  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-i18n.h (bind_textdomain_codeset):
	undef before defining the non-NLS path macros,
	add bind_textdomain_codeset stub.

2002-11-22  Hidetoshi Tajima <hidetoshi.tajima@sun.com>

	* configure.in: check for bind_textdomain_codeset

	* bonobo/bonobo-main.c: use it.

	* monikers/bonobo-moniker-oaf.c: set explicit domain properly.

2002-11-22  Dan Mills  <thunder@vximian.com>

	* configure.in: fixed gtk-doc check.

2002-11-10  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added da to ALL_LINGUAS.

2002-11-09  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-05  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Listener.idl: fix comments.

2002-11-01  Michael Meeks  <michael@ximian.com>

	* Version 2.1.0

2002-10-28  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c
	(bonobo_object_query_remote): helper wrapper
	for queryInterface.
	(get_unknown_unref_imethod): impl.
	(bonobo_object_release_unref): make these
	unrefs asynchronous for more speed.

	* tests/test-properties-client.c
	(create_bag_client): add test.

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_set_value_async),
	(get_set_value_imethod): add from eel impl.

	* Branch for 2.1

2002-10-18  Michael Meeks  <michael@ximian.com>

	* Version 2.0.1

2002-10-10  Kjartan Maraas  <kmaraas@gnome.org>

	* bonobo/bonobo-exception.c (bonobo_exception_general_error_set):
	Plug a leak. Fixes #95359.
	
2002-09-30  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2002-09-24  hhetter@suse.de

	* bonobo/*.c: replace teminating GType '0' in
	  var-arg argument lists with G_TYPE_INVALID,
	  for 64bit safety.

2002-09-24  Padraig O'Briain <padraig.obriain@sun.com>

	* bonobo/bonobo-main.c: 
	Change bonobo_inited from boolean to int.
	(bonobo_is_initialized): Update to take account that bonobo_inited
	is not an int.
	(bonobo_debug_shutdown): Do shutdown only if bonobo_inited is 1
	(bonobo_init_full): Increment bonobo_inited each time the function
	is called.

	These changes allow bonobo_init() to be called many times and objects
	will be destroyed only after the same number of calls to 
	bonobo_debug_shutdown() are made. This fixes bug 92864.
	
2002-09-23  Michael Meeks  <michael@ximian.com>

	* tests/Makefile.am (LDADD): add LIBBONOBO_LIBS.

2002-09-19  Padraig O'Briain <padraig.obriain@sun.com>

	* samples/echo/Makefile.am:
	Add CLEANFILES so that make clean deletes Bonobo_Sample_echo.server
	and Bonobo_Sample_echo.server.in

2002-09-02  Peteris Krisjanis <peteris.krisjanis@os.lv>

	* configure.in: Added Latvian (lv) to ALL_LINGUAS

2002-08-17  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: Added el to ALL_LINGUAS

2002-07-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-persist-file.h: fix docs
	for Michael Wilson.

2002-07-26  Gustavo Noronha Silva  <kov@beterraba>

	* configure.in: added pt_BR to ALL_LINGUAS

2002-06-18  Mark McLoughlin  <mark@skynet.ie>

	* idl/Bonobo_Control.idl: add comment on the
	format of cookie arg to Control::getWindowId.

2002-06-11  Michael Meeks  <michael@ximian.com>

	* configure.in (gnomelocaledir): setup.

2002-06-01  Michael Meeks  <michael@ximian.com>

	* Version 2.0.0

2002-06-01  Michael Meeks  <michael@ximian.com>

	* configure.in: upd, require ORBit2-2.4.0,
	bonobo-activation-1.0.

	* bonobo/Makefile.am: kill PLUGIN_DIR
	add LDFLAGS bits.

	* bonobo/bonobo-object.h: add dummy padding.

	* idl/*.idl: add dummy padding.

2002-05-27  Gustavo GirÃ¡ldez  <gustavo.giraldez@gmx.net>

	* configure.in: add a --enable-debug parameter to compile the
	debugging code.

2002-05-27  Michael Meeks  <michael@ximian.com>

	* Version 1.117.1

2002-05-27  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Persist.idl: make it more clear
	that PersistFile actually passes URIs.

2002-05-20  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_finalize): prune code and move it
	(bonobo_event_source_destroy): here, tear down the
	listeners earlier.

	* bonobo/bonobo-listener.c
	(bonobo_listener_destroy): impl. so we don't fire
	events after destroy.
	(bonobo_listener_class_init): upd.

2002-05-20  Michael Meeks  <michael@ximian.com>

	* Version 1.117.0

	* configure.in: remove message-of-doom

	* bonobo/bonobo-debug.c (bonobo_debug_init): change
	env. var to BONOBO_DEBUG, to be consistant with GOBJECT, 
	ORBIT2 etc.

2002-05-16  Michael Meeks  <michael@ximian.com>

	* doc/NAMESPACE: add GNOME_AbiWord

2002-05-13  Jaka Mocnik  <jaka@gnu.org>

	* bonobo/bonobo-debug.[ch]: debugging print function and parsing of
	environment variables BONOBO_DEBUG_FLAGS and BONOBO_DEBUG_DIR in
	order to determine the desired debugging output.
	* bonobo/Makefile.am: compile the new source file.
	* bonobo/bonobo-object.c, bonobo/bonobo-running-context.c:
	instead of conditionally compiling the debugging code, compile
	it always, but only execute it if the appropriate debugging flags
	are set.

2002-05-10  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-04-29  Anders Carlsson  <andersca@gnu.org>

	* Release 1.116.0

2002-04-19  jacob berkman  <jacob@ximian.com>

	* COPYING: add

2002-04-16  Richard Kinder <r_kinder@yahoo.com>

	* bonobo/bonobo-stream-client.c
	(bonobo_stream_client_read): use g_try_malloc instead.

2002-04-12  Michael Meeks  <michael@ximian.com>

	* Version 1.115.0

2002-03-31  Havoc Pennington  <hp@pobox.com>

	* tests/test-stream-mem.c (test_read_write): trivial fix for
	non-buildage introduced by Murray's previous change. Bad Murray!
	(s/BONOBO_SEEK_CUR/SeekCur/)
	
2002-03-31  Murray Cumming  <murrayc@usa.net>

	* idl/Bonobo_Storage.idl:
	The Bonobo::Stream::Unknown::SeekType enum values are
	now e.g. SeekCur instead of SEEK_CUR.
	This was necessary because these values are already in
	#define macros in the global C namespace, somewhere in
	stdio.h.

2002-03-21  Stephane Demurget  <demurgets@free.fr>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_has_listener): efficiency fix.

2002-03-18  Michael Meeks  <michael@ximian.com>

	* Version 1.113.0

2002-03-15  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_has_listener): impl.

2002-03-11  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added 'ko' to ALL_LINGUAS.

2002-03-05  Michael Meeks  <michael@ximian.com>

	* doc/api/tmpl/bonobo-macros.sgml: mend.

	* bonobo/bonobo-types.c
	(bonobo_corba_object_type_register_static):
	ignore is_bonobo_unknown, we don't use this
	information and trust the user to do the Bonobo
	referencing right, or we're going to get lots
	of inefficiency from the way GValue works,
	particularly we need a 'take ownership' semantic
	for return values.
	Update throught to follow this convention.
	Assume CORBA_Object_duplicate is sane.
	(bonobo_closure_invoke): fix leak with return
	type - by using g_value_unset and a full copy.
	(corba_any_copy): remove debug, yes this
	inefficiency sucks - we never called this before.

2002-02-27  Mark McLoughlin  <mark@skynet.ie>

	* idl/Bonobo_Listener.idl: kill unused ListenerId
	typedef.

	* doc/debugging.txt: update ORBit2 debugging blurb.

2002-02-22  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-simple.c: make the parent_class
	static !

2002-02-19  Michael Meeks  <michael@ximian.com>

	* Version 1.112.0

2002-02-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c
	(bonobo_closure_invoke_va_list): free the params
	array after use - doh.

2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove GNOME_COMMON_INIT, GNOME_PLATFORM_GNOME_2
	macros to match latest gnome-common.

2002-02-17  jacob berkman  <jacob@ximian.com>

	* bonobo/bonobo-stream-memory.h
	(bonobo_stream_mem_create): return a
	BonoboObject instead of the deprecated
	BonoboStream typedef.

2002-02-15  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: add disable deprecated flag.

2002-02-14  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.h (bonobo_object_ref):
	kill bogus G_STMT_START/END in the OBJECT_DEBUG
	bits.

	* bonobo/bonobo-object.c
	(bonobo_object_unref, bonobo_object_idle_unref),
	(bonobo_object_trace_refs, bonobo_object_ref):
	take a gpointer instead of a BonoboObject, to
	follow glib - reduces type casting without any
	checking relaxation.

2002-02-11  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-stream-memory.c
	(bonobo_stream_mem_create): return a
	BonoboObject instead of the deprecated
	BonoboStream typedef.

2002-02-11  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-02-11  Michael Meeks  <michael@ximian.com>

	* Version 1.111.0

2002-02-11  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-storage.h: 
	* bonobo/bonobo-xobject.h: 
	* bonobo/bonobo-persist-file.h: 
	* bonobo/bonobo-persist-stream.h: add deprecated
	helpers where appropriate.

2002-02-09  Pauli Virtanen  <ptvirtan@cc.hut.fi>

	* configure.in (ALL_LINGUAS): Added "fi" (Finnish).

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-item-handler.c:
	(bonobo_item_options_free): fix leak.

2002-02-07  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-util.c
	(moniker_id_from_nickname): ditto.

	* bonobo/bonobo-main.c (bonobo_main),
	(bonobo_main_quit): port fully.

	* bonobo/bonobo-moniker.c (impl_equal): ditto.

2002-02-04  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag.h
	(BONOBO_PROPERTY_WRITABLE): add for people who like
	sueing other people.

2002-02-01  Tomasz KÂ³oczko  <kloczek@pld.org.pl>

	* monikers/Makefile.am: small fix for automake 1.5.

2002-01-29  Michael Meeks  <michael@ximian.com>

	* Version 1.110.0

2002-01-28  Alexander Shopov  <al_shopov@web.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian).

2002-01-27  Emese Kovacs <emese@gnome.hu>

        * configure.in: Added Hungarian to ALL_LINGUAS

2002-01-21  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-generic-factory.c 
	(bonobo_generic_factory_destroy): don't unregister if noreg is set.
	(bonobo_generic_factory_construct_noreg): set noreg.
	(bonobo_generic_factory_init): upd.
	(bonobo_generic_factory_construct): upd.

2002-01-21  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: setAttr needs a component_name.

	* configure.in: bump version to 1.109.1

2002-01-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c
	(bonobo_object_add_interface): correct aggregate
	ref count debug.

2002-01-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* doc/api/tmpl/bonobo-object.sgml:
	* doc/api/tmpl/bonobo-xobject.sgml: changed to reflect the current
	situation with those 2 classes for libbonobo-2.0

2002-01-16  Johan Dahlin  <jdahlin@telia.com>

	* monikers/Makefile.am: Link libmoniker_std.so against
	bonobo/libbonobo-2.la to make python, which open dynamic libraries with
	RTLD_GLOBAL flag to dlopen, happy.

2002-01-15  Darin Adler  <darin@bentspoon.com>

	* bonobo/Makefile.am:
	* idl/Makefile.am: Missed a few spots when changing
	__BONOBO_COMPILATION to __Bonobo_COMPILATION.

2002-01-15  Johan Dahlin  <jdahlin@telia.com>

	* idl/Bonobo.idl: change __BONOBO_COMPILATION to
	__Bonobo_COMPILATION, so we use the same 'schema' as in
	bonobo-activation's idls.

	* idl/Bonobo_Moniker.idl: include Bonobo_Activation_types.idl since
	we're using GeneralError from that file.

2002-01-10  Michael Meeks  <michael@ximian.com>

	* Version 1.109.0

2002-01-09  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-util.c: add
	GNOME_Moniker_Config shortcut.

2002-01-10  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-moniker-util.c:
	(bonobo_moniker_util_parse_name): kill debug.

2002-01-08  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c
	(bonobo_value_set_corba_typecode): impl.
	(bonobo_value_set_corba_object): impl.
	(bonobo_value_set_corba_environment): impl.

2002-01-08  Michael Meeks  <michael@ximian.com>

	* bonobo/libbonobo-2.0.pc.in (idlinclude): add.

2002-01-07  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.h (BONOBO_TYPE_UNKNOWN): 
	remove the SIGNAL_STATIC_SCOPE from the standard
	BONOBO_TYPE_whatevers, _Everyone_ should use
	BONOBO_TYPE_STATIC_... for their signal arguments,
	sigh, moan, groan - this should be the default.
	(BONOBO_TYPE_STRING): nice idea Martin - sadly has
	to go.

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_new_generic): upd. to new type scheme.

	* bonobo/bonobo-item-container.c
	(bonobo_item_container_class_init): ditto.

	* bonobo/bonobo-moniker-simple.c (simple_resolve): ditto.

	* bonobo/bonobo-listener.c (bonobo_listener_class_init): ditto.

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_new_generic): ditto.

2002-01-05  Mikael Hallendal  <micke@codefactory.se>

	* doc/NAMESPACE (subdomains): added Yelp
	
2002-01-04  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_notify_listeners): add precondition.

2002-01-02  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: make deregisterComponent oneway.

2002-01-03 John Fleck <jfleck@inkstain.net>

	* configure.in, Makefile.am, doc/Makefile.am, doc/api/Makefile.am
	doc/api/libbonobo-decl-list.txt
	doc/api/libbonobo-decl.txt
	doc/api/libbonobo-docs.sgml
	doc/api/libbonobo-sections.txt
	doc/api/libbonobo-undocumented.txt
	doc/api/libbonobo-unused.txt
	doc/api/libbonobo.args
	doc/api/libbonobo.hierarchy
	doc/api/libbonobo.signals
	doc/api/tmpl/*.sgml
	adding gtk-doc api documentation infrastructure.

2002-01-03  Anders Carlsson  <andersca@gnu.org>

	* bonobo/bonobo-generic-factory.c 
	(bonobo_generic_factory_construct_noreg): 
	Allow a NULL factory_closure argument.
	(bonobo_generic_factory_destroy): Unregister the
	server in destroy instead of finalize since the CORBA Object has
	been destroyed in the finalize handler.

2001-12-30  Anders Carlsson  <andersca@gnu.org>

	* bonobo/bonobo-generic-factory.c (bonobo_generic_factory_finalize):
	Don't unref the factory_closure if it hasn't been created.

2002-01-03  jacob berkman  <jacob@ximian.com>

	* bonobo/bonobo-property-bag.c (bonobo_property_bag_map_params):
	use g_param_spec_get_(name|nick|blurb) to get the property name,
	doc title, and dock string

2002-01-02  Jens Finke  <jens@triq.net>

	* bonobo/bonobo-item-container.c
	(bonobo_item_container_class_init): Set struct offset with
	G_STRUCT_OFFSET, use bonobo_unknown_get_type as return value type.
	
2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added portuguese to ALL_LINGUAS

2001-12-27  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added gl (Galician) to ALL_LINGUAS.

2001-12-23  Takayuki KUSANO  <AE5T-KSN@asahi-net.or.jp>

	* configure.in: Added "ja" to ALL_LINGUAS.

2001-12-21  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Control.idl: add getParentAccessible
	for Bill, in place of unImplemented3 - no ABI impact.

2001-12-17  Darin Adler  <darin@bentspoon.com>

	* bonobo/bonobo-generic-factory.c:
	(bonobo_generic_factory_finalize): Add null check.

2001-12-17  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-item-handler.c:
	(bonobo_marshal_POINTER__DUMMY_BOXED),
	(bonobo_marshal_BOXED__STRING_BOOLEAN_DUMMY_BOXED):
	actually pass the user_data argument to the callback.

2001-12-14  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-item-handler.c:
	(bonobo_item_option_new_append): impl.
	(bonobo_item_option_parse): re-write to handle corner cases
	better and be more readable.

2001-12-14  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-item-handler.c: (bonobo_item_handler_finalize),
	  (bonobo_item_handler_construct), (bonobo_item_handler_new):
	tolerate NULL get_object and enum_objects callbacks/closures.

2001-12-14  Mark McLoughlin  <mark@skynet.ie>

	* bonobo/bonobo-event-source.h,
	  bonobo/bonobo-generic-factory.h,
	  bonobo/bonobo-item-container.h,
	  bonobo/bonobo-item-handler.h, bonobo/bonobo-listener.h,
	  bonobo/bonobo-moniker-extender.h,
	  bonobo/bonobo-moniker-simple.h, bonobo/bonobo-moniker.h,
	  bonobo/bonobo-object.h, bonobo/bonobo-persist-file.h,
	  bonobo/bonobo-persist-stream.h, bonobo/bonobo-persist.h,
	  bonobo/bonobo-property-bag.h, bonobo/bonobo-shlib-factory.h,
	  bonobo/bonobo-storage-memory.h,
	  bonobo/bonobo-stream-memory.h, bonobo/bonobo-transient.h,
	  bonobo/bonobo-xobject.h, monikers/bonobo-moniker-query.h,
	  monikers/bonobo-stream-cache.h: kill C++ style comments.

2001-12-13  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_ref),
	(bonobo_object_unref, bonobo_object_trace_refs),
	(bonobo_object_instance_init): keep track of total
	number of refs overall always.
	(bonobo_object_shutdown): upd. printout.

2001-12-11  Michael Meeks  <michael@ximian.com>

	* Version 1.108.0

2001-12-08  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker.c (impl_resolve): make the
	failure more chatty.

	* bonobo/bonobo-exception.c: fix exception translation.

	* monikers/bonobo-moniker-oaf.c
	(bonobo_moniker_oaf_resolve): return some friendly
	activation type errors.

	* idl/Bonobo_Moniker.idl: return GeneralError from resolves.

	* doc/*: move documents across from bonobo 1.0,
	particularly NAMESPACE is now canonicaly here.

2001-12-06  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_ref),
	(bonobo_object_unref): only alter the ref count if
	we're not immortal.

2001-12-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* samples/echo/Makefile.am:
	* samples/echo/Bonobo_Sample_Echo.server.in.in: install components
	in $(prefix)/lib/bonobo-2.0/samples

2001-12-08  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Fix typo in GETTEXT_PACKAGE.

2001-11-28  jacob berkman  <jacob@ximian.com>

	* tests/Makefile.am (TESTS_ENVIRONMENT): prepend our new paths
	rather than replace them

2001-11-26  Michael Meeks  <michael@ximian.com>

	* Version 1.107.0

	* configure.in: bump reqs.

2001-11-23  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-main.c (bonobo_init_full): cope with
	NULL argc.

	* tests/test-moniker.c (main): regression test.

2001-11-19  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (do_corba_setup): prune
	the wasteful:
		CORBA_free (PortableServer_POA_activate_object (
			bonobo_poa (), &object->servant, &ev));
	for a speedup; assumes our POA supports implicit
	activation.

Tue Nov 20 21:14:15 2001  Owen Taylor  <otaylor@redhat.com>

	* bonobo/bonobo-arg.[ch] bonobo/bonobo-event-source.h
	bonobo/bonobo-generic-factory.[ch] bonobo/bonobo-item-container.c
	bonobo/bonobo-item-container.h bonobo/bonobo-item-handler.h
	bonobo/bonobo-listener.[ch] bonobo/bonobo-object.h 
	bonobo/bonobo-property-bag.h bonobo/bonobo-types.c: Remove
	unnecessary and soon to be disallowed includes of gobject/*.h.

2001-11-19  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.h: include glib-object.h

	* libbonobo.h: include bonobo-types.h

	* bonobo/Makefile.am: don't install the bonobo
	marshallers - new glib policy.

2001-11-14  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: add 'unimplemented' methods.

2001-11-18  Miles Lane  <miles@megapathdsl.net>

	* bonobo/bonobo-event-source.c
	bonobo/bonobo-generic-factory.c
	bonobo/bonobo-item-container.c
	bonobo/bonobo-item-handler.c
	bonobo/bonobo-listener.c
	bonobo/bonobo-main.h
	bonobo/bonobo-moniker-context.c
	bonobo/bonobo-object.c
	bonobo/bonobo-persist-file.c
	bonobo/bonobo-persist-stream.c
	bonobo/bonobo-persist.c
	bonobo/bonobo-running-context.c
	bonobo/bonobo-shlib-factory.c
	bonobo/bonobo-shlib-factory.h
	bonobo/bonobo-types.c
	tests/test-properties-server.c : replace occurances of 
        gobject/[gobject, gsignal, gvalue, gvaluearray].h with 
	glib-object.h, due to a change in these include files
        that forces an #error for all direct includes.  
        This checkin was approved by Havoc.

2001-11-14  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Control.idl: include Bonobo_UI.idl
	rename getUIHandler to getUIContainer.
	add getWindowId, update setFrame, add
	add unImplemented placeholders.

2001-11-14  Michael Meeks  <michael@ximian.com>

	* libbonobo.h: include bonobo-macros.h

	* bonobo/bonobo-object.h: move new macros into

	* bonobo/bonobo-macros.h: here; create & pull in
	GNOME_BOILERPLATE bits -> BONOBO_BOILERPLATE.

	* bonobo/Makefile.am: add bonobo-macros.h

2001-11-12  Darin Adler  <darin@bentspoon.com>

	* bonobo/bonobo-object.h: Add BONOBO_CLASS_BOILERPLATE and
	BONOBO_CLASS_BOILERPLATE_FULL, which are Bonobo versions of
	GNOME_CLASS_BOILERPLATE.

2001-11-09  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_finalize_gobject):
	add debug to stop people getting ref counting mixed up.

2001-11-09  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-storage-memory.c (smem_rename_impl): 
	(smem_open_stream_impl): 
	(smem_open_storage_impl): Do proper ref/unref stuff (you have to
	bonobo_object_release_unref the return value of openStream/openStorage)

2001-11-07  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-storage-memory.c (split_path): use new GLib
	g_strsplit API

	* tests/test-storage-mem.c: more intelligent counting of number of
	tests

2001-11-08  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: more spelling fixage from Darin.

	* bonobo/bonobo-exception.c
	(bonobo_exception_repoid_to_text): upd.

2001-11-08  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: spelling fix from Darin.

2001-11-06  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-simple.c (simple_finalize):
	chain to parent correctly.
	(bonobo_moniker_simple_class_init): setup parent.

	* bonobo/bonobo-main.c (bonobo_init_full): init glib
	with G_TYPE_DEBUG_OBJECTS.

2001-11-06  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: Add NonExistantAttr for Darin.

2001-11-05  Michael Meeks  <michael@ximian.com>

	* tests/test-storage-mem.c (main): fixup remaining
	tests, reflow, some seds, check all passed.

	* tests/Makefile.am (TESTS): add test-storage-mem.

2001-11-02  Michael Meeks  <michael@ximian.com>

	* Version 1.106.0

2001-11-01  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Control.idl: kill getWindowId, return the Id
	the other way round - from setFrame.
	add getAccessible.

2001-11-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.h (bonobo_object_fast): impl. ultra
	fast method for casting an unknown servant / object to an
	BonoboObject. Make bonobo_object_from_servant faster too.

2001-11-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker.c: big picture: remove double
	virtualization of lots of things.
	(impl_get_parent, impl_set_parent): upd.
	(bonobo_moniker_default_get_name): fold into
	(impl_get_name): here.
	(bonobo_moniker_default_set_name): fold into
	(impl_set_name): here.
	(bonobo_moniker_default_equal): fold into
	(impl_equal): here.
	(impl_bonobo_moniker_set_internal_name): remove debug.

	* bonobo/bonobo-storage-memory.c: radicaly re-organize.

	* bonobo/bonobo-storage-memory.h: remove bogus & inefficient
	double virtualization.

2001-11-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_ref): tolerate
	NULL silently.
	(bonobo_object_unref): ditto & return NULL.
	(bonobo_object_trace_refs): upd.
	(bonobo_object_unref): fixup.
	(bonobo_object_release_unref): make symmetrical.

	* tests/test-object.c (main): upd.

2001-11-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-main.c (bonobo_shutdown): rename to
	(bonobo_debug_shutdown): to please Maciej, upd to use
	the new bonobo_activation shutdown API.

2001-10-30  jacob berkman  <jacob@ximian.com>

	* bonobo/libbonobo-2.0.pc.in (Cflags): 
	* bonobo/Makefile.am (libbonoboincludedir): 
	* Makefile.am (libincludedir): put headers in libbonobo-2.0 rather
	than gnome-2.0

2001-10-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_unknown_ping): hold a
	CORBA ref on the object over the two methods we invoke,
	thanks to Ettore.

2001-10-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-simple.c (simple_resolve): make
	the return value SIGNAL_TYPE_STATIC

	* bonobo/bonobo-types.c (corba_object_proxy_lcopy_value):
	if G_BALUE_NOCOPY_CONTENTS, then just blit the pointer
	across instead of erroneously dupping; a pain to get this
	one.

	* bonobo/bonobo-object.c (bonobo_object_shutdown):
	return error status.

	* bonobo/bonobo-main.c (bonobo_shutdown): use error status.

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_main): do an auto-exit unref
	on the factory.

2001-10-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c
	(bonobo_object_class_init): fixup signal definition.
	(bonobo_object_check_env): fixup signal emission.
	(bonobo_marshal_VOID__CORBA_BOXED): impl.

	* bonobo/bonobo-types.c: use new ORB methods for
	exception handling.

	* tests/test-object.c (system_exception_cb): impl.
	(main): test bonobo_check_env.

2001-10-30  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_ref): return
	the object you just reffed.

	* idl/Bonobo_Control.idl: getDesiredSize, return a
	Gtk::Requisition, update WindowId bits.
	add getToplevelId - to avoid ugly property hacks.
	Move State to Gtk. Make all 'set' methods oneway.

	* idl/Bonobo_Canvas.idl: Split out Gdk bits into:

	* idl/Bonobo_Gdk.idl: Add & add Gtk::Requisition.
	move windowId into here.

2001-10-29  jacob berkman  <jacob@ximian.com>

	* monikers/Makefile.am (server_DATA): s/XML_I18N_TOOLS/INTLTOOL/

	* bonobo/bonobo-main.c (bonobo_init_full): 
	* bonobo/bonobo-exception.c (GNOME_EXPLICIT_TRANSLATION_DOMAIN):
	use GETTEXT_PACKAGE

	* configure.in: package is "libbonobo" not "libbonobo2",
	intltoolize, use AM_GLIB_GNU_GETTEXT, and set GETTEXT_PACKAGE

	* acconfig.h: add GETTEXT_PACKAGE

	* Makefile.am (EXTRA_DIST): dist intltool things instead of
	xml-i18n-foo

2001-10-29  Seth Nickell  <snickell@stanford.edu>

	* monikers/bonobo-moniker-query.h:
	* monikers/bonobo-stream-cache.c: (bonobo_stream_cache_get_type):
	* monikers/bonobo-stream-cache.h:

	Run the magic scripts in the monikers directly too :-)
	
2001-10-28  Seth Nickell  <snickell@stanford.edu>

	* bonobo/bonobo-event-source.c: (bonobo_event_source_new):
	* bonobo/bonobo-event-source.h:
	* bonobo/bonobo-generic-factory.c:
	(bonobo_generic_factory_new_generic):
	* bonobo/bonobo-generic-factory.h:
	* bonobo/bonobo-item-container.c:
	* bonobo/bonobo-item-container.h:
	* bonobo/bonobo-item-handler.c: (impl_enum_objects),
	(impl_get_object):
	* bonobo/bonobo-item-handler.h:
	* bonobo/bonobo-listener.c: (impl_Bonobo_Listener_event),
	(bonobo_listener_new_closure):
	* bonobo/bonobo-listener.h:
	* bonobo/bonobo-moniker-context.c:
	* bonobo/bonobo-moniker-extender.c:
	* bonobo/bonobo-moniker-extender.h:
	* bonobo/bonobo-moniker-simple.c: (simple_resolve):
	* bonobo/bonobo-moniker-simple.h:
	* bonobo/bonobo-moniker.c:
	* bonobo/bonobo-moniker.h:
	* bonobo/bonobo-object.c: (bonobo_object_class_init):
	* bonobo/bonobo-object.h:
	* bonobo/bonobo-persist-file.c:
	* bonobo/bonobo-persist-file.h:
	* bonobo/bonobo-persist-stream.c:
	* bonobo/bonobo-persist-stream.h:
	* bonobo/bonobo-persist.c:
	* bonobo/bonobo-persist.h:
	* bonobo/bonobo-property-bag.c: (impl_Bonobo_PropertyBag_getValue),
	(impl_Bonobo_PropertyBag_getValues),
	(impl_Bonobo_PropertyBag_setValue),
	(impl_Bonobo_PropertyBag_setValues),
	(bonobo_property_bag_new_full):
	* bonobo/bonobo-property-bag.h:
	* bonobo/bonobo-running-context.c:
	* bonobo/bonobo-shlib-factory.c:
	* bonobo/bonobo-shlib-factory.h:
	* bonobo/bonobo-storage-memory.c:
	* bonobo/bonobo-storage-memory.h:
	* bonobo/bonobo-stream-memory.c: (bonobo_stream_mem_get_type):
	* bonobo/bonobo-stream-memory.h:
	* bonobo/bonobo-transient.c: (bonobo_transient_new):
	* bonobo/bonobo-transient.h:
	* bonobo/bonobo-xobject.h:

        Convert Bonobo TYPE macros from: 
	 
	BONOBO_..._TYPE to BONOBO_TYPE_...  
	 
	Add #defines to the old style for compatibility, but 
	add a magic comment so its easy to remove them in the  
	future. 
	 
	See also: http://www.stanford.edu/~snickell/bonobo_type_convert.pl 
	 
	(converts source code to use the new macros) 
	
2001-10-30  Michael Meeks  <michael@ximian.com>

	* libbonobo.h: add bonobo-stream-mem.h, bonobo-storage-memory.h

	* bonobo/bonobo-object.c (bonobo_object_query_local_interface):
	no point in a virtual query_interface, we have that with the
	epv overriding, kill wierd mess.
	(bonobo_object_get_local_interface_from_objref): kill
	convoluted mess.

2001-10-27  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Control.idl: make activateURI and queueResize
	oneway methods.

2001-10-27 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* bonobo/bonobo-moniker.c (bonobo_moniker_default_equal):
	fix leak.

2001-10-27  Michael Meeks  <michael@ximian.com>

	* tests/test-properties-client.c (print_props): 
	release the typecode.

	* bonobo/bonobo-object.c (bonobo_object_corba_deactivate): 
	remove stale code.

	* bonobo/bonobo-main.c (bonobo_shutdown): unref the
	ORB after the destroy.
	(bonobo_shutdown): release bonobo-activation's context,
	add support for moving this code into bonobo-activation.

2001-10-25  jacob berkman  <jacob@ximian.com>

	* idl/Makefile.am (Bonobo_module_la_LDFLAGS): also pass
	-avoid-version

2001-10-26  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-shlib-factory.h: remove prototypes I
	forgot.

2001-10-26  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_instance_init).
	(bonobo_object_finalize_internal): keep track of total
	number of aggregate objects.
	(bonobo_object_init): setup the mutex.
	(bonobo_object_shutdown): always warn if we leaked.

	* tests/test-event-source.c (run_tests): fix ref. leak.

	* tests/test-properties-server.c (main): fix leaking
	context.

	* bonobo/bonobo-shlib-factory.c
	(bonobo_shlib_factory_new_generic): unref ourself after
	object creation, so we don't leave cruft lying around.
	(bonobo_shlib_factory_get_type): kill, replace with
	macro that does correct inheritance.
	(bonobo_shlib_factory_inc_live),
	(bonobo_shlib_factory_dec_live_cb),
	(bonobo_shlib_factory_dec_live),
	(bonobo_shlib_factory_track_object): kill.

	* bonobo/bonobo-generic-factory.c
	(impl_Bonobo_ObjectFactory_createObject): protect the
	maintainer.

2001-10-26  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-storage-memory.c: use NULL not 0 for
	pointers.
	(smem_open_stream): fix fatal bug.

	* bonobo/bonobo-main.c (bonobo_shutdown): release the
	poa_manager and the poa.

2001-10-26  Michael Meeks  <michael@ximian.com>

	* idl/Makefile.am (orbittypelibdir): move type library
	into the orbit-2.0 prefix.

	* bonobo/bonobo-exception.c
	(bonobo_exception_shutdown): fix warning.

2001-10-26  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-running-context.c
	(bonobo_running_context_shutdown): don't unref a ref
	we don't own.

	* bonobo/bonobo-property-bag-client.c
	(unref_default_bag): rename
	(bonobo_property_bag_shutdown): to this.
	remove locking.
	(get_default_bag): only do locking where neccessary
	for speed.

	* bonobo/bonobo-object.c
	(bonobo_object_tracking_shutdown): rename to
	(bonobo_object_shutdown): this & publicise.

	* bonobo/bonobo-running-context.c
	(running_info_destroy): rename to
	(bonobo_running_context_shutdown): this.

	* bonobo/Makefile.am (noinst_HEADERS): add
	bonobo-shutdown.h

	* bonobo/bonobo-main.c (bonobo_is_initialized): doc.
	(bonobo_shutdown): impl. ( a start at least )
	
	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_main): use bonobo_shutdown.

	* tests/test-stream-mem.c, tests/test-properties-server.c,
	tests/test-properties-client.c, tests/test-object.c,
	tests/test-event-source.c, tests/test-moniker.c (main):
	Add bonobo_shutdown.

	* tests/test-storage-mem.c (main): clean coding style &
	shutdown

2001-10-26  Michael Meeks  <michael@ximian.com>

	* tests/test-object.c (main): disable a test
	breaking ORB encapsulation.

	* bonobo/bonobo-shlib-factory.c
	(bonobo_shlib_factory_construct): use the noreg
	constructor - we don't register shlib servers.
	s/oaf_/act_/

	* bonobo/bonobo-generic-factory.c: s/oaf_iid/act_iid/
	clean up documentation.
	(bonobo_generic_factory_construct_noreg): impl.
	(bonobo_generic_factory_construct): use it.

2001-10-24  jacob berkman  <jacob@ximian.com>

	* bonobo/bonobo-shlib-factory.h: remove duplicate
	BONOBO_OAF_SHLIB_FACTORY_MULTI macro

2001-10-24  Michael Meeks  <michael@ximian.com>

	* monikers/bonobo-moniker-std.c: upd.

	* bonobo/bonobo-generic-factory.h
	(BONOBO_OAF_FACTORY): rename to
	(BONOBO_ACTIVATION_FACTORY): and add compat macros,
	use the generic_factory_main method, not a load of inline code.

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_main): impl.

	* bonobo/bonobo-shlib-factory.h
	(BONOBO_ACTIVATION_SHLIB_FACTORY): similar renames.

	* bonobo/bonobo-shlib-factory.c (bonobo_shlib_factory_std): impl.

2001-10-21  jacob berkman  <jacob@ximian.com>

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_construct): always return NULL if we don't
	successfully register with bonobo-activation

2001-10-20  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-arg.c (bonobo_arg_type_to_gtype),
	(bonobo_arg_type_from_gtype): quiet debug.

	* bonobo/bonobo-property-bag.c
	(bonobo_property_bag_new): tolerate NULL callbacks.
	(bonobo_property_bag_map_params): don't free pspecs we
	don't own.
	(bonobo_property_bag_foreach_remove_prop): only unref if
	callbacks're not NULL.
	(bonobo_property_bag_finalize): ditto.

2001-10-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_dump_interfaces):
	re-write not to poke at obj->type_id.

	* tests/test-moniker.c (check_string): test 'equal' as well.

2001-10-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag.c
	(bonobo_property_bag_add_gtk_args): rename to
	(bonobo_property_bag_map_params): this & re-hash.

	* bonobo/bonobo-arg.c *gtk* rename to *gvalue* & clean.

	* bonobo/bonobo-types.c (corba_object_proxy_value_init): impl.

	* bonobo/bonobo-stream-client.c (bonobo_stream_client_read): 
	kill FIXME.

2001-10-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_query_local_interface): 
	remove GType fiddling, just use CORBA_Object_is_a
	(bonobo_object_add_interface): Add some more powerful, but
	optional debug to catch people aggregating two instances of
	the same interface together, or the same two objects etc.
	(bonobo_track_shlib_objects): remove mess.

	* bonobo/bonobo-moniker-util.c (async_parse_cb): fix
	the callback; setName has no return value !

2001-10-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-persist-stream.c (impl_save),
	(impl_load): update sigs to kill warnings.

	* bonobo/bonobo-types.c
	(bonobo_value_get_corba_exception): return as const,
	you can't copy CORBA_Environments in a nice way.

	* bonobo/bonobo-moniker-util.c
	(bonobo_moniker_util_qi_return): fix theoretical
	uninit retval bug. and don't redundantly duplicate the
	returned CORBA_Object.

	* bonobo/bonobo-exception.c
	(bonobo_exception_general_error_set): impl.

	* tests/test-object.c (main): regression test it.

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_client_add_listener_full): release
	the CORBA ref on the event source not just the bonobo one.

2001-10-13  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-util.c: kill all the ENABLE_ORBIT2 bits.

	* bonobo/bonobo-moniker-util.h: don't include bonobo-async.h

	* bonobo/Makefile.am (libbonobo_src): remove bonobo-async.[ch],
	dead - see ORBit2/src/orb/orb-core/orbit-small *Async*

2001-09-29  Iain Holmes  <iain@ximian.com>

	* bonobo/bonobo-listener.c (bonobo_listener_new): Check if the callback
	function is NULL, and if so, don't create a GClosure.

2001-10-05  Abel Cheung  <maddog@linux.org.hk>

	* monikers/Bonobo_Moniker_std.server.in.in: Havoc's patch
	  to rename libmoniker_std.so -> libmoniker_std_2.so,
	  avoiding conflict with bonobo 1.0.x .
	* monikers/Makefile.am: Ditto.

2001-09-27  Michael Meeks  <michael@ximian.com>

	* Version 1.103

2001-09-25  Mark McLoughlin  <mark@skynet.ie>

	* samples/echo/Makefile.am: s/orbit-idl/$(ORBIT_IDL).

2001-09-25  Michael Meeks  <michael@ximian.com>

	* tests/Makefile.am: hook test-properties up to run
	automaticaly.

	* tests/test-properties.sh: impl.

	* tests/test-properties-client.c (main): read IOR
	from 'iorfile'.

	* tests/test-properties-server.c (create_bag): dump
	the IOR into 'iorfile'

2001-09-24  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag-client.c (MAKE_SET_SIMPLE):
	use arg_new_from so we copy and don't start freeing memory
	we don't own later - sigh.

	* tests/test-event-source.c: fix signatures & (void)

	* bonobo/bonobo-types.c (bonobo_closure_invoke_va_list): 
	change sig. and split out return value handling.
	(bonobo_closure_invoke): move return value handling here
	where we can va_start again.

2001-09-22  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-09-21  Havoc Pennington  <hp@redhat.com>

	* configure.in, autogen.sh: remove CERTIFIED_GNOMIE

2001-09-20  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-moniker-util.c
	(bonobo_moniker_util_unescape): fix bug escaping literal
	'\\' mis-counting as 2 escapes, where there is only a
	single escaped '\'

2001-09-20  Frank Belew  <frb@ximian.com>

	* configure.in: Removed AM_CONDITIONAL(FALSE...)

2001-09-20  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Catalan (ca) language

2001-09-17  Havoc Pennington  <hp@redhat.com>

	* bonobo/bonobo-types.c (bonobo_closure_invoke_va_list): patch
	from Ariel Rios to fix on Alpha, PPC

	* bonobo/libbonobo-2.0.pc.in (idldir): update

	* idl/Makefile.am (idldir): change to datadir/idl/bonobo-2.0

2001-09-10  Alex Larsson <alexl@redhat.com>

	* bonobo/bonobo-types.c (bonobo_corba_any_get_type),
	(bonobo_corba_typecode_get_type),
	(bonobo_corba_exception_get_type): fix for recent glib
	breakage - you need HEAD glib.

2001-09-10  Frank Belew  <frb@ximian.com>

	* bonobo/bonobo-moniker.c 
	(impl_set_name): don't return in a void function

2001-09-10  Dan Winship  <danw@ximian.com>

	* bonobo/bonobo-event-source.c (bonobo_event_source_init): Use
	g_new0 to initialize event_source->priv to prevent uninitialized
	reads.

2001-09-10  Martin Baulig  <martin@gnome.org>

	* Version 1.102.0.

	* configure.in: Ooops, bump version number to 1.102.0.

2001-09-10  Martin Baulig  <martin@gnome.org>

	* configure.in: Require ORBit-2.0 >= 2.3.94 and glib-2.0 >= 1.3.7.

2001-09-10  Martin Baulig  <martin@gnome.org>

	* Bonobo/bonobo-types.c
	(bonobo_corba_any_get_type): Don't provide a `boxed_init' function.
	(bonobo_corba_exception_get_type): Likewise.
	(corba_any_init, corba_exception_init): Removed.

2001-09-10  Martin Baulig  <martin@gnome.org>

	* tests/test-moniker.c: The expected result of "a:!b:" is "!b:",
	not "b:" - see my ChangeLog entry for bonobo/bonobo-moniker-util.c
	(bonobo_moniker_util_parse_name) from 2001-08-11.
	
2001-09-09  Frank Belew <frb@ximian.com>

	* bonobo/bonobo-types.c: removed references to gbsearcharray
	  (otaylor@redhat.com)

2001-09-03  Jody Goldberg <jgoldberg@home.com>

	* bonobo/bonobo-stream-memory.c (mem_get_info) : CORBA does not like
	  NULL as a CORBA_String

2001-09-06  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: change includedir to gnome-2.0/ as well.

2001-09-06  Anders Carlsson  <andersca@gnu.org>

	* bonobo/Makefile.am: Change includedir to gnome-2.0/ 
	instead of gnome/2/

	* bonobo/libbonobo-2.0.pc.in (Cflags): Likewise.

2001-09-04  Martin Baulig  <martin@gnome.org>

	This big closures / types patch:

	- GValues are not copied anymore in signal/closure marshallers
	(using G_SIGNAL_TYPE_STATIC_SCOPE / G_VALUE_NOCOPY_CONTENTS).

	- we use "real" types (not G_TYPE_POINTER) in all signal/closure
	marshallers.

	- some closures now have custom marshallers to make them easier
	to use for scripting languages.

	- bonobo_closure_invoke() no longer returns a GValue, it now takes
	the return type as first type argument, see the documentation in
	bonobo-types.c for details.

	Detailed list of changes:

	* bonobo/bonobo-types.h (BONOBO_TYPE_STRING,
	BONOBO_TYPE_CORBA_ANY, BONOBO_TYPE_CORBA_OBJECT,
        BONOBO_TYPE_CORBA_TYPECODE, BONOBO_TYPE_CORBA_EXCEPTION):
	Set the G_SIGNAL_TYPE_STATIC_SCOPE flag for all these types.
	(BONOBO_TYPE_STRING): New type.
	(BONOBO_TYPE_NONSTATIC_UNKNOWN, BONOBO_TYPE_NONSTATIC_CORBA_ANY,
        BONOBO_TYPE_NONSTATIC_CORBA_OBJECT, BONOBO_TYPE_NONSTATIC_CORBA_TYPECODE,
	BONOBO_TYPE_NONSTATIC_CORBA_EXCEPTION): Added #defines for the
	non-static versions of these types.

	* bonobo/bonobo-types.c (bonobo_value_set_unknown,
        bonobo_value_set_corba_any, bonobo_value_set_corba_typecode,
	bonobo_value_set_corba_environment): New functions; they do not
	copy their arguments and set the G_VALUE_NOCOPY_CONTENTS flag.
	(bonobo_closure_invoke_valist): Removed the `GValue *retval'
	argument, renamed `first_type' to `return_type'. The return value
	is now handled like a normal argument. For details, see the
	documentation in the source file.
	(bonobo_closure_invoke): Removed the `GValue *retval' argument,
	renamed `first_type' to `return_type'

	* bonobo/bonobo-generic-factory.c: Marshal the closure as
	OBJECT:STRING, not as POINTER:STRING.

	* bonobo/bonobo-item-container.c: Marshal the "get_object" signal
	as BOXED:STRING_BOOLEAN_BOXED (retval as BONOBO_TYPE_UNKNOWN, args
	are BONOBO_TYPE_STRING, G_TYPE_BOOLEAN, BONOBO_TYPE_CORBA_EXCEPTION);

	* bonobo/bonobo-item-handler.c: Provide custom marshallers for the
	`enum_objects' and `get_object' closures:
	- `enum_objects' returns a G_TYPE_POINTER and takes a
	BONOBO_ITEM_HANDLER_TYPE and a BONOBO_TYPE_CORBA_EXCEPTION.
	- `get_object' returns a BONOBO_TYPE_UNKNOWN and takes
	BONOBO_ITEM_HANDLER_TYPE, G_TYPE_STRING, G_TYPE_BOOLEAN and
	BONOBO_TYPE_CORBA_EXCEPTION arguments.

	* bonobo/bonobo-listener.c: Marshal the `event_callback' as
	VOID:STRING,BOXED,BOXED (BONOBO_TYPE_STRING, BONOBO_TYPE_CORBA_ANY,
	and BONOBO_TYPE_CORBA_EXCEPTION).

	* bonobo/bonobo-marshal.list: Removed all unused items and everything
	from libbonoboui.

	* bonobo/bonobo-moniker-simple.h (BONOBO_RESOLVE_FLAG_TYPE):
	New type; this is a GFlags type for Bonobo_ResolveFlag.
	(bonobo_resolve_flag_get_type): Added type init func for it.

	* bonobo/bonobo-moniker-simple.c: Provide a custom marshaller for
	the `resolve_fn' closure. Instead passing a Bonobo_ResolveOptions as
	G_TYPE_POINTER, the closure now takes its contents as two arguments:
	BONOBO_RESOLVE_FLAG_TYPE and G_TYPE_LONG.
	The closure returns a BONOBO_TYPE_CORBA_OBJECT and takes
	BONOBO_MONIKER_TYPE, BONOBO_RESOLVE_FLAG_TYPE, G_TYPE_LONG,
	BONOBO_TYPE_STRING, BONOBO_TYPE_CORBA_EXCEPTION as arguments.

	* bonobo/bonobo-object.c: Marshal the "system_exception" signal
	VOID:OBJECT,BOXED (BONOBO_OBJECT_TYPE | G_SIGNAL_TYPE_STATIC_SCOPE
	and BONOBO_TYPE_CORBA_EXCEPTION).

	* bonobo/bonobo-property-bag.c: Provide custom marshallers for the
	'get_prop' and `set_prop' closures:
	`get_prop' returns BONOBO_TYPE_CORBA_ANY and takes
	BONOBO_PROPERTY_BAG_TYPE,BONOBO_TYPE_CORBA_TYPECODE,
	G_TYPE_UINT, BONOBO_TYPE_CORBA_EXCEPTION.
	`set_prop' returns nothing and takes
	BONOBO_PROPERTY_BAG_TYPE, BONOBO_TYPE_CORBA_ANY, G_TYPE_UINT,
	BONOBO_TYPE_CORBA_EXCEPTION.

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-27  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-object.c (bonobo_object_set_immortal): s/imortal/immortal/

2001-08-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* bonobo/bonobo-arg.c (bonobo_arg_new_from): new function to create
	BonoboArg's from a given type and data

	* bonobo/bonobo-arg.h: added GET/SET macros for more CORBA types

2001-08-21 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
	
	* bonobo/bonobo-main.c (bonobo_init_full): remove SIGPIPE handler;
	handle this in linc instead

	* bonobo/bonobo-moniker.c (all char* methods): return NULL instead
	of "" in case of failure, for consistency

2001-08-20  Maciej Stachowiak  <mjs@noisehavoc.org>

	* idl/Makefile.am: Fix violation of bonobo-activation's include
	guards to match new names.

2001-08-20  ERDI Gergo  <cactus@cactus.rulez.org>

	* idl/Bonobo_Clipboard.idl: more sensible argument order

2001-08-18  Michael Meeks  <michael@ximian.com>

	* idl/Makefile.am: build the Activation_types into our
	type library.

2001-08-18  Darin Adler  <darin@bentspoon.com>

	* bonobo/Makefile.am:
	* idl/Makefile.am:
	* monikers/Makefile.am:
	* tests/Makefile.am:
	Fix loose ends from last checkin and remove unnecessary -I
	directives to speed up compiles.

2001-08-18  Darin Adler  <darin@bentspoon.com>

	* configure.in: Add GLIB_GENMARSHAL variable.
	* bonobo/Makefile.am: Update marshal build rules to work in a
	simpler way.
	* idl/Makefile.am: Fix generated-source-file rules so they
	work well enough for "make distcheck".

2001-08-17  Michael Meeks  <michael@ximian.com>

	* monikers/bonobo-moniker-new.c
	(bonobo_moniker_new_resolve): kill warning on 'params'.

2001-08-17  Mikael Hallendal  <micke@codefactory.se>

	* bonobo/bonobo-property-bag.c 
	(impl_Bonobo_PropertyBag_setValue): Use PROPERTY_NO_AUTONOTIFY to
	check if we should notify listeners.
	(impl_Bonobo_PropertyBag_setValues): same.

	* idl/Bonobo_Property.idl: added PROPERTY_NO_AUTONOTIFY.

2001-08-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_notify_listeners): hold a CORBA
	reference over the notification re-enterancy hazard.
	Homogenise opt_ev handling, to keep 'ev' consistant always.

2001-08-17  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_notify_listeners): Allow CORBA_OBJECT_NIL for
	the `value' argument

2001-08-16  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" to the languages list.

2001-08-14  Michael Meeks  <michael@ximian.com>

	* monikers/bonobo-moniker-ior.c
	(bonobo_moniker_ior_resolve): impl - sweet.

	* monikers/Makefile.am: upd.

	* bonobo/bonobo-moniker-util.c
	(bonobo_moniker_util_qi_return): comment - looks like we
	have a redudant CORBA_Object_duplicate to me.

2001-08-14  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_get_value): remove redundant cleanout: label

	* monikers/Makefile.am: s/oaf/server, update install dir.

	* bonobo/bonobo-property-bag.c (bonobo_property_bag_add_full):
	fix secondary 'add_full' closure store to use new marshaller.

2001-08-13  Michael Meeks  <michael@ximian.com>

	* idl/Makefile.am (Bonobo-imodule.c): fix itype lib build deps.

	* configure.in: bump to 1.101.2

	* tests/test-object.c: kill some warnings.

	* idl/Bonobo_UI.idl: add 'execVerb', 'uiEvent' for
	scripting bindings & macros.

	* bonobo/bonobo-exception.c (bonobo_exception_repoid_to_text):
	update to reflect new exceptions.

2001-08-11  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_get_value): re-write to tolerate nulls
	silently and map tk_null -> NULL.

	* tests/test-object.c (main): add BONOBO_RET_EX regression
	tests.

	* bonobo/bonobo-exception.c
	(bonobo_exception_repoid_to_text): filled out the
	PropertyBag exceptions.

2001-08-11  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-exception.h (BONOBO_RET_EX, BONOBO_RET_VAL_EX):
	Make the G_STMT_START/END actually work.

	* bonobo/bonobo-moniker-util.c (bonobo_moniker_util_parse_name):
	For the item moniker, the "!" is the first character or the
	return value.

2001-08-10  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-arg.h: bracket protect arg in GET/SET macros.

2001-08-09 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

	* bonobo/bonobo-moniker.c (bonobo_moniker_get_name_escaped):
	return NULL in case of failure.

2001-08-08  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (bonobo_closure_store),
	(bonobo_closure_invoke): tolerate a NULL closure - as
	a noop.

	* bonobo/bonobo-generic-factory.h: do a UI init if we
	have LIBBONOBOUI_H defined.

2001-08-08  Michael Meeks  <michael@ximian.com>

	* configure.in: add samples/echo

	* message-of-doom: ameliorate.

2001-08-08  Darin Adler  <darin@bentspoon.com>

	* bonobo/Makefile.am: One more tweak to the dependency
	fix. We still need to include bonobo-marshal.c.

2001-08-08  Michael Meeks  <michael@ximian.com>

	* idl/Makefile.am: move typelib stuff here, add whacked out
	defines to get bonobo-activation code included in-line.

	* bonobo/Makefile.am: kill typelib building.

2001-08-08  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: make dependency fix more portable
	with Peter Wainwright's solution.

2001-08-08  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-moniker-util.c (bonobo_moniker_util_parse_name):
	Return "!" for the item moniker.

	* bonobo/bonobo-item-handler.c (impl_enum_objects): Fixed closure.
	(impl_get_objects): Ditto.

2001-08-08  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-types.h (bonobo_value_get_*): Constify the arg.
	(BONOBO_TYPE_CORBA_TYPECODE): New type.

	* bonobo/bonobo-property-bag.c
	(bonobo_marshal_ANY__TYPECODE_UINT_POINTER): New static function.
	This is a custom marshaller for the Bonobo::PropertyBag's `get_prop'
	method - it takes a CORBA_TypeCode instead of the CORBA_any and
	returns a CORBA_any.
	(impl_Bonobo_PropertyBag_getValue): The closure now takes a
	CORBA_TypeCode and returns a CORBA_any.

2001-08-08  Cody Russell  <bratsche@gnome.org>

	* bonobo/*.[h]: Ensured that all _get_type () functions are
	declared as G_GNUC_CONST.

2001-08-07  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-listener.c (impl_Bonobo_Listener_event):
	0 terminate the list of arguments - argh.

	* bonobo/bonobo-property-bag.c
	(impl_Bonobo_PropertyBag_getValue),
	(impl_Bonobo_PropertyBag_getValues),
	(impl_Bonobo_PropertyBag_setValue),
	(impl_Bonobo_PropertyBag_setValues): ditto.

	* bonobo/bonobo-item-handler.c (impl_enum_objects),
	(impl_get_object): ditto.

2001-08-07  Michael Meeks  <michael@ximian.com>

	* Version 1.101.1

2001-08-07  Michael Meeks  <michael@ximian.com>
	
	* configure.in: depend on ORBit2 >= 2.3.93 for
	CORBA_TypeCode_equivalent

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_get_value): use CORBA_TypeCode_equivalent so
	we ignore tedious alias problems.

	* bonobo/bonobo-property-bag.c (bonobo_property_bag_remove):
	impl - breaks API freeze, but c'est la vie - important
	method to have around.

	* bonobo/Makefile.am: really fixup dependencies, build
	the other things afterwards.

2001-08-07  Rodrigo Moya <rodrigo@ximian.com>

	* bonobo/Makefile.am: build $CORBA_SOURCES and $marshal_sources before
	the other source files

2001-08-07  Mark McLoughlin <mark@skynet.ie>

	* bonobo/bonobo-event-source.c,
	  bonobo/bonobo-main.c,
	  bonobo/bonobo-object.c: 
	Use CORBA_OBJECT_NIL instead of CORBA_Object_is_nil.

        * bonobo/bonobo-object.c
	(bonobo_object_finalize_servant): use bonobo_object to 
	get the BonoboObject from the servant.
	(bonobo_object_dup_ref): move NIL check up.
	(bonobo_object_query_local_interface): check for exception
	from CORBA_Object_is_a and treat an exception as a FALSE
	return.

2001-08-05  Michael Meeks  <michael@ximian.com>

	* Makefile.am: distribute changes.txt

2001-08-03  Michael Meeks  <michael@ximian.com>

	* Version 1.101.0

	* configure.in: use AM_GLIB_GNU_GETTEXT.

	* Makefile.am: prune intl.

2001-08-02  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (bonobo_closure_store): make this
	include the marshalers.

	* bonobo/bonobo-marshal-main.c: remove.

	* bonobo/Makefile.am: update the strange dependency rules.

2001-08-03  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW.Big5 (traditional Chinese) to ALL_LINGUAS.

2001-08-01  Michael Meeks  <michael@ximian.com>

	* Version 1.100.0

2001-08-01  Maciej Stachowiak  <mjs@noisehavoc.org>

	* bonobo/bonobo-generic-factory.c:
	(impl_Bonobo_ObjectFactory_createObject): Don't pass params argument.
	(bonobo_generic_factory_class_init): Remove `manufactures'
	* monikers/bonobo-moniker-new.c: (bonobo_moniker_new_resolve):
	Don't pass params argument.

2001-08-02  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (bonobo_value_get_unknown): fixup.

2001-08-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (bonobo_value_get_unknown): ref.
	(bonobo_value_get_corba_object): ref the thing
	(bonobo_value_get_corba_any): copy more inefficiency.
	(bonobo_value_get_corba_exception): knobble - just too broken.

2001-08-01  Michael Meeks  <michael@ximian.com>

	* monikers/bonobo-moniker-oaf.c: upd.

	* monikers/bonobo-moniker-query.c: upd.

	* idl/Bonobo.idl: upd.

	* bonobo/bonobo-generic-factory.c: become a BonoboObject; horay.

	* bonobo/bonobo-shlib-factory.h: ditto.

	* configure.in: use bonobo-activation.

2001-08-01  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-moniker-util.c (bonobo_moniker_util_qi_return): Only
	throw an exception if the object is nil, but don't emit a g_warning().

2001-08-01  Michael Meeks  <michael@ximian.com>

	* tests/test-moniker.c (test_real_monikers): add a test from Martin
	(main): use it.

2001-08-01  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-generic-factory.c (bonobo_generic_factory_construct):
	Use bonobo_marshal_POINTER__STRING, not g_cclosure_marshal_VOID__STRING
	as closure marshaller.
	(bonobo_generic_factory_new_generic): Use G_TYPE_POINTER as return value
	for the closure.

	* bonobo/bonobo-marshal.list: Changed BOXED:POINTER,STRING,POINTER to
	BOXED:POINTER,STRING,BOXED and added OBJECT:STRING.

	* bonobo/bonobo-moniker-simple.c (simple_moniker): Initialize the static
	GValue before calling g_value_init() on it or you'll get a core dump.

	* bonobo/bonobo-moniker-simple.c (bonobo_moniker_simple_construct): Use
	bonobo_marshal_BOXED__POINTER_STRING_BOXED, not
	bonobo_marshal_BOXED__POINTER_STRING_POINTER.

2001-08-01  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-types.c (bonobo_corba_exception_get_type): We need to use
	a custom boxed type for BONOBO_TYPE_CORBA_ENVIRONMENT since it's not a
	CORBA::Object.

2001-08-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-main.h: fix broken include guards.

2001-07-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW.Big5 (traditional Chinese) to ALL_LINGUAS.

2001-07-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.h: include liboaf here.

	* libbonobo.h: not here.

	* bonobo/bonobo-moniker-extender.c,
	* monikers/bonobo-moniker-query.c,
	* monikers/bonobo-moniker-oaf.c,
	* monikers/bonobo-moniker-new.c, 
	* monikers/bonobo-moniker-extender-stream.c,
	* bonobo/bonobo-shlib-factory.c,
	* bonobo/bonobo-generic-factory.c,
	* bonobo/bonobo-exception.c,
	* bonobo/bonobo-moniker-util.c: prune liboaf.h includes.

2001-07-31  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-context.c (bonobo_context_init): register
	as the "Moniker" context instead.

	* idl/Bonobo_Context.idl: rename Activation -> Moniker context.

	* bonobo/bonobo-activation-context.[ch]: rename to

	* bonobo/bonobo-moniker-context.[ch]: this.

	* bonobo/Makefile.am: upd.

2001-07-30  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/Makefile.am (libbonoboinclude_HEADERS): removed duplicate
	bonobo-marshal.h entry

	* bonobo/bonobo-property-bag.h: Made some BonoboProperty fields
	public again

	* tests/test-properties-server.c: updated

	* configure.in: Bumped version number because of new GClosure APIs

	* bonobo/bonoob-item-handler.c: finalization fixes
	
	* bonobo/bonobo-marshal-main.c: Include <gobject/gboxed.h> to
	avoid compile-time warnings

	* bonobo/bonobo-moniker-simple.h: cleanup, privatization
	Maybe next time someone creates a new Bonobo object they can make
	it privatized form the beginning... grr...
	
	* bonobo/bonobo-shlib-factory.h: cleanup 

	* bonobo/bonobo-generic-factory.h: cleanup

	* bonobo/bonobo-property-bag.c: Completely privatized BonoboPoperty
	plus GClosure-ization
	
	* bonobo/bonobo-marshal.list: Added new signature for PropertyBag,
	MonikerSimple and ItemHandler callbacks
	
        * bonobo/bonobo-item-handler.c: Privatization, GClosure-ization

2001-07-30  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-exception.c (bonobo_exception_get_text):
	re-instate nice oaf exception reporting, should be a hashed handler
	though.

	* bonobo/bonobo-types.c
	(bonobo_value_get_corba_exception, bonobo_value_get_corba_object),
	(bonobo_value_get_corba_any, bonobo_value_get_unknown): impl.

	* bonobo/bonobo-moniker-simple.c (bonobo_moniker_simple_new): upd.
	(bonobo_moniker_simple_new_gc): impl.
	(bonobo_moniker_simple_construct): upd.
	(simple_finalize): impl.
	(bonobo_moniker_simple_class_init): hook up.
	(simple_resolve): upd - use invoke.

2001-07-30  Dietmar Maurer  <dietmar@ximian.com>

	* tests/test-moniker.c (check_parse_name): impl.
	(main): added more tests.

	* monikers/bonobo-moniker-query.c: this is now a simple moniker,
	since we have fixed moniker separators # and ! (no customisation
	possible) 

	* idl/Bonobo_Moniker.idl: renamed getDisplayName to getName,
	renamed parseDisplayName to setName, added getParent/setParent
	instead of a parent attribute.

	* bonobo/bonobo-moniker-util.c (bonobo_moniker_util_parse_name): impl.
	(bonobo_moniker_util_get_parent_name): ev is now optional
	(bonobo_moniker_client_new_from_name): implemented right to left
	moniker name parsing. This ensures the correct loading of shlib
	style monikers.
	(bonobo_moniker_client_get_name): ev is now optional
	(bonobo_moniker_client_resolve_default):  ev is now optional
	(bonobo_get_object): ev is now optional
	(bonobo_url_register): added check for ev != NULL
	(bonobo_url_unregister):  added check for ev != NULL
	(bonobo_url_lookup): added check for ev != NULL

	* bonobo/bonobo-moniker.c (bonobo_moniker_set_parent): ev is now
	optional 
	(bonobo_moniker_get_parent): ev is now optional 
	(bonobo_moniker_default_set_name): impl.

	* bonobo_moniker_util_new_from_name_full: removed, use
	bonobo_moniker_client_new_from_name instead.

	* bonobo/bonobo-activation-context.c
	(impl_Bonobo_ActivationContext_createFromName): removed
	createWithParent 

	* idl/Bonobo_Context.idl: removed createWithParent

2001-07-30  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (bonobo_closure_invoke_va_list):
	reset the Value's type to 0.

	* bonobo/bonobo-marshal.list: add STRING,ENUM,STRING.

	* bonobo/bonobo-event-source.c (create_listener_id): kill.
	(impl_Bonobo_EventSource_addListenerWithMask): upd.
	(impl_Bonobo_EventSource_removeListener): remove by equivalence
	and fix heinous bug.
	(bonobo_event_source_client_add_listener_gc): upd.
	(bonobo_event_source_client_add_listener): upd.

	* bonobo/bonobo-event-source.h: remove Id crufty.

	* idl/Bonobo_Listener.idl: re-vamp to fit a modern understanding
	of CORBA_Object_is_equivalent.

2001-07-30  ERDI Gergo <cactus@cactus.rulez.org>

	* bonobo/bonobo-generic-factory.c
	(bonobo_generic_factory_new): impl.
	(bonobo_generic_factory_new_gc): switch to gclosure.
	(bonobo_generic_factory_new_generic): update invocation
	mechanism.

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_client_add_listener): gclosurize.
	(bonobo_event_source_client_add_listener_gc): move body here.

	* bonobo/bonobo-listener.c (impl_Bonobo_Listener_event): upd.
	(bonobo_listener_new): impl.
	(bonobo_listener_new_gc): move here.

	* bonobo/bonobo-shlib-factory.c (bonobo_shlib_factory_new): impl.
	(bonobo_shlib_factory_new_gc): impl.

2001-07-30  ERDI Gergo <cactus@cactus.rulez.org>

	Checked in Bonobo_Clipboard (now for real:)

2001-07-30  Jamil Geor <geor@ihug.co.nz>

	* bonobo/bonobo-stream-client.c (bonobo_stream_client_get_length):
	update to make exception environment optional.

2001-07-29  Maciej Stachowiak  <mjs@noisehavoc.org>

	* bonobo/Makefile.am: Remove references to Bonobo_Clipboard.idl
	since it appears to be missing.
	* idl/Bonobo.idl: Ditto.
	* idl/Makefile.am: Ditto.

2001-07-29  ERDI Gergo  <cactus@cactus.rulez.org>

	* configure.in: bumped version number (depend on 1.99.0 if you
	want to access the Clipboard)

	* idl/Bonobo_Clipboard.idl: Moved here from bonobo-clipboard (the
	implementation still resides there)

2001-07-29  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (bonobo_closure_invoke): impl.
	(bonobo_closure_invoke_va_list): impl.

2001-07-28  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-generic-factory.c: removed bonobo_generic_factory_set

	* monikers/bonobo-moniker-std.c: Changed
	BONOBO_OAF_SHLIB_FACTORY_MULTI to BONOBO_OAF_SHLIB_FACTORY

	* configure.in: bumped version number because of
	BonoboGenericFactory API change

	* bonobo/bonobo-generic-factory.[ch]: Removed single/multi factory
	ambiguity. If you use a single factory, you will have to migrate
	to the multi factory setting (this should be very easy, just add a
	const char* argument to your factory callback function).
	Moved instance data to a private structure for more flexibility.

	* bonobo/bonobo-shlib-factory.[ch]: ditto

2001-07-28  Jamil Geor <geor@ihug.co.nz>

	* bonobo/bonobo-object.c (bonobo_object_query_interface), 
	(bonobo_unknown_ping): add opt_evs
	(bonobo_object_dup_ref): document opt ev as optional.
	(bonobo_object_release_unref): ditto.

	* bonobo/bonobo-moniker-extender.c (bonobo_moniker_find_extender): 
	make ev optional.
	(bonobo_moniker_use_extender): ditto.

	* changes.txt: update.

2001-07-28  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c
	(bonobo_object_unref): special case imortal objects.
	(bonobo_object_trace_refs): ditto.
	(bonobo_object_set_imortal): impl.

2001-07-28  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_dummy_destroy): impl
	to make chaining easier.
	(bonobo_object_class_init): hook up.

2001-07-27  Laszlo Peter  <laca@ireland.sun.com>

	* bonobo/bonobo-arg.h: fix BONOBO_ARG_SET_GENERAL for non-GNU
	C compilers.

2001-07-27  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_destroy): fire
	a DESTROY signal, not a glib internal dispose signal !
	(bonobo_object_dispose): kill.
	(bonobo_object_class_init): unhook dispose.

	* bonobo/bonobo-moniker-util.c: update the table of builtin
	monikers.

	* monikers/Bonobo_Moniker_std.oaf.in.in: remove stale file &
	extender mis-information.

2001-07-26  Darin Adler  <darin@bentspoon.com>

	* tests/.cvsignore: Add test-storage-mem.

2001-07-26  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-storage-memory.h: Virtualized implementations to
	make subclassing possible

	* bonobo/bonobo-persist-client.h: Client-side utility functions
	dealing with persistancy

2001-07-26  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am (libbonobo_2_la_SOURCES): update for
	new ORBit2 orbit-idl '--imodule' flag.

2001-07-26  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_UI.idl: add the setAttr / getAttr stuff...

2001-07-25  ERDI Gergo  <cactus@cactus.rulez.org>

	* bonobo/bonobo-stream-memory.h: Removed #define BonoboStorageMem
	that makes no sense now that we have a real thing

2001-07-24  ERDI Gergo  <cactus@cactus.rulez.org>

	* tests/test-storage-mem.c: Regression test for BonoboStorageMem

	* bonobo/bonobo-storage-memory.[ch]: New in-memory Bonobo::Storage
	implementation

2001-07-24  Martin Baulig  <martin@gnome.org>

	* bonobo/Makefile.am: Compile Bonobo_imodule.c into
	Bonobo_module.la and install it into $(prefix)/lib/orbit/.

2001-07-23  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-moniker-util.c (url_to_name): Implemented
	this for ORBit2.

2001-07-09  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

        * bonobo/bonobo-stream-memory.[c,h]: Make mem_[get,set]_info
        functional.

2001-07-22  Mike Kestner <mkestner@speakeasy.net>

	Added tag BEFORE_DOC_REWRITE prior to this commit.

	* bonobo/Makefile.am : remove Bonobo_ClientSite.idl from build.
	* bonobo/bonobo-exception.c : kill Bonobo_Embeddable exception strings
	* idl/Bonobo.idl : remove Bonobo_ClientSite.idl.
	* idl/Bonobo_Embeddable.idl : kill View, ViewFrame, and get Embeddable.
	Add the new CanvasComponentFactory and ControlFactory interfaces.
	* idl/Bonobo_ClientSite.idl : kill.
	* idl/Makefile.am : remove Bonobo_ClientSite.idl from build.
	
2001-07-21  ERDI Gergo  <cactus@cactus.rulez.org>

	* changes.txt (Bonobo_Persist): Added note about new getIId method

2001-07-21  Mike Kestner <mkestner@speakeasy.net>

	* changes.txt : Added blurb about isDirty changes.

	* bonobo/bonobo-persist.[ch] (impl_Bonobo_Persist_isDirty): new.
	(bonobo_persist_class_init): hook in the new method.
	(bonobo_persist_set_dirty): new accessor.

	* bonobo/bonobo-persist-stream.[ch] : kill isDirty

	* bonobo/bonobo-presist-file.[ch] : kill isDirty

	* idl/Bonobo_Persist.idl : Promote isDirty into the Persist base 
	interface.

2001-07-19  ERDI Gergo  <cactus@cactus.rulez.org>

	* tests/Makefile.am (TESTS): Added test-stream-mem

	* tests/test-stream-mem.c: New test to see if BonoboStreamMem
	works (currently, it looks like it doesn't)

2001-07-19  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-types.c (BONOBO_TYPE_CORBA_OBJECT_IMPL): fix
	redundant '##'s.

	* bonobo/bonobo-object.c: remove bonobo-object-directory include

	* bonobo/bonobo-object-directory.[ch]: remove.

2001-07-18  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am (libbonoboinclude_HEADERS): don't install /
	build bonobo-object-directory - it's horribly stale and old.

2001-07-18  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-types.[ch]: New files.

	* bonobo/bonobo-object.h (BonoboObjectClass): Made "query_interface"
	a virtual method, not a signal.

2001-07-17  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am (libbonoboinclude_HEADERS): don't install
	bonobo-simple-source.h it's incredibly old and stale.

2001-07-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-main.c (bonobo_x_error_handler): kill,
	(bonobo_setup_x_error_handler): kill - in libbonoboui now.

	* bonobo/bonobo-object.c:
	s/bonobo_object_finalize_real/bonobo_object_finalize_gobject/
	s/bonobo_object_finalize/bonobo_object_finalize_internal/
	(bonobo_object_corba_deactivate): don't poa_fini_fn & split from
	(bonobo_object_finalize_gobject): here, prune corba deactivate.
	s/do_corba_hacks/do_corba_setup/
	(bonobo_object_instance_init): add a g_object ref here.
	(bonobo_type_setup): register servant finalization.
	(bonobo_object_finalize_servant): impl.
	(bonobo_object_slist_unref_all): actualy impl.

2001-07-14  Martin Baulig  <martin@gnome.org>

	* bonobo/libbonobo-2.0.pc.in (idldir): New variable.

	* configure.in: Require autoconf 2.50b and use PKG_CHECK_MODULES.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	* bonobo/bonobo-arg.h:
	* bonobo/bonobo-arg.c: (bonobo_arg_is_equal): Take const BonoboArg *.

	* configure.in: Elminate redundant macros.

2001-07-12  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-generic-factory.c (init_generic_factory_corba_class):
	remove, unroll into
	(bonobo_generic_factory_class_init): here, setup the
	_base_epv.

2001-07-12  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-marshal.list: Added `VOID:POINTER,STRING' and
	`VOID:STRING,INT,STRING'.

2001-07-11  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-generic-factory.c (init_generic_factory_corba_class):
	Initialize `bonobo_generic_factory_vepv._base_epv'.

2001-07-05  Tim Mooney <mooney@dogbert.cc.ndsu.NoDak.edu>

	* bonobo/bonobo-exception.h (bonobo_return_if_fail,
	bonobo_return_val_if_fail): change __PRETTY_FUNCTION__ hold-over to
	glib-provided G_GNUC_PRETTY_FUNCTION.

	* doc/api/bonobo-decl.txt: same.

2001-07-11  Michael Meeks  <michael@ximian.com>

	* tests/test-object.c (main): expand to try and catch
	nasties - no joy.

	* bonobo/bonobo-moniker.c (bonobo_moniker_init): init
	the prefix to NULL.

2001-07-11  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_dump_interfaces),
	(bonobo_type_setup): prune ENABLE_ORBIT2 paths.

	* bonobo/bonobo-arg.c (bonobo_arg_new): ditto.

	* bonobo/Makefile.am: don't build / install
	bonobo-transient, not used & complicates our transition
	to a new system.

2001-07-10  Michael Meeks  <michael@ximian.com>

	* configure.in: always define ENABLE_ORBIT2
	bump version to 1.97.0, require ORBit2 - from CVS.

2001-07-10  Michael Meeks  <michael@ximian.com>

	* tests/Makefile.am: remove test-storage - it's inside
	libgnome now.

	* bonobo/Makefile.am: remove bonobo-storage-plugin.[ch]

	* bonobo/bonobo-storage.h: horribly savage.

	* bonobo/bonobo-storage.c: remove all deprecated crud,
	except std. bonobo_storage_copy_to impl.

	* changes.txt: document the fun.

2001-07-09  Michael Meeks  <michael@ximian.com>

	* monikers/Makefile.am (libmoniker_std_la_SOURCES): remove
	bonobo-moniker-extender-file, bonobo-moniker-file: now in
	libgnome where they have a gnome-vfs dependency.

	* monikers/bonobo-moniker-std.c (bonobo_std_moniker_factory):
	remove file bits & re-enable query moniker.

	* monikers/bonobo-moniker-std.h: ditto.

2001-07-06  Michael Meeks  <michael@ximian.com>

	* tests/test-properties-client.c (create_bag_client): add call to
	bonobo_pbclient_set.

	* bonobo/bonobo-property-bag-client.c
	(bonobo_pbclient_set, bonobo_pbclient_get): impl.
	(bonobo_pbclient_getv): update to take typesafe name / type / value
	triplets instead of unsafe name / value pairs.
	(bonobo_pbclient_setv): ditto & bail when we hit an exception.

2001-07-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sv to ALL_LINGUAS.

2001-07-02  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-shlib-factory.c (bonobo_shlib_factory_track_object):
	s/g_signal_connectc/g_signal_connect/ 

	* bonobo/bonobo-running-context.c (bonobo_running_context_class_init): 
	s/g_signal_newc/g_signal_new/ s/g_signal_connectc/g_signal_connect/

	* bonobo/bonobo-listener.c (bonobo_listener_class_init):  
	s/g_signal_newc/g_signal_new/

	* bonobo/bonobo-item-container.c: s/g_signal_newc/g_signal_new/

	* idl/Bonobo_Property.idl: added flags to addDatabase

	* bonobo/bonobo-object.c: s/shutdown/dispose/ 
	s/g_signal_newc/g_signal_new/

Sat Jun 30 14:53:52 2001  Jonathan Blandford  <jrb@redhat.com>

	* tests/test-properties-server.c (main): Change to reflect new
	g_signal_connect_data signature.

	* bonobo/bonobo-main.c (bonobo_init_full): change to reflect new
	g_type_init () signature.

2001-06-28  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-property-bag-client.c: bug fix: cast to
	CORBA_boolean intead of gboolean.

2001-06-28  Michael Meeks  <michael@ximian.com>
	[ also by Laszlo PETER <Laszlo.Peter@ireland.sun.com> ]

	* bonobo/bonobo-object.h: update for new glib paths, we require
	HEAD glib now.

	* bonobo/bonobo-main.c: ditto.

	* libbonobo.h: upd.

	* *.c: add more string.h includes.

2001-06-27  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: add bonobo-storage / stream plugin.

	* tests/test-storage.c (main): don't test efs.

2001-06-26  Michael Meeks  <michael@ximian.com>

	* configure.in: add --enable-orbit2=[yes/no]

	* orbit2-convert.pl: fix some buglets.

	* bonobo/bonobo-arg.c (bonobo_arg_new): port to new DynamicAny
	conditionaly.

	* bonobo/bonobo-async.c: disable for ORBit2.

	* bonobo/bonobo-moniker-util.c (bonobo_string_to_CosNaming_Name):
	impl for ORBit2 case. (url_to_name): trash for ORBit2 - FIXME.

	* bonobo/bonobo-object.c (bonobo_object_dump_interfaces): upd.
	(bonobo_type_setup): init base_epv for ORBit2.

	* bonobo/bonobo-object.h: Add PortableServer_ServantBase__epv
	for both cases - only used in ORBit2 version.

	* bonobo/bonobo-property-bag-client.c: renamed all TC_ duffness.

	* bonobo/bonobo-transient.c: disabled for ORBit2 - not used
	anyway.

	* *.c: added lots of missing string.h includes.

2001-06-26  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added ta to the languages list.

2001-06-21  ERDI Gergo  <cactus@cactus.rulez.org>

        * idl/Bonobo_Persist.idl: Added new getIId method to
        Bonobo::Persist

        * bonobo/bonobo-persist.[ch]:
        * bonobo/bonobo-persist-file.[ch]:
        * bonobo/bonobo-persist-stream.[ch]: Added code to support
        Bonobo::Persist::getIID

        * bonobo/bonobo-persist-stream.[ch]: Since new arguments are added
        to _new and _construct, I removed the legacy dummy argument

2001-06-19  Peter Williams  <peterw@ximian.com>

	* bonobo/bonobo-property-bag.c (bonobo_property_bag_add_gtk_args): 
	Update to match new GObject property retrieval API.

2001-06-19  HÃ©ctor GarcÃ­a Ãlvarez <hector@scouts-es.org>

	* configure.in: added "es" for Spanish to $ALL_LINGUAS

2001-06-15  Dietmar Maurer  <dietmar@ximian.com>

	* monikers/bonobo-stream-cache.c (cache_setInfo): return void

	* bonobo/bonobo-property-bag.c (bonobo_property_bag_add): return void

	* bonobo/bonobo-moniker.c (impl_set_parent): don't return a value,
	because function is void.

2001-06-13  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: added "sk" for Slovak to $ALL_LINGUAS

2001-06-07  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: added "az", and Norwegian to $ALL_LINGUAS

2001-06-06  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/Makefile.am ($(CORBA_SOURCE)): removed --small option

	* idl/Bonobo_Property.idl: removed that unused filter_path

2001-06-05  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_client_remove_listener): removed
	Bonobo_Property_ code

2001-06-04  Peter Williams  <peterw@ximian.com>

	* configure.in (OAF_IDL_DIR): Grab oaf's IDL directory for use with
	orbit-idl later.
	(utility_conditional): Remove a duplicate of the "utility 
	conditional"
	
	* bonobo/Makefile.am (idl_flags): Use OAF_IDL_DIR here.
	
2001-06-01  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-event-source.c (bonobo_event_source_destroy):
	make it cope with the list changing under it.
	(impl_Bonobo_EventSource_removeListener): fix heinous g_slist
	usage issues - gack.

2001-05-30  Christophe Merlet  <redfox@eikonex.org>

	* configure.in: added fr to $ALL_LINGUAS

2001-05-30  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-property-bag-client.c (unref_default_bag): added a
	mutex to make it thread save.

2001-05-28  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-property-bag-client.c (get_default_bag): impl.
	we can pass CORBA_OBJECT_NIL to all bonobo_pbclient_* functions
	(and we use the default property bag in that case).

2001-05-19  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-generic-factory.h
	(BONOBO_OAF_FACTORY, BONOBO_OAF_FACTORY_MULTI): Make this actually work.

	* bonobo/bonobo-main.c (bonobo_init_full): Call oaf_init(), not
	oaf_orb_init() so that oaf gets the command line arguments.

2001-05-15  Martin Baulig  <martin@gnome.org>

	* bonobo/Makefile.am (ORBIT_IDL): Use @ORBIT_IDL@ rather than
	hardcoding `orbit-idl'.

2001-05-04  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-xobject.h: use G_BEGIN/END_DECLS

2001-05-03  Dietmar Maurer  <dietmar@ximian.com>

	* bonobo/bonobo-property-bag-client.[ch]: complete new code.

	* idl/Bonobo_Property.idl: rewrote the idl. 

	* bonobo/bonobo-event-source.c
	(bonobo_event_source_client_remove_listener): we dont have
	Property object anymore - removed that code.
	(bonobo_event_source_client_add_listener): removed Property code.

	* bonobo/bonobo-property-bag.[ch]: new implementation. 

	* idl/Bonobo_ConfigDatabase.idl: removed, we use the new
	PropertyBag instead

2001-05-03  Michael Meeks  <michael@ximian.com>

	* monikers/bonobo-stream-cache.[ch]: port to HEAD.

	* bonobo/bonobo-stream-memory.c (bonobo_stream_mem_get_type):
	fix class size buglet

	* monikers/bonobo-stream-cache.c (create_stream_cache_server):
	kill.

2001-05-02  Michael Meeks  <michael@ximian.com>

	* tests/Makefile.am: add test-object

	* tests/test-object.c: add from HEAD bonobo test-xobject

2001-05-02  Michael Meeks  <michael@ximian.com>

	* Serious cruft cleaning - kill unused things.

	* bonobo/bonobo-persist-stream.c (impl_get_size_max): kill.
	(bonobo_persist_stream_class_init): kill.
	(bonobo_persist_stream_size_unknown): kill.
	(bonobo_persist_stream_new),
	(bonobo_persist_stream_construct): upd.

	* idl/Makefile.am: kill Bonobo/Advise,
	Bonobo/ProgressiveDataSink, Bonobo/DesktopWindow

2001-05-02  Michael Meeks  <michael@ximian.com>
	
	* bonobo/Makefile.am: remove bonobo-object-io.[ch],
	bonobo-object-client.[ch]

	* libbonobo.h: remove bonobo-object-client.h

	* bonobo-object-client.[ch]: kill totaly.

	* bonobo/bonobo-moniker-util.c
	(bonobo_moniker_client_resolve_client_default): removed

2001-05-01  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: improve IDL compilation dependency
	code.

2001-05-01  Martin Baulig  <martin@gnome.org>

	* bonobo/Makefile.am (libbonobo_2_la_SOURCES): Added
	bonobo-object-directory.c.

	* bonobo/bonobo-object-directory.c
	(bonobo_directory_find_for_file): #ifdef FIXME this whole
	function.

2001-04-23  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-generic-factory.h: Remove redundant
	environments

2001-04-24  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-marshal.list: Added `VOID:STRING,BOOLEAN' and
	`VOID:POINTER,INT,POINTER' (for libbonoboui).

2001-04-23  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-generic-factory.h (BonoboGenericFactory):
	Added `GNOME_ObjectFactory corba_objref'.
	(bonobo_generic_factory_corba_objref): New global function.
	(bonobo_generic_factory_corba_object_create): Changed return
	type from CORBA_Object to GNOME_ObjectFactory.
	(bonobo_generic_factory_construct): Changed type of the
	`corba_factory' argument from CORBA_Object to GNOME_ObjectFactory.

	* bonobo/bonobo-generic-factory.c: Make this actually work.
	* bonobo/bonobo-shlib-factory.c: Likewise.

2001-04-20  Martin Baulig  <martin@gnome.org>

	* configure.in, Makefile.am: Added idl/ directory.

2001-04-20  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: add bonobo-config-database.[ch]

	* bonobo/bonobo-config-database.[ch]: add from bonobo-conf

	* idl/Makefile.am: add Bonobo_ConfigDatabase.idl

	* idl/Bonobo_ConfigDatabase.idl: add.

2001-04-19  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: don't install the old no-inst
	headers.

2001-04-18  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am: remove bonobo-defs.h - unneccessary.
	remove half cocked libbonoboh.

	* bonobo/libbonobo.h: remove.

	* *.[ch] [ except bonobo-xobject.h - for compat ]
	
	s/bonobo_x_object/bonobo_object/g;
	s/BONOBO_X_/BONOBO_/g;
	s/BonoboXObject/BonoboObject/g;
	s/BEGIN_BONOBO_DECLS/G_BEGIN_DECLS/g;
	s/END_BONOBO_DECLS/G_END_DECLS/g;
	s/\#include[ \t]*<bonobo\/bonobo-defs.h>//;
	s/bonobo-xobject/bonobo-object/g;
	
2001-04-18  Michael Meeks  <michael@ximian.com>

	* tests/*.c: update initializations.

	* bonobo/bonobo-main.c (bonobo_init): add g_type_init.
	(bonobo_init): add oaf_orb_init, update sig. rename to
	(bonobo_init_full): this and add (bonobo_init).

2001-04-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-main.c (bonobo_init): guard against double
	initialization.

2001-04-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object_destroy): remove
	destroy_id fiddling.
	(bonobo_object_usage_error): remove for now.

	* bonobo/bonobo-transient.c (bonobo_transient_get_type): use
	sizeof (BonoboTransientClass) for the class data.

2001-04-18  Martin Baulig  <martin@gnome.org>

	* configure.in: Removed one of the two GNOME_COMPILE_WARNINGS
	macros; we only need it once.

2001-04-18  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-stream.h: add back to build for compat,
	include bonobo-storage.h

	* bonobo/bonobo-running-context.c (bonobo_running_context_new): 
	connect to final_unref.

	* bonobo/bonobo-object.c (bonobo_object_instance_init): fix
	thinko.
	(bonobo_object_class_init): add more useful assertions and
	add "destroy" signal - this sucks but is very compatible.
	(bonobo_object_shutdown): impl.

2001-04-18  Michael Meeks  <michael@ximian.com>

	* tests/test-storage.c (stream_copy_tests): prune copyTo
	test.

2001-04-18  Martin Baulig  <martin@gnome.org>

	* bonobo/*.[ch]: Use <bonobo/bonobo-defs.h> and
	<bonobo/bonobo-i18n.h> instead of the libgnomebase ones.

	* bonobo/bonobo-main.c (bonobo_setup_x_error_handler):
	#ifdef'ed this out.

	* bonobo/bonobo-defs.h, bonobo/bonobo-i18n.h: New files.

	* bonobo/libbonobo-init.[ch]: Removed.

	* configure.in: Don't depend on libgnomebase.

2001-04-18  Martin Baulig  <martin@gnome.org>

	* configure.in: Depend on ORBit-CosNaming-2 and include it in
	the ORBit check.

	* bonobo/libbonobo-2.0.pc.in: Added ORBit-CosNaming-2 to the
	dependency list.

2001-04-17  Michael Meeks  <michael@ximian.com>

	* bonobo/Makefile.am (libbonobo_2_la_SOURCES): add
	bonobo-property-bag-xml.c

	* Makefile.am: add libbonobo.h

2001-04-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-property-bag-xml.h: include bonobo-node.h

	* bonobo/bonobo-node.[ch]: create from bonobo-ui-node,
	renaming to suit.
	(do_strip): Adapt for libxml2.

	* tests/*: fixup.

2001-04-18  Martin Baulig  <martin@gnome.org>

	* bonobo/bonobo-item-container.[ch]: Ported to GObject.

	* bonobo/bonobo-marshal.list: Added `POINTER:POINTER,BOOLEAN,POINTER'
	and `BOOLEAN:POINTER'.

2001-04-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-generic-factory.c (bonobo_generic_factory_corba_object_create): 
	upd.
	(activate_servant): drag in from old bonobo-object.
	(bonobo_generic_factory_corba_object_create): upd.

2001-04-17  Michael Meeks  <michael@ximian.com>

	* bonobo/bonobo-object.c (bonobo_object): impl.
	(bonobo_object_finalize_real): upd.
	(do_corba_hacks): move from bonobo_xobject.c
	(bonobo_object_get_refs): kill.

	* bonobo/Makefile.am: remove bonobo-xobject.c, leave only the
	header for compat.

	* bonobo/bonobo-object.c (bonobo_object_get_epv): kill.
	(bonobo_object_construct, bonobo_object_new_from_servant),
	(bonobo_object_bind_to_servant, bonobo_object_activate_servant),
	(bonobo_object_activate_servant_full): kill.

2001-04-17  Michael Meeks  <michael@ximian.com>

	* idl/Bonobo_Storage.idl: kill copyTo - its Broken!

	* bonobo/bonobo-stream-memory.c (bonobo_stream_mem_class_init): 
	fill epv.
	(bonobo_stream_mem_create): upd.
	(bonobo_stream_mem_get_type): we're a BonoboXObject.
	(bonobo_stream_mem_construct): upd.

	* bonobo/bonobo-stream.c (bonobo_stream_open): kill
	(bonobo_stream_open_full): rename to (bonobo_stream_open): this.

	* changes.txt: add doc on changes between Bonobo 1.0 and 2.0

2001-04-17  Michael Meeks  <michael@ximian.com>

	* autogen.sh: fixup so we configure, always dump the message of
	doom.

	* message-of-doom: make more explicit and doomful.

2001-04-17  Martin Baulig  <martin@gnome.org>

	* tests/Makefile.am: New file; this is almost empty at the moment.

2001-04-17  Martin Baulig  <martin@gnome.org>

	* bonobo/*.[ch]: Ported to GObject.

	* bonobo/bonobo-exception.h (BONOBO_EX_REPOID): New macro.

	* bonobo/bonobo-marshal-main.c: New file.
	* bonobo/bonobo-marshal.list: New file.

	* bonobo/libbonobo-init.c: New file.
	* bonobo/libbonobo-init.h: New public header file; you only need to
	include this to get the module initialization stuff.

	* bonobo/libbonobo.h: New public header file; if you're only using
	libbonobo (and not libbonoboui), use <bonobo/libbonobo.h> instead of
	<bonobo/bonobo.h>. There'll also be <bonobo/libbonoboui.h> in
	libbonoboui - and <bonobo/bonobo.h> will include both of them.

	* bonobo/bonobo-main.c (bonobo_main_quit): New function.

2001-04-17  Martin Baulig  <martin@gnome.org>

	* configure.in: Check for gobject and gthread.

2001-04-15  Martin Baulig  <martin@gnome.org>

	* configure.in: Added check for dladdr() from bonobo/configure.in
	and require libgnomebase.

2001-04-13  Martin Baulig  <martin@gnome.org>

	* bonobo/Makefile.am: Added simple Makefile.am.

	* bonobo/libbonobo-2.0.pc.in: New file.

2001-04-13  Martin Baulig  <martin@gnome.org>

	* AUTHORS, DEPENDS, HACKING, MAINTAINERS, NEWS, COPYING.LIB,
	README, TODO, TRANSLATABLE_FILES, USERS, OChangeLog-2000-12-11:
	Copied here from bonobo.

	* OChangeLog-2001-04-13: Copied here from bonobo/ChangeLog.

